<?php
/**
 * Copyright (c) 2009 by O.Herfurth
 * http://www.terraproject.de
 *
 * ContestMx 0.2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/admin/admin.php,v $
 * $Revision: 207 $
 * $Author: PragmaMx $
 * $Date: 2016-09-13 09:20:26 +0200 (Di, 13. Sep 2016) $
 */
if (!defined("mxAdminFileLoaded")) die("Access Denied");
// if (!defined("CON_MODULE_NAME")) die ("You can't access this file directly..."); // aus case datei
$module_name = basename(dirname(dirname(__FILE__)));
// CHANGE THIS IF YOU CHANGE THE MODULES FOLDER NAME
if (!defined("CON_MODULE_NAME")) define("CON_MODULE_NAME", "Contest MX2");
if (!defined("CON_MODULE_PATH")) define("CON_MODULE_PATH", "modules/$module_name/");

mxGetLangfile($module_name);
load_class("AdminForm", false);

$wysiwyg = 0;
$wysiwyg_content = 0;

if (!file_exists('modules' . DS . $module_name . DS . 'config.php')) {
    if (file_exists('modules' . DS . $module_name . DS . 'default.config.php')) {
        copy('modules' . DS . $module_name . DS . 'default.config.php', 'modules' . DS . $module_name . DS . 'config.php');
        $act = "setup";
    }
}

include (CON_MODULE_PATH . "/config.php");
include_once (CON_MODULE_PATH . "/inc/functions.php");

if (!(isContestAdmin() or mxGetAdminPref("radminsuper") == 1)) {
    mxErrorScreen("Access Denied");
    die();
}

include (CON_MODULE_PATH . "/inc/functions.admin.php");
include (CON_MODULE_PATH . "/inc/functions.adminforms.php");
include (CON_MODULE_PATH . "/inc/functions.events.php");
//include_once('spaw/spaw_control.class.php');

if (empty($ok)) $ok = 0;
if (empty($cid)) $cid = 0;
if (empty($pid)) $pid = 0;


if (!isset($act)) $act = "" ;
$act=strtolower($act);
$act=install_checktables($act);

switch ($act) {
    case "info":
        include ("modules/" . $module_name . "/admin/admin_info.php");
        break;
    case "install":
        install();
        break;
    case "update":
        update();
        break;
    case "image_manager":
        image_manager();
        break;
    case "setup":
    case "config_css":
    case "config_save":
    case "config_header":
        include ("modules/" . $module_name . "/admin/admin_config.php");
        break;
    case "contest":
    case "Contest":
    case "contest-edit":
    case "contest-copy":
    case "contest-event":
    case "contest-new":
    case "contest-delete":
    case "contest-archive":
    case "contest-publish":
    case "contest-unpublish":
    case "contest-config-refresh":
    case "imagerenum":
        include ("modules/" . $module_name . "/admin/admin_contest.php");
        break;
    case "picture":
    case "picture-edit":
    case "picture-convert":
    case "picture-delete":
    case "picture-publish":
    case "picture-unpublish":
        include ("modules/" . $module_name . "/admin/admin_picture.php");
        break;
    case "comment":
    case "comment-edit":
    case "comment-delete":
    case "comment-publish":
    case "comment-unpublish":
        include ("modules/" . $module_name . "/admin/admin_comments.php");
        break;
    case "voting":
    case "voting-delete":
    case "voting-publish":
    case "voting-unpublish":
        include ("modules/" . $module_name . "/admin/admin_votings.php");
        break;
    case "upload":
    case "ftpupload":
        include ("modules/" . $module_name . "/admin/admin_upload.php");
        break;
    case "frontpage":
    case "category":
    case "category-edit":
    case "category-new":
    case "category-delete":
    case "category-config-refresh":
        include ("modules/" . $module_name . "/admin/admin_category.php");
        break;
    // case  "tools":
    // include ("modules/" . $module_name . "/admin/admin_tools.php");
    // break;
    // case  "migration":
    // case  "convert_picture":
    // include ("modules/" . $module_name . "/admin/admin_migration.php");
    // break;
    default:
        contest();
        break;
}

function contest()
{
    global $prefix, $currentlang, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG, $mxConf;
    $img_top = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", _CONTESTMANAGER);

    $img_path = "modules/" . $module_name . "/style/images/header/";

    include("header.php");

    GraphicAdmin();
    OpenTable();

    title($img_top . "  " . _CONTESTMANAGER);

    echo "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\" bgcolor=$bgcolor1 style=\"table-layout: fixed;\"><tr><td>";
    echo "<div align=\"center\" id=\"graphicadmin\">";
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=category\" class=\"item\" style=\"background-image: url($img_path/images.png);\">" . _ADMIN_CATEGORY . "</a>";
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=contest\" class=\"item\" style=\"background-image: url($img_path/image_edit.png);\">" . _ADMIN_CONTEST . "</a>";
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=picture\" class=\"item\" style=\"background-image: url($img_path/picture_edit.png);\">" . _ADMIN_PICTURE . "</a>";
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=comment\" class=\"item\" style=\"background-image: url($img_path/comment_edit.png);\">" . _ADMIN_COMMENT . "</a>";
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=voting\" class=\"item\" style=\"background-image: url($img_path/vote_edit.png);\">" . _ADMIN_VOTE . "</a>";

    if (mxGetAdminPref("radminsuper")) {
        echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=upload\" class=\"item\" style=\"background-image: url($img_path/upload.png);\">" . _ADMIN_UPLOAD . "</a>";
        echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=ftpupload\" class=\"item\" style=\"background-image: url($img_path/ftp-upload.png);\">" . _ADMIN_FTPUPLOAD . "</a>";
        echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=frontpage\" class=\"item\" style=\"background-image: url($img_path/application_home.png);\">" . _ADMIN_FRONTPAGE . "</a>";
        echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=setup\" class=\"item\" style=\"background-image: url($img_path/cog.png);\">" . _ADMIN_CPANEL . "</a>";
    }
    echo"<a href=\"admin.php?op=" . $module_name . "&amp;act=info\" class=\"item\" style=\"background-image: url($img_path/info.png);\">" . _ADMIN_INFO . "</a>";

    if (is_file("modules/" . $module_name . "/docs/" . $currentlang . "/index.html")) {
        $tt = "onClick=\"javascript:popupWindow('/modules/" . $module_name . "/docs/" . $currentlang . "/index.html', '" . _HELP . "', 800,600, 1)\"";

        echo"<a href=\"modules/" . $module_name . "/docs/" . $currentlang . "/index.html\" target=_blank class=\"item\" style=\"background-image: url($img_path/help.png);\"  >" . _ADMIN_HELP . "</a>";
    }
    echo "</div><br />";

    echo "</td></tr></table><br />";

    CloseTable();
    OpenTable();
    goHomeBACK();
    global $cmx_version;
    include_once("modules/" . $module_name . "/version.php");
    echo "<p class=\"box align-center\" >ContestMX - Version : $cmx_version</p>";

    //tecmu_checkversion ("Contest", $cmx_version);
    cmx_copyright();

    CloseTable();

    include("footer.php");
}

function install()
{
    global $prefix, $currentlang, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;
    // include_once(PMX_SYSTEM_DIR.DS."mx_install.php");
    include("header.php");
    include ("modules/" . $module_name . "/admin/core/install.tabledef.php");
    title(_CONTESTMANAGER . " " . _INSTALL);
    OpenTable();
    echo "Database installation.... please wait...<br /><br />";
    installtables_contest();
    echo "done.";

    echo '<br /><br /><center><a href="admin.php?op=' . $module_name . '&amp;act=setup"> [' . _ADMIN_CPANEL . '] </a></center><br /><br />';

    CloseTable();
    cmx_copy(1);
    include("footer.php");
}

function update()
{
    global $prefix, $currentlang, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;
    include("header.php");
    include ("modules/" . $module_name . "/admin/core/install.tabledef.php");
    include ("modules/" . $module_name . "/core/install.delfiles.php");
    title(_CONTESTMANAGER . " " . _INSTALL);
    OpenTable();
    echo "Database installation update.... please wait...<br /><br />";
    updatetables_contest();
    echo "done.";
    echo "<br />delete files <br /><ul>";
    foreach($delfiles as $file) {
        if (file_exists($file)) {
            if (@unlink($file)) {
                echo "<li><b>" . $file . "</b> deleted </li>";
            } else {
                echo "<li><b>" . $file . "</b> - not deleted (error)</li>";
            }
        }
    }
    echo "</ul>";
    echo "<br />delete directories <br /><ul>";
    foreach($deldirs as $file) {
        if (is_dir($file)) {
            if (@rmdir($file)) {
                echo "<li><b>" . $file . "</b> deleted </li>";
            } else {
                echo "<li><b>" . $file . "</b> - not deleted (error)</li>";
            }
        }
    }
    echo "</ul>";

    echo '<br /><br /><center><a href="admin.php?op=' . $module_name . '"> [' . _ADMIN_CPANEL . '] </a></center><br /><br />';

    CloseTable();
    unset($deldirs, $delfiles);
    cmx_copy(1);
    include("footer.php");
}

function install_cpx_patches()
{
    global $prefix, $module_name, $CONT_CFG;
    rename ("modules/Your_Account/userpoints.php", "modules/Your_Account/orig_userpoints.php");
    copy ("modules/" . $module_name . "/inc/patches/cmx_userpoints.php", "modules/Your_Account/userpoints.php");
}

function install_checktables($act)
{
    global $prefix, $module_name, $CONT_CFG;
			$tables=array();
			$result = sql_query("SHOW TABLES LIKE '".$prefix."_pmxContest%'");
			while (list($tablename) = sql_fetch_row($result)) {
				$tables[] = $tablename;
			}
			if (!in_array($prefix."_pmxContest_category", $tables)) {
			  $act="install";
			} else {
			  $act=($act=="install")?"":$act;
			}
			unset($tables);
			return $act;
}

?>