
<?php
/**
 * Copyright (c) 2009 by O.Herfurth
 * http://www.terraproject.de
 *
 * ContestMx 0.2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/admin/admin_config.php,v $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */
if (!defined("mxAdminFileLoaded")) die("Access Denied");
if (!defined("CON_MODULE_NAME")) die ("You can't access this file directly..."); // aus case datei

if (!mxGetAdminPref("radminsuper")) die("Access Denied");

if (empty($ok)) $ok = 0;
if (empty($act)) $act = "";
if (empty($cat)) $cat = 0;
if (empty($con)) $con = 0;

switch ($act) {
    case "config_save":
        contest_global_save($ok);
        break;
    case "config_css":
        config_css($ok);
        break;
    case "config_header":
        config_header($ok, $cat, $con);
        break;

    default:
        contest_setting(0);
        break;
}
// -----------------------------------------------------------------------------------------------------------------
function contest_setting($ok = 0)
{
    global $prefix, $currentlang, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;
    global $fieldset_names;
    // pmxHeader::add_script(PMX_JAVASCRIPT_PATH . 'jquery/jquery.js');
    // pmxHeader::add_script('modules/'.$module_name . '/inc/jquery_1_3_2.js');
    // pmxHeader::add_script('modules/'.$module_name . '/inc/fieldset.js.php');
    pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/' . $module_name . '/style/style.css";</style>');

    include('header.php');
    include ("modules/" . $module_name . '/inc/fieldset.js.php');
    isHome();
    loadConfig();

    $img_cpanel = mxCreateImage("modules/" . $module_name . "/style/images/header/cog.png", _ADMIN_CPANEL);

    title($img_cpanel . "  " . _ADMIN_CPANEL);

    OpenTable();
    $c_act = "";

    $tb = load_class('AdminForm', "setup");
    $tb->__set('target_url', "admin.php?op=" . $module_name . "&amp;act=config_save");
    $tb->__set("tb_direction", 'right');
    $tb->__set("infobutton", false);
    $tb->__set("tb_pic_heigth", 22);
    $tb->__set("cssclass", "toolbar1");
    $tb->__set("tb_text", _ADMIN_LASTCHANGE . ' ' . mx_strftime(_DATESTRING . ' %H:%M:%S', filemtime("modules/" . $module_name . "/config.php")));
    // $tb->addToolbar("editX");
    $tb->addToolbar("accept");
    $tb->addToolbar("save");
    $tb->addToolbarLink("cancel", "admin.php?op=$module_name");
    $tb->addToolbarLink("cpanel", "admin.php?op=$module_name");
    // $tb->addFieldset("general", _SETTINGS_ROOT, _SETTINGS_ROOT_TEXT, true);
    // $tb->add("general", "yesno", "RIGHTBLOCKS", $CONT_CFG['RIGHTBLOCKS'], _SET_RIGHTBLOCKS,_SET_RIGHTBLOCKS_TEXT);
    // $tb->add("general", "yesno", "SPAW", $CONT_CFG['SPAW'], _SET_SPAW,_SET_SPAW_TEXT);
    // echo $tb->Show();
    $formOpen = $tb->FormOpen();
    $toolbar = $tb->getToolbar();
    $formClose = $tb->FormClose();

    echo $formOpen;
    echo $toolbar;
    // adminFormOpen("admin.php?op=".$module_name."");
    // OpenToolbar(_SET_CONFIGHEADER);
    // addToolbarAccept();
    // addToolbarSave();
    // addToolbarCPanel();
    // addToolbarHelp("config");
    // CloseToolbar();
    echo "<input type=\"hidden\" name=\"act\" value=\"config_save\" />";

    echo "<div id='slideToggle'>\n";

    echo '<p align="right" style="margin-right:4em;"><button class="fieldset-exp_all">' . _EXPANDALL . '</button>&nbsp;&nbsp;<button class="fieldset-cls_all">' . _COLLAPSEALL . '</button></p>' . "\n";
    // echo "<p>" . _ADMIN_LASTCHANGE . ' ' . mx_strftime(_DATESTRING . ' %H:%M:%S', filemtime("modules/".$module_name . "/config.php")) . "</p>";
    echo "<input type=\"hidden\" name=\"op\" value=\"" . $module_name . "\" />";
    // allgemeine Einstellungen
    cmxFieldsetOpen(_SETTINGS_ROOT);
    echo "<table class='form' >";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_ROOT_TEXT . "</td></tr>";
    echo "<tr>";
    echo "<td >" . _SET_RIGHTBLOCKS . "</td>";
    echo "<td >";
    echo SelectYESNO("RIGHTBLOCKS", $CONT_CFG['RIGHTBLOCKS']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_RIGHTBLOCKS_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_SPAW . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO("SPAW", $CONT_CFG['SPAW']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_SPAW_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";

    cmxFieldSetClose();
    // Sicherheitseinstellungen
    cmxFieldsetOpen(_SETTINGS_SECURITY);
    echo "<table class='form' >";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_SECURITY_TEXT . "</td></tr>";
    echo "<tr><td class='content'>" . _SET_CAPTCHA . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO ('SET_CAPTCHA', $CONT_CFG['SET_CAPTCHA']);
    echo '</td>';
    echo "<td class='tiny'>" . _SET_CAPTCHA_TEXT . "</td>";
    echo "</tr>";
    echo "<tr><td class='content'>" . _SET_CAPTCHAUSER . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO ('SET_CAPTCHAUSER', $CONT_CFG['SET_CAPTCHAUSER']);
    echo '</td>';
    echo "<td class='tiny'>" . _SET_CAPTCHAUSER_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_DOWNLOADBARRIER . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO("DOWNLOADBARRIER", $CONT_CFG['DOWNLOADBARRIER']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_DOWNLOADBARRIER_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_COOKIE_USER . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO("SET_COOKIE", $CONT_CFG['SET_COOKIE']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_COOKIE_USER_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";
    cmxFieldSetClose();
    // Verzeichnisse
    cmxFieldsetOpen(_SETTINGS_PATH);

    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_PATH_TEXT . "</td></tr>";
    echo "<tr>";
    if (is_writable($CONT_CFG['PIC_FOLDER'])) {
        $b = '<p class="fileio">[' . _ERR_DIR_IO . ']</p>';
    } else {
        $b = '<p class="fileerr">[' . _ERR_DIR_NIO . ']</p>';
    }
    echo "<td class='content'>" . _SET_PATH_IMAGES . "</td>";
    echo "<td class='content'><input type=text size=35 name=PIC_FOLDER value='" . $CONT_CFG['PIC_FOLDER'] . "'/><br />$b</td>";
    echo "<td class='tiny'>" . _SET_PATH_IMAGES_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_PATH_CONTEST . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO("PATH_CONTEST", $CONT_CFG["PATH_CONTEST"]);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_PATH_CONTEST_TEXT . "</td>";
    echo "</tr>";

    echo "<tr>";
    if (is_writable($CONT_CFG['AWARDS_FOLDER'])) {
        $b = '<p class="fileio">[' . _ERR_DIR_IO . ']</p>';
    } else {
        $b = '<p class="fileerr">[' . _ERR_DIR_NIO . ']</p>';
    }
    echo "<td class='content'>" . _SET_PATH_AWARDS . "</td>";
    echo "<td class='content'><input type=text size=35 name=AWARDS_FOLDER value='" . $CONT_CFG['AWARDS_FOLDER'] . "'/><br />$b</td>";
    echo "<td class='tiny'>" . _SET_PATH_AWARDS_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    if (is_writable($CONT_CFG['FTP_FOLDER'])) {
        $b = '<p class="fileio">[' . _ERR_DIR_IO . ']</p>';
    } else {
        $b = '<p class="fileerr">[' . _ERR_DIR_NIO . ']</p>';
    }
    echo "<td class='content'>" . _SET_PATH_FTP . "</td>";
    echo "<td class='content'><input type=text size=35 name=FTP_FOLDER value='" . $CONT_CFG['FTP_FOLDER'] . "'/><br />$b</td>";
    echo "<td class='tiny'>" . _SET_PATH_FTP_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    if (is_writable($CONT_CFG['ICON_FOLDER'])) {
        $b = '<p class="fileio">[' . _ERR_DIR_IO . ']</p>';
    } else {
        $b = '<p class="fileerr">[' . _ERR_DIR_NIO . ']</p>';
    }
    echo "<td class='content'>" . _SET_PATH_ICON . "</td>";
    echo "<td class='content'><input type=text size=35 name=ICON_FOLDER value='" . $CONT_CFG['ICON_FOLDER'] . "'/><br />$b</td>";
    echo "<td class='tiny'>" . _SET_PATH_ICON_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";

    cmxFieldSetClose();
    // Bildmanipulationen
    cmxFieldsetOpen(_SETTINGS_GRAPHICS);
    if ($gdv = getGDVersion()) {
        if ($gdv >= 2) {
            echo '<p class="warning content">' . _SET_GDLIBARY_IO . '</p>';
        } else {
            echo '<p class="warning content">' . _SET_GDLIBARY_ERR . '</p>';
        }
    } else {
        echo "<p class=\"fileerr\">The GD extension isn't loaded</p>.";
    }
    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_GRAPHICS . "</td></tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_SIZEREDUCTION . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO("SIZEREDUCTION", $CONT_CFG["SIZEREDUCTION"]);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_SIZEREDUCTION_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_IMAGESIZE_MAX . "</td>";
    echo "<td class='content'><input type='text' size='5' maxlength='4' name='IMG_MAXSIZE' class='input' value='" . $CONT_CFG['IMG_MAXSIZE'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_IMAGESIZE_MAX_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_IMAGE_QUALITY . "</td>";
    echo "<td class='content'><input type='text' size='5' maxlength='2' name='IMG_QUALITY' class='input' value='" . $CONT_CFG['IMG_QUALITY'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_IMAGE_QUALITY_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_THUMB_KONVERT . "</td>";
    $sel0 = ($CONT_CFG['THUMB_CONVERT'] == 0)? "selected='selected'":"";
    $sel1 = ($CONT_CFG['THUMB_CONVERT'] == 1)? "selected='selected'":"";
    $sel2 = ($CONT_CFG['THUMB_CONVERT'] == 2)? "selected='selected'":"";

    echo '<td class=\'content\'><select name=THUMB_CONVERT size=3>
	                  <option value="0" ' . $sel0 . '>' . _SET_THUMB_KONVERT_WIDTH . '</option>
				      <option value="1" ' . $sel1 . '>' . _SET_THUMB_KONVERT_HEIGH . '</option>
				      <option value="2" ' . $sel2 . '>' . _SET_THUMB_KONVERT_BOTH . '</option>
			        </select></td>';
    echo "<td class='tiny'>" . _SET_THUMB_KONVERT_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_THUMB_HEIGHT . "</td>";
    echo "<td class='content'><input type=text size=5 maxlength=3 name=THUMB_HEIGHT class=input value='" . $CONT_CFG['THUMB_HEIGHT'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_THUMB_HEIGHT_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_THUMB_WIDTH . "</td>";
    echo "<td class='content'><input type=text size=5 maxlength=3 name=THUMB_WIDTH class=input value='" . $CONT_CFG['THUMB_WIDTH'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_THUMB_WIDTH_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_THUMB_QUALITY . "</td>";
    echo "<td class='content'><input type=text size=5 maxlength=2 name=THUMB_QUALITY class=input value='" . $CONT_CFG['THUMB_QUALITY'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_THUMB_QUALITY_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";

    cmxFieldSetClose();
    // Kommentar Einstellungen
    cmxFieldsetOpen(_SETTINGS_COMMENTS);
    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_COMMENTS_TEXT . "</td></tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_COM_USER . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('COMMENT_ON', $CONT_CFG['COMMENT_ON']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_COM_USER_TEXT . "</td>";
    echo "</tr>";

    echo "<tr>";
    echo "<td class='content'>" . _SET_COM_GUEST . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('COMMENT_GUEST', $CONT_CFG['COMMENT_GUEST']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_COM_GUEST_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_COM_PUBLISHED . "</td>";
    echo "<td class='content'>";
    echo SelectUSER('COMMENT_PUBLISHED', $CONT_CFG['COMMENT_PUBLISHED']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_COM_PUBLISHED_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";

    cmxFieldSetClose();
    // Frontend Einstellungen
    cmxFieldsetOpen(_SETTINGS_FRONTEND_STARTPAGE);
    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_FRONTEND_STARTPAGE_TEXT . "</td></tr>";

    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_KAT . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('KAT_VIEW', $CONT_CFG['KAT_VIEW']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_KAT_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_KAT_READMORE . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('KAT_READMORE', $CONT_CFG['KAT_READMORE']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_KAT_READMORE_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_KAT_READLEN . "</td>";
    echo "<td class='content'><input type=text size=6 maxlength=4 name=KAT_READLEN class=input value='" . $CONT_CFG['KAT_READLEN'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_KAT_READLEN_TEXT . "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<p class=warning>" . _SET_FRONTPAGE_SHOW_CONTEST . "</p>";
    echo "<table class=inputtable >";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_WINNER . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_SHOW_WINNER', $CONT_CFG['FRONT_SHOW_WINNER']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_WINNER_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_UPLOAD . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_SHOW_UPLOAD', $CONT_CFG['FRONT_SHOW_UPLOAD']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_UPLOAD_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_VOTING . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_SHOW_VOTINGS', $CONT_CFG['FRONT_SHOW_VOTINGS']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_VOTING_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_RESULT . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_SHOW_RESULTS', $CONT_CFG['FRONT_SHOW_RESULTS']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_RESULT_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_RESULT_LEN . "</td>";
    echo "<td class='content'><input type=text size=6 maxlength=4 name=FRONT_SHOW_RESULTS_LEN class=input value='" . $CONT_CFG['FRONT_SHOW_RESULTS_LEN'] . "'/><br /></td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_RESULT_LEN_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan='3' class='stronger'>" . _SET_FRONTPAGE_SHOW_LINKS . "</td></tr><tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_ARCHIV . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_ARCHIVE_LINK', $CONT_CFG['FRONT_ARCHIVE_LINK']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_ARCHIV_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTPAGE_SHOW_HOF . "</td>";
    echo "<td class='content'>";
    echo SelectYESNO('FRONT_HOF_LINK', $CONT_CFG['FRONT_HOF_LINK']);
    echo "</td>";
    echo "<td class='tiny'>" . _SET_FRONTPAGE_SHOW_HOF_TEXT . "</td>";
    echo "</tr>";
    inputYesNo(_SET_FRONTPAGE_SHOW_STAT, "SET_FRONTPAGE_SHOW_STAT", _SET_FRONTPAGE_SHOW_STAT_TEXT, $CONT_CFG['SET_FRONTPAGE_SHOW_STAT']);
    inputYesNo(_SET_FRONTPAGE_SHOW_MOSTVIEWED, "SET_FRONTPAGE_SHOW_MOSTVIEWED", _SET_FRONTPAGE_SHOW_MOSTVIEWED_TEXT, $CONT_CFG['SET_FRONTPAGE_SHOW_MOSTVIEWED']);
    inputYesNo(_SET_FRONTPAGE_SHOW_MOSTPOINTS, "SET_FRONTPAGE_SHOW_MOSTPOINTS", _SET_FRONTPAGE_SHOW_MOSTPOINTS_TEXT, $CONT_CFG['SET_FRONTPAGE_SHOW_MOSTPOINTS']);
    inputYesNo(_SET_SHOW_COPYRIGHT, "SET_SHOW_COPYRIGHT", _SET_SHOW_COPYRIGHT_TEXT, $CONT_CFG['SET_SHOW_COPYRIGHT']);

    echo "</table>";

    cmxFieldSetClose();
    // Frontend Voting
    cmxFieldsetOpen(_SETTINGS_FRONTEND_VOTING);

    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_FRONTEND_VOTING_TEXT . "</td></tr>";
    inputText(_SET_FRONTEND_VOTING_COLS, "FRONTEND_VOTING_COLS", _SET_FRONTEND_VOTING_COLS_TEXT, $CONT_CFG['FRONTEND_VOTING_COLS'], 3, 3);
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTEND_VOTING_THUMB_ALIGN . "</td>";

    $sel1 = ($CONT_CFG['FRONTEND_VOTING_THUMB_ALIGN'] == 1)? "selected='selected'":"";
    $sel2 = ($CONT_CFG['FRONTEND_VOTING_THUMB_ALIGN'] == 2)? "selected='selected'":"";
    $sel3 = ($CONT_CFG['FRONTEND_VOTING_THUMB_ALIGN'] == 3)? "selected='selected'":"";

    echo '<td class=\'content\'><select name=FRONTEND_VOTING_THUMB_ALIGN size=3>
				      <option value="1" ' . $sel1 . '>' . _LEFT . '</option>
				      <option value="2" ' . $sel2 . '>' . _RIGHT . '</option>
				      <option value="3" ' . $sel3 . '>' . _CENTER2 . '</option>
			        </select></td>';
    echo "<td class='tiny'>" . _SET_FRONTEND_VOTING_THUMB_ALIGN_TEXT . "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SET_FRONTEND_VOTING_TITLE_ALIGN . "</td>";

    $sel1 = ($CONT_CFG['FRONTEND_VOTING_TITLE_ALIGN'] == 1)? "selected='selected'":"";
    $sel2 = ($CONT_CFG['FRONTEND_VOTING_TITLE_ALIGN'] == 2)? "selected='selected'":"";

    echo '<td class=\'content\'><select name=FRONTEND_VOTING_TITLE_ALIGN size=2>
				      <option value="1" ' . $sel1 . '>' . _UPPER . '</option>
				      <option value="2" ' . $sel2 . '>' . _LOWER . '</option>
			        </select></td>';
    echo "<td class='tiny'>" . _SET_FRONTEND_VOTING_TITLE_ALIGN_TEXT . "</td>";
    echo "</tr>";
    inputYesNo(_SET_FRONTEND_VOTING_DETAIL_POPUP, "FRONTEND_VOTING_DETAIL_POPUP", _SET_FRONTEND_VOTING_DETAIL_POPUP_TEXT, $CONT_CFG['FRONTEND_VOTING_DETAIL_POPUP']);
    inputYesNo(_SET_FRONTEND_VOTING_SHOW_IMGCOUNT, "FRONTEND_VOTING_SHOW_IMGCOUNT", _SET_FRONTEND_VOTING_SHOW_IMGCOUNT_TEXT, $CONT_CFG['FRONTEND_VOTING_SHOW_IMGCOUNT']);
    echo "</table>";

    cmxFieldSetClose();
    // Frontend Result
    cmxFieldsetOpen(_SETTINGS_FRONTEND_RESULT);

    echo "<table class='form'>";
    inputYesNo(_SETTINGS_FRONTEND_RESULT_VIEW_POLLS, 'SETTINGS_FRONTEND_RESULT_VIEW_POLLS', _SETTINGS_FRONTEND_RESULT_VIEW_POLLS_TEXT, $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_POLLS']);
    inputYesNo(_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE, 'SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE', _SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_TEXT, $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE']);
    inputYesNo(_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL, 'SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL', _SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL_TEXT, $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL']);
    inputYesNo(_SETTINGS_FRONTEND_RESULT_SHOW_WINNER, 'SETTINGS_FRONTEND_RESULT_SHOW_WINNER', _SETTINGS_FRONTEND_RESULT_SHOW_WINNER_TEXT, $CONT_CFG['SETTINGS_FRONTEND_RESULT_SHOW_WINNER']);
    echo "</table>";

    cmxFieldSetClose();
    // Frontend Detail
    cmxFieldsetOpen(_SETTINGS_FRONTEND_DETAIL);

    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_FRONTEND_DETAIL_TEXT . "</td></tr>";
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_NAV, 'SETTINGS_FRONTEND_DETAIL_NAV', _SETTINGS_FRONTEND_DETAIL_NAV_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_NAV1, 'SETTINGS_FRONTEND_DETAIL_NAV1', _SETTINGS_FRONTEND_DETAIL_NAV1_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV1']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_USERNAME, 'SETTINGS_FRONTEND_DETAIL_USERNAME', _SETTINGS_FRONTEND_DETAIL_USERNAME_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERNAME']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_USERLINK, 'SETTINGS_FRONTEND_DETAIL_USERLINK', _SETTINGS_FRONTEND_DETAIL_USERLINK_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERLINK']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_USERPICS, 'SETTINGS_FRONTEND_DETAIL_USERPICS', _SETTINGS_FRONTEND_DETAIL_USERPICS_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERPICS']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_HOMEPAGE, "SETTINGS_FRONTEND_DETAIL_HOMEPAGE", _SETTINGS_FRONTEND_DETAIL_HOMEPAGE_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_HOMEPAGE']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_DESCRIPTION, 'SETTINGS_FRONTEND_DETAIL_DESCRIPTION', _SETTINGS_FRONTEND_DETAIL_DESCRIPTION_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_DESCRIPTION']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_VIEWS, 'SETTINGS_FRONTEND_DETAIL_VIEWS', _SETTINGS_FRONTEND_DETAIL_VIEWS_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_VIEWS']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_POINTS, 'SETTINGS_FRONTEND_DETAIL_POINTS', _SETTINGS_FRONTEND_DETAIL_POINTS_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_POINTS']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_POPUP, 'SETTINGS_FRONTEND_DETAIL_POPUP', _SETTINGS_FRONTEND_DETAIL_POPUP_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_POPUP']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_BBCODE, 'SETTINGS_FRONTEND_DETAIL_BBCODE', _SETTINGS_FRONTEND_DETAIL_BBCODE_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_BBCODE']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_COM, 'SETTINGS_FRONTEND_DETAIL_COM', _SETTINGS_FRONTEND_DETAIL_COM_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM']);
    inputYesNo(_SETTINGS_FRONTEND_DETAIL_COM_NAME, 'SETTINGS_FRONTEND_DETAIL_COM_NAME', _SETTINGS_FRONTEND_DETAIL_COM_NAME_TEXT, $CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM_NAME']);

    echo "</table>";

    cmxFieldSetClose();
    // Einstellungen All Results
    cmxFieldsetOpen(_SETTINGS_FRONTEND_ALLRESULTS);

    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_FRONTEND_ALLRESULTS_TEXT . "</td></tr>";
    inputText(_SETTINGS_FRONTEND_ALLRESULTS_COLS, "SETTINGS_FRONTEND_ALLRESULTS_COLS",
        _SETTINGS_FRONTEND_ALLRESULTS_COLS_TEXT, $CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'], 2, 4);
    inputText(_SETTINGS_FRONTEND_ALLRESULTS_NUM, "SETTINGS_FRONTEND_ALLRESULTS_NUM",
        _SETTINGS_FRONTEND_ALLRESULTS_NUM_TEXT, $CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_NUM'], 2, 4);
    echo "</table>";

    cmxFieldSetClose();
    // Frontend Statistic
    cmxFieldsetOpen(_SETTINGS_FRONTEND_STATISTIC);

    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTINGS_FRONTEND_STATISTIC_TEXT . "</td></tr>";

    echo "<tr>";
    echo "<td class='content'>" . _SET_STATISTICS_USERGROUP . "</td>";
    echo "<td class='content'>" . SelectUSERGROUP2("STATISTIC_USERGROUP", $CONT_CFG['STATISTIC_USERGROUP']) . "</td>";
    echo "<td class='tiny'>" . _SET_STATISTICS_USERGROUP_TEXT . "</td>";
    echo "</tr>";
    inputYesNo(_SET_STATISTICS_EXT, "SET_STATISTICS_EXT", _SET_STATISTICS_EXT_TEXT, $CONT_CFG['SET_STATISTICS_EXT']);
    echo "</table>";

    cmxFieldSetClose();

    cmxFieldsetOpen(_SETTING_USERPOINTS);
    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTING_USERPOINTS_TEXT . "</td></tr>";
    echo "";
    inputYesNo(_CONFIG_USERPOINTS, "CONFIG_USERPOINTS", _CONFIG_USERPOINTS_TEXT, $CONT_CFG['CONFIG_USERPOINTS']);
    inputText(_CONFIG_USERPOINTS_UPLOAD, "CONFIG_USERPOINTS_UPLOAD", _CONFIG_USERPOINTS_UPLOAD_TEXT, $CONT_CFG['CONFIG_USERPOINTS_UPLOAD'], 2, 4);
    inputText(_CONFIG_USERPOINTS_VOTING, "CONFIG_USERPOINTS_VOTING", _CONFIG_USERPOINTS_VOTING_TEXT, $CONT_CFG['CONFIG_USERPOINTS_VOTING'], 2, 4);
    inputText(_CONFIG_USERPOINTS_COMMENT, "CONFIG_USERPOINTS_COMMENT", _CONFIG_USERPOINTS_COMMENT_TEXT, $CONT_CFG['CONFIG_USERPOINTS_COMMENT'], 2, 4);

    echo "</table>";
    cmxFieldSetClose();

    $result = sql_query("select aid, isgod from " . $prefix . "_authors ");

    cmxFieldsetOpen(_SETTING_ADMINS);
    echo "<table class='form'>";
    echo "<tr><td colspan='3' class='stronger'>" . _SETTING_ADMINS . "</td></tr>";
    echo "<tr>";
    echo "<td class='content'>" . _SETTING_ADMINS_SELECT . "</td>";
    echo "<td class='content'><select name=ADMINS[] size=5 multiple>";
    echo "<option value='-1' > --- " . _NONE . " --- </option>";

    while (list($admin_name, $cmxradmingod) = sql_fetch_row($result)) {
        $sel = "";
        $cmxgod = "";

        foreach ($CONT_CFG['ADMINS'] as $key => $element) {
            if ($element == $admin_name) {
                $sel = "selected='selected' ";
            }
        }
        if ($cmxradmingod) {
            $sel = "selected";
            $cmxgod = "[God Admin]";
        }
        echo "<option value='" . $admin_name . "' $sel>" . $admin_name . " " . $cmxgod . "</option>";
    }
    echo "</select></td><td class='tiny'>" . _SETTING_ADMINS_SELECT_TEXT . "</td></tr>";
    echo "</table>";
    cmxFieldSetClose();
    echo "</div>";

    echo $formClose;
    // adminFormClose();
    CloseTable();
    OpenTable();
    goHomeBACK();

    CloseTable();
    include("footer.php");
}

function contest_global_save($ok = 0)
{
    global $module_name, $CONT_CFG;

    switch (toolbarCheckButton()) {
        case 'accept':
            $ok = 0;
            break;

        case 'save':
            $ok = 1;
            break;

        case 'cpanel':
            goCpanel();
            break;
    }

    $CONT_CFG = array();
    // Allgemein
    $CONT_CFG['RIGHTBLOCKS'] = ($_POST['RIGHTBLOCKS'] == 1)?1:0;
    $CONT_CFG['SPAW'] = ($_POST['SPAW'] == 1)?1:0;
    // Sicherheit
    $CONT_CFG['SET_CAPTCHA'] = ($_POST['SET_CAPTCHA'] == 1)?1:0;
    $CONT_CFG['DOWNLOADBARRIER'] = ($_POST['DOWNLOADBARRIER'] == 1)?1:0;
    $CONT_CFG['SET_CAPTCHAUSER'] = ($_POST['SET_CAPTCHAUSER'] == 1)?1:0;
    $CONT_CFG['SET_COOKIE'] = ($_POST['SET_COOKIE'] == 1)?1:0;
    // Pfade
    $CONT_CFG['FTP_FOLDER'] = $_POST['FTP_FOLDER'];
    if (substr($CONT_CFG['FTP_FOLDER'], -1) <> "/") $CONT_CFG['FTP_FOLDER'] .= "/";
    $CONT_CFG['PIC_FOLDER'] = $_POST['PIC_FOLDER'];
    if (substr($CONT_CFG['PIC_FOLDER'], -1) <> "/") $CONT_CFG['PIC_FOLDER'] .= "/";
    $CONT_CFG['AWARDS_FOLDER'] = $_POST['AWARDS_FOLDER'];
    if (substr($CONT_CFG['AWARDS_FOLDER'], -1) <> "/") $CONT_CFG['AWARDS_FOLDER'] .= "/";
    $CONT_CFG['PATH_CONTEST'] = ($_POST['PATH_CONTEST'] == 1)?1:0;
    $CONT_CFG['ICON_FOLDER'] = $_POST['ICON_FOLDER'];
    if (substr($CONT_CFG['ICON_FOLDER'], -1) <> "/") $CONT_CFG['ICON_FOLDER'] .= "/";
    // Bildmanipiulation
    $CONT_CFG['SIZEREDUCTION'] = ($_POST['SIZEREDUCTION'] == 1)?1:0;
    $CONT_CFG['IMG_MAXSIZE'] = $_POST['IMG_MAXSIZE'];
    $CONT_CFG['IMG_QUALITY'] = $_POST['IMG_QUALITY'];
    $CONT_CFG['THUMB_CONVERT'] = $_POST['THUMB_CONVERT'];
    $CONT_CFG['THUMB_HEIGHT'] = $_POST['THUMB_HEIGHT'];
    $CONT_CFG['THUMB_WIDTH'] = $_POST['THUMB_WIDTH'];
    $CONT_CFG['THUMB_QUALITY'] = ($_POST['THUMB_QUALITY'] <= 100)?$_POST['THUMB_QUALITY']:100;
    // Popup
    $CONT_CFG['POPUP_LINK'] = 1; //($_POST['POPUP_LINK']==1)?1:0;   JA
    $CONT_CFG['SET_POPUP'] = 4; //$_POST['SET_POPUP'];			PrettyPhoto
    // Kommentareinstellungen
    $CONT_CFG['COMMENT_ON'] = ($_POST['COMMENT_ON'] == 1)?1:0;
    $CONT_CFG['COMMENT_GUEST'] = ($_POST['COMMENT_GUEST'] == 1)?1:0;
    $CONT_CFG['COMMENT_PUBLISHED'] = $_POST['COMMENT_PUBLISHED'];
    // Frontend
    $CONT_CFG['KAT_VIEW'] = ($_POST['KAT_VIEW'] == 1)?1:0;
    $CONT_CFG['KAT_READMORE'] = ($_POST['KAT_READMORE'] == 1)?1:0;
    $CONT_CFG['KAT_READLEN'] = (!is_numeric($_POST['KAT_READLEN']))?"0":$_POST['KAT_READLEN'];
    $CONT_CFG['FRONT_SHOW_WINNER'] = ($_POST['FRONT_SHOW_WINNER'] == 1)?1:0;
    $CONT_CFG['FRONT_SHOW_VOTINGS'] = ($_POST['FRONT_SHOW_VOTINGS'] == 1)?1:0;
    $CONT_CFG['FRONT_SHOW_UPLOAD'] = ($_POST['FRONT_SHOW_UPLOAD'] == 1)?1:0;
    $CONT_CFG['FRONT_SHOW_RESULTS'] = ($_POST['FRONT_SHOW_RESULTS'] == 1)?1:0;
    $CONT_CFG['FRONT_SHOW_RESULTS_LEN'] = (!is_numeric($_POST['FRONT_SHOW_RESULTS_LEN']))?"0":$_POST['FRONT_SHOW_RESULTS_LEN'];
    $CONT_CFG['FRONT_ARCHIVE_LINK'] = ($_POST['FRONT_ARCHIVE_LINK'] == 1)?1:0;
    $CONT_CFG['FRONT_HOF_LINK'] = ($_POST['FRONT_HOF_LINK'] == 1)?1:0;
    $CONT_CFG['SET_FRONTPAGE_SHOW_STAT'] = ($_POST['SET_FRONTPAGE_SHOW_STAT'] == 1)?1:0;
    $CONT_CFG['SET_FRONTPAGE_SHOW_MOSTVIEWED'] = ($_POST['SET_FRONTPAGE_SHOW_MOSTVIEWED'] == 1)?1:0;
    $CONT_CFG['SET_FRONTPAGE_SHOW_MOSTPOINTS'] = ($_POST['SET_FRONTPAGE_SHOW_MOSTPOINTS'] == 1)?1:0;

    $CONT_CFG['FRONTEND_VOTING_COLS'] = (!is_numeric($_POST['FRONTEND_VOTING_COLS']))?1:$_POST['FRONTEND_VOTING_COLS'];

    $CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_NUM'] = (!is_numeric($_POST['SETTINGS_FRONTEND_ALLRESULTS_NUM']))?20:$_POST['SETTINGS_FRONTEND_ALLRESULTS_NUM'];

    $CONT_CFG['FRONTEND_VOTING_DETAIL_POPUP'] = ($_POST['FRONTEND_VOTING_DETAIL_POPUP'] == 1)?1:0;
    $CONT_CFG['FRONTEND_VOTING_SHOW_IMGCOUNT'] = ($_POST['FRONTEND_VOTING_SHOW_IMGCOUNT'] == 1)?1:0;
    $CONT_CFG['FRONTEND_VOTING_THUMB_ALIGN'] = $_POST['FRONTEND_VOTING_THUMB_ALIGN'];
    $CONT_CFG['FRONTEND_VOTING_TITLE_ALIGN'] = $_POST['FRONTEND_VOTING_TITLE_ALIGN'];
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV'] = ($_POST['SETTINGS_FRONTEND_DETAIL_NAV'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV1'] = ($_POST['SETTINGS_FRONTEND_DETAIL_NAV1'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_HOMEPAGE'] = ($_POST['SETTINGS_FRONTEND_DETAIL_HOMEPAGE'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERNAME'] = ($_POST['SETTINGS_FRONTEND_DETAIL_USERNAME'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERLINK'] = ($_POST['SETTINGS_FRONTEND_DETAIL_USERLINK'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERPICS'] = ($_POST['SETTINGS_FRONTEND_DETAIL_USERPICS'] == 1)?1:0;

    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_DESCRIPTION'] = ($_POST['SETTINGS_FRONTEND_DETAIL_DESCRIPTION'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_VIEWS'] = ($_POST['SETTINGS_FRONTEND_DETAIL_VIEWS'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_POINTS'] = ($_POST['SETTINGS_FRONTEND_DETAIL_POINTS'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_POPUP'] = ($_POST['SETTINGS_FRONTEND_DETAIL_POPUP'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_BBCODE'] = ($_POST['SETTINGS_FRONTEND_DETAIL_BBCODE'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM'] = ($_POST['SETTINGS_FRONTEND_DETAIL_COM'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM_NAME'] = ($_POST['SETTINGS_FRONTEND_DETAIL_COM_NAME'] == 1)?1:0;

    $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_POLLS'] = ($_POST['SETTINGS_FRONTEND_RESULT_VIEW_POLLS'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE'] = ($_POST['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL'] = ($_POST['SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL'] == 1)?1:0;
    $CONT_CFG['SETTINGS_FRONTEND_RESULT_SHOW_WINNER'] = ($_POST['SETTINGS_FRONTEND_RESULT_SHOW_WINNER'] == 1)?1:0;

    $CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'] = (!is_numeric($_POST['SETTINGS_FRONTEND_ALLRESULTS_COLS']))?1:$_POST['SETTINGS_FRONTEND_ALLRESULTS_COLS'];

    $CONT_CFG['STATISTIC_USERGROUP'] = (!is_numeric($_POST['STATISTIC_USERGROUP']))?1:$_POST['STATISTIC_USERGROUP'];
    $CONT_CFG['SET_STATISTICS_EXT'] = ($_POST['SET_STATISTICS_EXT'] == 1)?1:0;
    $CONT_CFG['SET_SHOW_COPYRIGHT'] = ($_POST['SET_SHOW_COPYRIGHT'] == 1)?1:0;

    $CONT_CFG['CONFIG_USERPOINTS'] = ($_POST['CONFIG_USERPOINTS'] == 1)?1:0;
    $CONT_CFG['CONFIG_USERPOINTS_UPLOAD'] = (!is_numeric($_POST['CONFIG_USERPOINTS_UPLOAD']))?0:$_POST['CONFIG_USERPOINTS_UPLOAD'];
    $CONT_CFG['CONFIG_USERPOINTS_VOTING'] = (!is_numeric($_POST['CONFIG_USERPOINTS_VOTING']))?0:$_POST['CONFIG_USERPOINTS_VOTING'];
    $CONT_CFG['CONFIG_USERPOINTS_COMMENT'] = (!is_numeric($_POST['CONFIG_USERPOINTS_COMMENT']))?0:$_POST['CONFIG_USERPOINTS_COMMENT'];
    // ---und abspeichern das ganze
    $content = "<?php\n";
    $content .= "/**\n";
    $content .= "//*************************************************************************\n";
    $content .= "// pragmaMx - Web Content Management System\n";
    $content .= "// Copyright by pragmaMx Developer Team - http://www.pragmamx.org\n";
    $content .= "// config.php for Contest Modul - Contestmodul writen by Olaf Herfurth 2010 \n";
    $content .= "// DONT CHANGE THIS FILE \n";
    $content .= "//**************************************************************************\n";
    $content .= "*/";
    $content .= "\n\n";
    $content .= "if (!defined(\"mxMainFileLoaded\")) die (\"You can't access this file directly...\");\n\n";
    $content .= "\$CONT_CFG=array();\n\n";

    foreach ($CONT_CFG as $key => $element) {
        $content .= "\$CONT_CFG['" . $key . "']='" . $element . "';\n";
    }
    // $CONT_CFG['ADMINS']
    foreach ($_POST['ADMINS'] as $key => $element) {
        $content .= "\$CONT_CFG['ADMINS'][" . $key . "]='" . $element . "';\n";
    }

    $content .= "\n";
    $content .= "?>";
    $conffile = "modules/" . $module_name . "/config.php";
    $write = mx_write_file($conffile, $content, true);
    if ($write) {
        $msg = _CHANGESAREOK;
        $delay = 0;
    } else {
        $msg = _CHANGESNOTOK;
        $delay = 5;
    }

    if ($write) {
        mxRedirect("admin.php?op=" . $module_name . "", $msg, $delay);
    } else {
        mxRedirect("admin.php?op=" . $module_name . "&act=setup", $msg, $delay);
    }
}
// ------------------------------------- CSS anpassen ------------------------------------------
function config_css($ok = 0)
{
    global $prefix, $currentlang, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;
    global $fieldset_names;
    //  @chmod ("modules/".$module_name."/style/style.css", 0755);
    if (toolbarCheckButton() == 'cpanel') goCpanel();

    include('header.php');

    $img_cpanel = mxCreateImage("modules/" . $module_name . "/style/images/header/cog.png", _ADMIN_CPANEL);
    $img_top = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", _BACK2 . _CONTESTMANAGER);
    $img_css = mxCreateImage("modules/" . $module_name . "/style/images/header/layout_edit.png", _ADMIN_CSS);

    $filename = "modules/" . $module_name . "/style/style.css";
    title($img_css . "  " . _ADMIN_CSS);
    if ($ok == 1) {
        $cssfile = trim($_POST['css']);
        $write = mx_write_file($filename, $cssfile);
        if ($write) {
            $msg = _CHANGESAREOK;
            $class = 'success';
        } else {
            $msg = _CHANGESNOTOK;
            $class = 'warning';
        }
        OpenTable();
        echo '<br /><p class="' . $class . '">' . $msg . '</p><br />';
        CloseTable();
    } else {
        $cssfile = file_get_contents($filename);
    }

    OpenTable();

    adminFormOpen();

    OpenToolbar(_SETTINGS_CSS_TEXT);
    addToolbarSave();
    addToolbarCPanel();
    CloseToolbar();

    echo "<input type=\"hidden\" name=\"op\" value=\"" . $module_name . "\" />";
    echo "<input type=\"hidden\" name=\"act\" value=\"config_css\" />";
    echo "<input type=\"hidden\" name=\"ok\" value=\"1\" />";

    echo "<textarea name='css' cols='80' rows='30'>" . $cssfile . "</textarea>";

    adminFormClose();

    CloseTable();

    OpenTable();
    goHomeBACK();

    CloseTable();
    include("footer.php");
}
// -------------------------- HEADER anpassen -------------------------------------------------------------------

?>