<?php
/**
 * Copyright (c) 2009 by O.Herfurth
 * http://www.terraproject.de
 *
 * ContestMx 0.2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/admin/core/install.tabledef.php,v $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

include_once(PMX_SYSTEM_DIR . DS . "mx_install.php");

function installtables_contest()
{
    global $prefix, $tables;

    unset($sqlqry);

    /**
     * $sqlqry= sql_query("drop table `${prefix}_pmxContest_category`");
     * $sqlqry= sql_query("drop table `${prefix}_pmxContest_contest`");
     * $sqlqry= sql_query("drop table `${prefix}_pmxContest_comment`");
     * $sqlqry= sql_query("drop table `${prefix}_pmxContest_picture`");
     * $sqlqry= sql_query("drop table `${prefix}_pmxContest_voting`");
     */
    $sqlqry = sql_query("
            CREATE TABLE IF NOT EXISTS `${prefix}_pmxContest_category` (
              `catid` int(11) NOT NULL auto_increment,
              `parentid` int(11) NOT NULL default '0',
              `cattitle` varchar(255) NOT NULL,
              `alias` varchar(255) NOT NULL,
              `cattext` text,
              `rulestitle` varchar(255) NOT NULL,
              `rulestext` text,
              `config` text,
              `published` int(11) NOT NULL default '0',
              `access` int(11) NOT NULL default '0',
              `type` int(11) NOT NULL default '0',
              `reorder` int(11) NOT NULL default '0',
              `status` int(11) NOT NULL default '0',
              `thumb_url` varchar(255) default NULL,
              PRIMARY KEY  (`catid`),
              KEY `status` (`status`),
              KEY `alias` (`alias`),
              KEY `parentid` (`parentid`)
            ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci AUTO_INCREMENT=1 ;

        ");
    // first entry in table
    if ($sqlqry) {
        echo "created database table 'Categories' <br>";

        $sqlqry = sql_query("INSERT INTO `${prefix}_pmxContest_category` (`parentid`, `cattitle`, `alias`, `cattext`, `rulestitle`, `rulestext`, `config`, `published`, `access`, `type`, `reorder`, `status`, `thumb_url`) VALUES
( 0, 'Wettbewerbe', '1', '\r\n<div justify;&quot;=\"\"> <span quote=\"\">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy\r\n eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed \r\ndiam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \r\nStet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor\r\n sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \r\ndiam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam \r\nerat, sed diam voluptua. At vero eos et accusam et justo duo dolores et \r\nea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem \r\nipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing \r\nelitr, sed diam nonumy </span><br quote=\"\" /> \r\n</div>', 'generelle Regeln', 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy\r\n eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed \r\ndiam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \r\nStet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor\r\n sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \r\ndiam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam \r\nerat, sed diam voluptua. At vero eos et accusam et justo duo dolores et \r\nea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem \r\nipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing \r\nelitr, sed diam nonumy eirmod tempor invidunt ut labore', 'a:42:{s:24:\"CONFIG_UPLOAD_GUEST_TEXT\";i:0;s:11:\"CONFIG_PATH\";s:0:\"\";s:19:\"CONFIG_UPLOAD_COUNT\";s:1:\"1\";s:18:\"CONFIG_UPLOAD_USER\";s:1:\"1\";s:18:\"CONFIG_VOTING_USER\";s:1:\"0\";s:18:\"CONFIG_PIC_PUBLISH\";s:1:\"1\";s:20:\"CONFIG_AUTOR_PUBLISH\";s:1:\"0\";s:21:\"CONFIG_AUTOR_REQUIRED\";s:1:\"0\";s:19:\"CONFIG_ACCEPT_RULES\";s:1:\"1\";s:19:\"CONFIG_PIC_FILESIZE\";s:3:\"250\";s:16:\"CONFIG_PIC_WIDTH\";s:4:\"1024\";s:17:\"CONFIG_PIC_HEIGHT\";s:4:\"1024\";s:16:\"CONFIG_VOTING_P1\";s:2:\"10\";s:16:\"CONFIG_VOTING_P2\";s:1:\"6\";s:16:\"CONFIG_VOTING_P3\";s:1:\"3\";s:16:\"CONFIG_VOTING_SO\";s:1:\"0\";s:17:\"CONFIG_VOTING_PSO\";s:1:\"0\";s:17:\"CONFIG_VOTING_NSO\";s:13:\"Special Price\";s:17:\"CONFIG_MAIL_ADMIN\";s:14:\"admin@admin.de\";s:18:\"CONFIG_MAIL_SENDER\";s:14:\"admin@admin.de\";s:18:\"CONFIG_MAIL_UPLOAD\";s:1:\"1\";s:18:\"CONFIG_MAIL_VOTING\";s:1:\"1\";s:19:\"CONFIG_MAIL_COMMENT\";s:1:\"1\";s:16:\"CONFIG_AWARDS_ON\";s:1:\"0\";s:18:\"CONFIG_AWARDS_AUTO\";s:1:\"0\";s:16:\"CONFIG_AWARDS_P1\";s:13:\"1st_place.jpg\";s:16:\"CONFIG_AWARDS_P2\";s:13:\"2nd_place.jpg\";s:16:\"CONFIG_AWARDS_P3\";s:13:\"3th_place.jpg\";s:17:\"CONFIG_AWARDS_PSO\";s:17:\"special_place.jpg\";s:18:\"CONFIG_AWARDS_FONT\";s:9:\"ARIAL.ttf\";s:22:\"CONFIG_AWARDS_FONTSIZE\";s:2:\"10\";s:19:\"CONFIG_AWARDS_TITLE\";s:5:\"Title\";s:19:\"CONFIG_AWARDS_PIC_X\";s:1:\"5\";s:19:\"CONFIG_AWARDS_PIC_Y\";s:3:\"120\";s:23:\"CONFIG_AWARDS_PIC_WIDTH\";s:3:\"58\";s:24:\"CONFIG_AWARDS_PIC_HEIGHT\";s:2:\"66\";s:19:\"CONFIG_AWARDS_FONTX\";s:2:\"15\";s:19:\"CONFIG_AWARDS_FONTY\";s:2:\"50\";s:16:\"CONFIG_PIC_THUMB\";s:1:\"0\";s:18:\"CONFIG_PIC_EXTFILE\";i:0;s:18:\"CONFIG_PIC_EXTTEXT\";s:1:\"0\";s:24:\"CONFIG_PIC_EXTTEXT_TITLE\";s:0:\"\";}', 1, 0, 0, 0, 0, '');
 ");

        if ($sqlqry) {
            echo "insert testdata in 'Categories/Contest' <br>";
        }
    }
    // Contests
    $sqlqry = sql_query("
            CREATE TABLE IF NOT EXISTS `${prefix}_pmxContest_contest` (
              `conid` int(11) NOT NULL auto_increment,
              `cid` int(11) NOT NULL default '0',
              `cattitle` varchar(255)   NOT NULL,
              `alias` varchar(255)   NOT NULL,
              `cattext` text  ,
              `rulestitle` varchar(255)   NOT NULL,
              `rulestext` text  ,
              `config` text  ,
              `published` int(11) NOT NULL default '0',
              `access` int(11) NOT NULL default '0',
              `type` int(11) NOT NULL default '0',
              `reorder` int(11) NOT NULL default '0',
              `status` int(11) NOT NULL default '0',
              `datum` date default NULL,
              `thumb_url` varchar(255)   default NULL,
              `place1` int(11) NOT NULL default '0',
              `place2` int(11) NOT NULL default '0',
              `place3` int(11) NOT NULL default '0',
              `placeso` int(11) NOT NULL default '0',
              `award_p1` varchar(255)   NOT NULL,
              `award_p2` varchar(255)   NOT NULL,
              `award_p3` varchar(255)   NOT NULL,
              `award_so` varchar(255)   NOT NULL,
              PRIMARY KEY  (`conid`),
              KEY `status` (`status`),
              KEY `alias` (`alias`),
              KEY `cid` (`cid`)
            ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci AUTO_INCREMENT=1 ;
        ");
    // if (!isset($tables["${prefix}_pmxContest_picture"])) {
    $sqlqry = sql_query("
                CREATE TABLE IF NOT EXISTS `${prefix}_pmxContest_picture` (
                  `pid` int(11) NOT NULL auto_increment,
                  `cid` int(11) NOT NULL default '0',
                  `nummer` int(11) NOT NULL default '0',
                  `title` varchar(100)   NOT NULL default 'untitled',
                  `pic_url` varchar(255)   default NULL,
                  `orig_url` varchar(255)   NOT NULL,
                  `thumb_url` varchar(255)   default NULL,
                  `award_url` varchar(255)   default NULL,
                  `pic_origname` varchar(255)   default NULL,
                  `description` longtext  ,
                  `exttext` longtext  ,
                  `metatext` longtext  ,
                  `user_name` varchar(100)   default NULL,
                  `user_id` int(11) NOT NULL,
                  `user_email` varchar(100)   default NULL,
                  `user_nick` varchar(100)   default NULL,
                  `user_homepage` varchar(200)   default NULL,
                  `IP` varchar(255)   default NULL,
                  `user_md5` text  ,
                  `active` int(11) NOT NULL default '0',
                  `points` int(11) NOT NULL default '0',
                  `points1` int(11) NOT NULL default '0',
                  `points2` int(11) NOT NULL default '0',
                  `points3` int(11) NOT NULL default '0',
                  `pointssp` int(11) NOT NULL default '0',
                  `config` text  ,
                  `rank` int(11) default '0',
                  `views` int(11) default '0',
                  `datetime` datetime default NULL,
                  KEY `pid` (`pid`),
                  KEY `cid` (`cid`)
                ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci AUTO_INCREMENT=1 ;
        ");
    if ($sqlqry) echo "created database table 'picture' <br>";
    // }
    // if (!isset($tables["${prefix}_pmxContest_comment"])) {
    $sqlqry = sql_query("
               CREATE TABLE IF NOT EXISTS `${prefix}_pmxContest_comment` (
                  `cid` int(11) NOT NULL auto_increment,
                  `conid` int(11) NOT NULL default '0',
                  `picid` int(11) NOT NULL default '0',
                  `user_id` int(11) NOT NULL default '0',
                  `user_name` varchar(50)   default NULL,
                  `user_mail` varchar(50)   default NULL,
                  `hostname` varchar(100)   default NULL,
                  `ip` varchar(100)   default NULL,
                  `subject` varchar(85)   NOT NULL default '',
                  `comment` text   NOT NULL,
                  `timestamp` timestamp NULL default CURRENT_TIMESTAMP,
                  `active` int(11) NOT NULL default '1',
                  `voting` int(11) NOT NULL default '0',
                  `config` text  ,
                  PRIMARY KEY  (`cid`),
                  KEY `picid` (`picid`),
                  KEY `conid` (`conid`)
                ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci AUTO_INCREMENT=1 ;
                ");
    if ($sqlqry) echo "created database table 'comments' <br>";
    // }
    // if (!isset($tables["${prefix}_pmxContest_comment"])) {
    $sqlqry = sql_query("
                CREATE TABLE IF NOT EXISTS `${prefix}_pmxContest_voting` (
                  `vid` int(11) NOT NULL auto_increment,
                  `pic_id` int(11) NOT NULL default '0',
                  `user_id` int(11) NOT NULL default '0',
                  `user_md5` text  ,
                  `user_name` varchar(50)   default NULL,
                  `user_mail` varchar(50)   default NULL,
                  `hostname` varchar(100)   default NULL,
                  `ip` varchar(100)   default NULL,
                  `rank` int(11) NOT NULL default '0',
                  `active` int(11) NOT NULL default '0',
                  `timestamp` timestamp NULL default CURRENT_TIMESTAMP,
                  `cid` int(11) NOT NULL default '0',
                  PRIMARY KEY  (`vid`),
                  KEY `picid` (`pic_id`)
                ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci AUTO_INCREMENT=1 ;
                ");
    if ($sqlqry) echo "created database table 'voting' <br>";
    // }
    return;
}

function updatetables_contest()
{
    global $prefix, $tables;
    unset($sqlqry);

    $tables = setupGetTableFields("${prefix}_pmxContest_comment");
    if (!array_key_exists("config", $tables)) {
        sql_query("ALTER IGNORE TABLE `${prefix}_pmxContest_comment` ADD COLUMN `config` text  ");
    }

    $tables = setupGetTableFields("${prefix}_pmxContest_picture");
    if (!array_key_exists("config", $tables)) {
        sql_query("ALTER IGNORE TABLE `${prefix}_pmxContest_picture` ADD COLUMN `config` text  ");
    }
    return;
}

?>