<?php
 /**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */ 

$fieldset_names = @array(
    'general' => _SETTINGS_ROOT, 
	'verzeichnisse' => _SETTINGS_PATH,
    'security' => _SETTINGS_SECURITY,
    'graphicopt' => _SETTINGS_GRAPHICS,
	'popup' => _SETTINGS_POPUP,
	'comments' => _SETTINGS_COMMENTS, 
	'frontend' => _SETTINGS_FRONTEND_STARTPAGE,
	'frontdetail' => _SETTINGS_FRONTEND_DETAIL,
	'frontvoting' => _SETTINGS_FRONTEND_VOTING,
	'frontresult' => _SETTINGS_FRONTEND_RESULT,
	'frontarchiv' => _SETTINGS_FRONTEND_ARCHIV,
	'frontstatistic' => _SETTINGS_FRONTEND_STATISTIC,
	'frontallresults' => _SETTINGS_FRONTEND_ALLRESULTS,
	
	'setting' => _SETTINGS,
	'conditions' => _CONDITIONS,
	'extsettings' => _EXT_SETTINGS,
	'contestmanager' => _CONTESTMANAGER,
	'kat_set_main' => _ADMIN_CATEGORY,
	//'kat_set_main2' => _ADMIN_CATEGORY2,
	'kat_set_head' => _SET_FRONTPAGE_HEADER_TITLE,
	'kat_set_rules' => _SET_FRONTPAGE_RULES,
	'con_set_head' => _CONFIG_CONTEST_SETTING,
	'kat_set_head2' => _CONFIG_CAT_SETTING,
	'con_set_rules' => _SET_CON_RULES,
	'kat_set_rules2' => _SET_CAT_RULES,
	
	'config_settings' => _CONFIG_SETTING,
	'config_upload' => _CONFIG_UPLOAD,
	'config_pictures' => _CONFIG_PICTURES,
	'config_voting' => _CONFIG_VOTING,
	'config_mail' => _CONFIG_MAIL,
	'config_awards' => _CONFIG_AWARDS,
	'awards' => _AWARDS,
	'picture' => _PICTURE,
	'exttext' => _CONFIG_PIC_EXTTEXT,
	'userpoints' => _SETTING_USERPOINTS,
	'admins' => _SETTING_ADMINS,

	
);


if(!isset($ok)) :?>
/* jQuery events ausfuehren */
$(document).ready(function() {

    $("button.fieldset-exp_all").click(function () { 
        $("fieldset div.toggle").show();
        $("fieldset span.collapsible").addClass("expanded");
        $("fieldset").removeClass("closed"); 
    });
		
    $("button.fieldset-cls_all").click(function () { 
        $("fieldset div.toggle").hide();
        $("fieldset span.collapsible").removeClass("expanded");
        $("fieldset span.collapsible").addClass("collapsed");
        $("fieldset").addClass("closed"); 
    });
		
    <?php foreach($fieldset_names as $key=>$var) :?>
		
    $("fieldset.<?php echo $key ?> legend").click(function () {
        $("fieldset.<?php echo $key ?> div.toggle").slideToggle("normal");
        $("fieldset.<?php echo $key ?> span.collapsible").toggleClass("expanded");
        $("fieldset.<?php echo $key ?>").toggleClass("closed");
    });
     
    <?php endforeach; ?> 
    
    // alle zuklappen
    $("button.fieldset-cls_all").click();
    
    // und die Buttons anzeigen
    $("button.fieldset-exp_all").toggleClass("show");
    $("button.fieldset-cls_all").toggleClass("show");
});
<?php endif; ?> 