<?php
/**
 * This file is part of ContestMX2
 * pragmaMx - Web Content Management System.
 * Copyright by TerraProject (c)2009
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

// funktionen für Java-Script Konfiguration


function adminFormOpen($action="") 
{   
    if ($action=="") {
	    $taction="admin.php";
		} else {
		$taction=$action;
	}
	   
  	echo "<form action=\"$taction\" method=\"post\" name=\"adminForm\" id=\"adminForm\" onsubmit=\"return validateForm();\">";
	echo "<input type=\"hidden\" name=\"hidemainmenu\" value=\"0\" class=\"inputtable\"/>"	;
	echo "<div class='input'>";
    
}

function adminFormClose() {
	echo "</div><input type=\"hidden\" name=\"boxchecked\" value=\"0\" />"	;
    echo "</form>";		

}
function adminFormCloseA() {
	echo "</div><input type=\"hidden\" name=\"boxchecked\" value=\"1\" />"	;
    echo "</form>";		

}

function cmxFieldsetOpen($legend, $collapsible = true)
{
    if ($collapsible) {
        $class = array_search($legend, $GLOBALS['fieldset_names']);
        echo "<fieldset class='collapsible " . $class . "'>\n"
         . "<legend><span class='collapsible expanded'>" . $legend . "</span></legend>\n"
         . "<div class='toggle' style='display:block;'>\n";
    } else {
        echo "</div><fieldset>\n"
         . "<legend>" . $legend . "</legend>\n"
         . "<div style='display:block;'>\n";
    }
}

function cmxFieldSetClose($button = true)
{
    if ($button == true) {
        echo cmxSetSubmitButton();
    }
    echo "</div>\n</fieldset>\n";
}
function cmxSetSubmitButton()
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
        $tt="";
		$img="'modules/" . $module_name . "/style/images/header/accept.png'";
		$img2="'modules/" . $module_name . "/style/images/toolbar/bullet_arrow_up.png'";
		$tt="onClick=\"javascript:hideMainMenu();\"";
        $tdtext="";
		$tdtext.="<td  class='align-center' >";
		$tdtext.="<button type='submit' value='accept' name='accept' $tt  class='button'>";
		$tdtext.="<img src=$img height='16' width='16' />". _ACCEPT."" ;
		$tdtext.="</button></td><td align=left width=100%>&nbsp;</td>";
		$tdtext.="<td width='20' align='center' class='toolbar'>";
		$tdtext.="<a href='#home'>";
		$tdtext.="<img src=$img2 title='"._GOHOME."' alt='"._GOHOME."'/>";
		$tdtext.="</a></td>";



    return "<table><tr><td width=10>".$tdtext."</tr></table>";

}

function inputTextarea($feldname,$intext,$breite="100%",$hoehe="200")
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		
		
	/* die gesammelten Attribute werden der Textarea-Klasse bereits im Konstruktor übergeben */
	$attr['name'] = $feldname;
	$attr['height'] = $hoehe;
	$attr['value'] = $intext;
	$editor = load_class('Textarea',$attr);
	
	/* nochmal guggen ob wysiwyg überhaupt aktiviert */
	switch (true) {
		
		case ($CONT_CFG['SPAW']==0):
		$editor->setWysiwyg(false);
		$spaw = 0;
		break;
		default:
		$spaw = intval($editor->getWysiwyg());
		break;
	}
				
				
				if ($spaw) {
					
					$GLOBALS['show_pagebreak'] = false;
					
					echo $editor->getHtml();
					echo "<input type=\"hidden\" name=\"spaw\" value=\"1\" />";
				} else {
					$intext=htmlspecialchars($intext);
					echo "<textarea name=\"".$feldname."\" cols='80' rows='10'>" . $intext . "</textarea>";
					echo "<input type=\"hidden\" name=\"spaw\" value=\"0\" />";
				}
}


function SelectYESNO($fieldname,$fpos) 
{
			$sel0="";
			$sel1="selected='selected'";

	    if ($fpos==1) {
		    $sel0="selected='selected'";
			$sel1="";
		}
		$ausdruck= '<select name="'.$fieldname.'" size="2">
	            <option value="1" '.$sel0.'>'._YES.'</option>
				<option value="0" '.$sel1.'>'._NO.'</option>
			  </select>';
		return $ausdruck;
}
function SelectUSERGROUP($fieldname,$fpos) 
{
        $sel=array("","","","","","");
		$sel[$fpos]="selected='selected'";
		$ausdruck= '<select name="'.$fieldname.'" size"5">
	                  <option value="0" '.$sel[0].'>'._USER_NO.'</option>
				      <option value="1" '.$sel[1].'>'._USER_GUEST.'</option>
	                  <option value="2" '.$sel[2].'>'._USER_REGISTRED.'</option>
				      <option value="3" '.$sel[3].'>'._USER_ADMIN.'</option>
				      <option value="4" '.$sel[4].'>'._USER_ALL.'</option>
			        </select>';
		return $ausdruck;
}
function SelectUSERGROUP2($fieldname,$fpos) 
{
        $sel=array("","","","","","");
		$sel[$fpos]="selected='selected'";
		$ausdruck= '<select name="'.$fieldname.'" size="3">
	                  <option value="0" '.$sel[0].'>'._USER_ALL.'</option>
	                  <option value="1" '.$sel[1].'>'._USER_REGISTRED.'</option>
				      <option value="2" '.$sel[2].'>'._USER_ADMIN.'</option>
			        </select>';
		return $ausdruck;
}

function SelectUSER($fieldname,$fpos) 
{
        $sel=array("","","","","","");
		$sel[$fpos]="selected='selected'";
		$ausdruck= '<select name="'.$fieldname.'" size="3">
	                  <option value="0" '.$sel[0].'>'._USER_NO.'</option>
				      <option value="1" '.$sel[1].'>'._USER_GUEST_ONLY.'</option>
	                  <option value="2" '.$sel[2].'>'._USER_AND_REGISTRED.'</option>
			        </select>';
		return $ausdruck;
}


function SelectStatus($fieldname,$fpos) 
{
        $sel=array("","","","","","");
		$sel[$fpos]="selected='selected'";
		$ausdruck= '<select name="'.$fieldname.'" size="1">
	                  <option value="0" '.$sel[0].'>'._ACT_UPLOAD.'</option>
				      <option value="1" '.$sel[1].'>'._ACT_POLL.'</option>
	                  <option value="2" '.$sel[2].'>'._ACT_RESULT.'</option>
			        </select>';
		return $ausdruck;
}

function SelectAwards ($cLegend,$feldname,$cText,$fpos) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='content'>";
		     
			 echo '<select name="'.$feldname.'" size="1" >';
			   echo '<option value="">'._PLEASE_SELECT.'</option>';
			 foreach (glob($CONT_CFG['AWARDS_FOLDER']."{*.jp*g}",GLOB_BRACE) as $dateiname){
			   if ($fpos==basename($dateiname)) {
			       $sel="selected='selected'"; 
				  } else { 
				   $sel="";
			   }
			   echo '<option value="'.basename($dateiname).'" '.$sel.' >'.basename($dateiname).'</option>';
			 }
			 
			 echo '</select><br>';
		echo "</td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";
}

function SelectIcons ($cLegend,$feldname,$cText,$fpos) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='content'>";
		     
			 echo '<select name="'.$feldname.'" size="1" >';
			   echo '<option value="">'._PLEASE_SELECT.'</option>';
			 foreach (glob($CONT_CFG['ICON_FOLDER']."{*.png,*.jp*g}",GLOB_BRACE) as $dateiname){
			   if ($fpos==basename($dateiname)) {
			       $sel="selected='selected'"; 
				  } else { 
				   $sel="";
			   }
			   echo '<option value="'.basename($dateiname).'" '.$sel.' >'.basename($dateiname).'</option>';
			 }
			 
			 echo '</select><br>';
		echo "</td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";
}
function SelectFont ($cLegend,$feldname,$cText,$fpos) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='content'>";
		     
			 echo '<select name="'.$feldname.'" size=1 >';
			   echo '<option value="">'._PLEASE_SELECT.'</option>';
			 foreach (glob("modules/".$module_name."/style/fonts/*.ttf") as $dateiname){
			   if ($fpos==basename($dateiname)) {
			       $sel="selected='selected'"; 
				  } else { 
				   $sel="";
			   }
			   echo '<option value="'.basename($dateiname).'" '.$sel.' >'.basename($dateiname).'</option>';
			 }
			 
			 echo '</select><br>';
		echo "</td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";
}

function inputYesNo ($cLegend,$cFieldname,$cText,$cSelect) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='content'>";
			$sel0=" ";
			$sel1="selected=\"selected\"";

	    if ($cSelect==1) {
		    $sel0="selected=\"selected\"";
			$sel1=" ";
		}
		    echo '<select name="'.$cFieldname.'" size="2">
	                <option value="1" '.$sel0.'>'._YES.'</option>
				    <option value="0" '.$sel1.'>'._NO.'</option>
			      </select>';
		echo "</td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";

}

function inputYesNo_D ($cLegend,$cFieldname,$cText,$cSelect) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='content'>";

        $sel=array(-1 => "",0 => "", 1 =>"");
		$sel[$cSelect]="selected='selected'";

		    echo '<select name="'.$cFieldname.'" size="3">
				    <option value="-1" '.$sel[0].'>'._DEFAULT.'</option>
	                <option value="0" '.$sel[1].'>'._NO.'</option>
				    <option value="1" '.$sel[2].'>'._YES.'</option>
			      </select>';
		echo "</td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";

}



function inputText ($cLegend,$cFieldname,$cText,$cSelect,$cTextLen=27,$cMaxLen=60,$fixed=false) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
        $fixe=($fixed)?" readonly=\"readonly\"":"";
		echo "<tr>";
		echo "<td class='content'>".$cLegend."</td>";
		echo "<td class='table'><input type='text' size='".$cTextLen."' maxlength='".$cMaxLen."' name='".$cFieldname."' value='".$cSelect."' ".$fixe." /><br /></td>";
		echo "<td class='tiny'>".$cText."</td>";
		echo "</tr>";
}

function cmxSelectCategory($cLegend,$fieldname,$fpos,$cText,$noCat="") 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		
		$result = sql_query("SELECT catid, cattitle from ".$prefix."_pmxContest_category where catid >'1' order by catid asc") ;
		$ausdruck = "<tr>";
		$ausdruck .= "<td class='content'>".$cLegend."</td>";
		$ausdruck .= "<td class='content'>";
		$ausdruck .= '<select class="form" name="'.$fieldname.'" size="1" ><option value="1" >'._NONE.'</option>';
		
		while ($mycat = sql_fetch_assoc($result)) {
         $sel="";
		 if ($mycat['catid']== intval($fpos)) $sel=" selected=\"selected\"";
          if ($mycat['catid'] != $noCat) $ausdruck .="<option value='".$mycat['catid']."'". $sel.">".$mycat['cattitle']."</option>";
		}
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class='tiny'>".$cText."</td>";
		$ausdruck .="</tr>";
		return $ausdruck;
}

function SelectContest() 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		$result = sql_query("SELECT conid, cattitle from ".$prefix."_pmxContest_contest where status='0' order by conid desc") ;
		$ausdruck = "";
		$ausdruck .= "<tr><td class='content'>"._CONTEST."</td><td>";

		$ausdruck .= '<select name="contest" id="contest" class="form" size="1"><option value="0" >'._NONE.'</option>';
	echo "<tr><td heigh=20></td><td><hr /></td></tr>";
	echo "";	
		while ($mycat = sql_fetch_assoc($result)) {
         $ausdruck .="<option value='".$mycat['conid']."'>".$mycat['cattitle']."</option>";
		}
		$ausdruck .="</select>";
		$ausdruck .="</td></tr>";
		echo $ausdruck;

}
function SelectDay($fdatum) 
{
  		 $a= explode('-', $fdatum); 
         
         $day=array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31);
         $monat=array(1 =>_JANUARY,
		              2 =>_FEBRUARY,
					  3 =>_MARCH,
					  4 =>_APRIL,
					  5 =>_MAY,
					  6 =>_JUNE,
					  7 =>_JULY,
					  8 =>_AUGUST,
					  9 =>_SEPTEMBER,
					  10 =>_OCTOBER,
					  11 =>_NOVEMBER,
					  12 =>_DECEMBER);
		 $year=array(2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020,2021,2022,2023);
		 $sel="";
		 $ausdruck= "<select  name='day' size=1>";
		  foreach ($day as $i) {
		      if ($i==intval($a[2])) 
			    { $sel=" selected='selected'"; } else { $sel="";}
		      $ausdruck .= "<option value='$i' ".$sel.">$i</option>";
		   }
		 $ausdruck .= "</select>";
		 $sel="";
		 $ausdruck .= "<select name='month' size=1>";
		  while  (list($key,$val)=each($monat)) {    
		      if ($key==intval($a[1])) 
			    { $sel=" selected='selected'"; } else { $sel="";}
		      $ausdruck .= "<option value='$key' ".$sel.">$val</option>";
		   }
		 $ausdruck .= "</select>";
		 $sel="";
		 $ausdruck .= "<select name='year' size=1>";
		  foreach ( $year as $key) {   
		      if ($key==intval($a[0])) 
			    { $sel=" selected='selected'"; } else { $sel="";}
			  
		      $ausdruck .= "<option value='$key' ".$sel.">$key</option>";
		   }
		 $ausdruck .= "</select>";
		 return $ausdruck ;
}

function inputUsersSelectOptions($cLegend,$fieldname,$fpos,$cText)
{
	// $GLOBALS['default_group']
	    $usergroup=$groupoptions = getAllAccessLevelSelectOptions($fpos);
    

		$ausdruck = "<tr>";
		$ausdruck .= "<td class='content'>".$cLegend."</td>";
		$ausdruck .= "<td class='content'>";
		$ausdruck .= '<select name="'.$fieldname.'" size="1"><option value="0" >'._NONE.'</option>';
        $ausdruck .= $usergroup;
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class='tiny'>".$cText."</td>";
		$ausdruck .="</tr>";
		return $ausdruck;
}

// gibt ein image zurück, entsprechend der vorgabe
function imgYesNo($result) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		
    switch ($result) {
	   case 1:
	     $img=mxCreateImage("modules/".$module_name."/style/images/action/accept.png",_YES);
	      break;
	   case 0:
	     $img=mxCreateImage("modules/".$module_name."/style/images/action/delete.png",_NO);
	      break;
	}
	return $img;
}

function OpenToolbar($titletext="")
{
    global $prefix, $currentlang,$module_name, $CONT_CFG,$bgcolor1,$bgcolor2;
 
    addChecklist();

	echo "<table width=\"100%\" class=\"align-center content\" style=\"border:1; cellspacing:1; cellpadding:2; backgroundcolor:$bgcolor1;\">"; // 
	echo "<tr>";
	echo "<td class='align-left' >$titletext</td>";

}

function CloseToolbar()
{
	echo "</tr>";
	echo "</table><br />";

}


function addToolbarADD($k=false) {
    toolbarImage('add','add.png',_ADD,_ADD,$k);
}
function addToolbarDelete($k=true) {
    toolbarImage('delete','bin.png',_DELETE,_DELETE,$k);
}

function addToolbarCopy($k=true) {
    toolbarImage('copy','application_double.png',_COPY,_COPY,$k);
}
function addToolbarMove($k=true) {
    toolbarImage('move','application_go.png',_MOVE,_MOVE,$k);
}

function addToolbarEdit($k=true) {
    toolbarImage('edit','page_white_edit.png',_EDIT,_EDIT,$k);
}
function addToolbarSave($k=false) {
    toolbarImage('save','disk.png',_SAVE,_SAVE,$k);
}
function addToolbarAccept($k=false) {
    toolbarImage('accept','accept.png',_ACCEPT,_ACCEPT,$k);
}

function addToolbarBack($k=false) {
    toolbarImage('back','arrow_left.png',_BACK,_BACK,$k);
}

function addToolbarNext($k=false) {
    toolbarImage('next','arrow_right.png',_NEXT,_NEXT,$k);
}

function addToolbarPublish($k=true) {
    toolbarImage('publish','application_add.png',_PUBLISH,_PUBLISH,$k);
}
function addToolbarUnpublish($k=true) {
    toolbarImage('unpublish','application_delete.png',_UNPUBLISH,_UNPUBLISH,$k);
}
function addToolbarArchive($k=true) {
    toolbarImage('archive','compress.png',_ARCHIVE,_ARCHIVE,$k);
}
function addToolbarConvert($k=true) {
    toolbarImage('convert','box_down.png',_CONVERT,_CONVERT,$k);
}
function addToolbarStatistic($k=true) {
    toolbarImage('statistic','chart-bar.png',_STATISTIC,_STATISTIC,$k);
}

function addToolbarRefresh($k=false) {
    toolbarImage('refresh','arrow-refresh.png',_REFRESH,_REFRESH,$k);
}
function addToolbarNews($k=true) {
    toolbarImage('addnews','newspaper_go.png',_SUBMISSIONS,_SUBMISSIONS,$k);
}

function addToolbarInfo($k=true) {
    toolbarImage('info','info.png',_INFO,_INFO,$k);
}
function addToolbarPreview($k=true) {
    toolbarImage('preview','zoom.png',_PREVIEW,_PREVIEW,$k);
}
function addToolbarExport($k=true) {
    toolbarImage('export','application_go.png',"Export","Export",$k);
}

function addToolbarConfigLoad($k=false) {
    toolbarImage('configload','cog_refresh.png',_CON_REFRESH,_CON_REFRESH,$k);
}


function addToolbarSeparator($k=false) {
    echo"<td width='10' class='align-center' nowrap border-left='2' >&nbsp;&nbsp;</td>";
}
function addToolbarWrap($k=false) {
    echo"</tr><tr><td class='align-lef' width=100%>&nbsp;&nbsp;</td>";
}

function addToolbarCPanel($k=false) {
    toolbarImage('cpanel','contest.png',_CPANEL,_CPANEL,$k);
}

function addToolbarCancel($k=false) {
    toolbarImage('cancel','cancel.png',_CANCEL,_CANCEL,$k);
}
function addToolbarImageRenum($k=false) {
    toolbarImage('imagerenum','image_renum.png',_IMAGES_RENUM,_IMAGES_RENUM,$k);
}
function addToolbarImages($k=false) {
    toolbarImage('images','picture_go.png',_PICTURES,_PICTURES,$k);
}

function addToolbarVote($k=false) {
    toolbarImage('vote','vote_edit.png',_VOTE_EDIT,_VOTE_EDIT,$k);
}
function addToolbarAwards($k=false) {
    toolbarImage('awards','awards.png',_AWARDS,_AWARDS,$k);
}
function addToolbarEvent($k=true) {
    toolbarImage('event','date_link.png',_CON_EVENTLINK,_CON_EVENTLINK,$k);
}

function addToolbarHelp($capitel="index") {
        global $prefix, $currentlang,$module_name, $CONT_CFG,$mxConf;
		popWindowJS();
        $tt="";
		$currentlang2=$currentlang;
		if ($currentlang=="german_du") $currentlang2="german";
		
		$img="'modules/" . $module_name . "/style/images/header/help.png'";
		
		if (is_file("modules/".$module_name."/docs/".$currentlang2."/index.html"))
		{
		     $tt="onClick=\"javascript:popupWindow('modules/".$module_name."/docs/".$currentlang2."/index.html#".$capitel."', '"._HELP."', 800,600, 1)\"";
	    } else {
		     $tt="onClick=\"javascript:alert('Sorry, Language-file for HELP not found');\"";
		}
		
        $tdtext="";
		$tdtext.="<td width='36' class='align-center' >";
		$tdtext.="<button type='button' value='help' name='help' $tt>";

		$tdtext.="<img src=$img height='24' width='24' title='"._HELP."' alt='"._HELP."' $tt />";
		$tdtext.="<br /><div class='tiny'>"._HELP."</div>";
		
		$tdtext.="</button>";
   
		$tdtext.="</td>";

   echo $tdtext;
}


function toolbarImage($feldname,$imgname,$title,$text,$listerr=true) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG,$mxConf;
		
        $tt="";
		$img="'modules/" . $module_name . "/style/images/header/".$imgname."'";
		
		if ($listerr) {
		     $tt="onClick=\"javascript:if(document.adminForm.boxchecked.value==0){alert('"._ERR_NOACTIONLIST."');} else {onsubmitform();}\"";
			 } else {
			 $tt="onClick=\"javascript:hideMainMenu();\"";
		}
        $tdtext="";
		$tdtext.="<td style=\"width:36px\" class='align-center'>";
		$tdtext.="<button type='submit' value='".$feldname."' name='".$feldname."' $tt  >";
		$tdtext.="<img src=$img height='24' width='24' title='".$title."' alt='".$text."' />";
		$tdtext.="<br /><div class='tiny'>".$text."</div></button>";
		$tdtext.="</td>";

   echo $tdtext;
}
function toolbarImageCPANEL() 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
    $img_top      = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", _BACK2 . _CONTESTMANAGER);
        
		$tdtext="<td class=\"align-center\" width=\"50\"><a href=\"admin.php?op=$module_name\">$img_top<br />"._CPANEL."</a></td>";


   echo $tdtext;
}

function toolbarCheckButton() {
  
 // if (isset($_POST['boxchecked'])) {
   
	   if (pmxAdminForm::CheckButton()) return pmxAdminForm::CheckButton();
	   if (isset($_POST['add'])) return "add";
	   if (isset($_POST['help'])) return "help";
	   if (isset($_POST['refresh'])) return "refresh";
	   if (isset($_POST['save'])) return "save";
	   if (isset($_POST['preview'])) return "preview";
	   if (isset($_POST['cancel'])) return "cancel";
	   if (isset($_POST['cpanel'])) return "cpanel";
	   if (isset($_POST['imagerenum'])) return "imagerenum";
	   if (isset($_POST['images'])) return "images";
	   if (isset($_POST['vote'])) return "vote";
	   if (isset($_POST['accept'])) return "accept";
 	   if (isset($_POST['info'])) return "info";
	   if (isset($_POST['edit'])) return "edit";
	   if (isset($_POST['copy'])) return "copy";
	   if (isset($_POST['delete'])) return "delete";
	   if (isset($_POST['move'])) return "move";
	   if (isset($_POST['accept'])) return "accept";
	   if (isset($_POST['publish'])) return "publish";
	   if (isset($_POST['unpublish'])) return "unpublish";
	   if (isset($_POST['archive'])) return "archive";
	   if (isset($_POST['convert'])) return "convert";
	   if (isset($_POST['statistic'])) return "statistic";
	   if (isset($_POST['info'])) return "info";
	   if (isset($_POST['preview'])) return "preview";
	   if (isset($_POST['configload'])) return "configload";
	   if (isset($_POST['next'])) return "next";
	   if (isset($_POST['back'])) return "back";
	   if (isset($_POST['export'])) return "export";
	   if (isset($_POST['addnews'])) return "addnews";
	   if (isset($_POST['event'])) return "event";
   
  //} 
   return false;
}


?>