<?php
/**
 * Copyright (c) 2009 by O.Herfurth
 * http://www.terraproject.de
 *
 * ContestMx 0.2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/language/lang-english.php,v $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
// Adminseite
langdefine("_ADMIN_CATEGORY", "Category Manager");
langdefine("_ADMIN_CONTEST", "Contest Manager");
langdefine("_ADMIN_PICTURE", "Picture Manager");
langdefine("_ADMIN_COMMENT", "Comments Manager");
langdefine("_ADMIN_CPANEL", "Configuration");
langdefine("_ADMIN_INFO", "Info");
langdefine("_ADMIN_USER", "User Manager");
langdefine("_ADMIN_VOTE", "Evaluation Manager");
langdefine("_ADMIN_CSS", "Customize CSS");
langdefine("_ADMIN_UPLOAD", "Upload");
langdefine("_ADMIN_STATS", "Statistics");
langdefine("_ADMIN_FRONTPAGE", "Frontpage Manager");
langdefine("_BACK_CPANEL", "Back to Admin menu");
langdefine("_BACK2", "back to ");
langdefine("_CPANEL", "Adminmenu");
langdefine("_ADMIN_FTPUPLOAD", "FTP Upload");
langdefine("_ADMIN_TOOLS", "Tools");
langdefine("_ADMIN_MIGRATION", "Migrations Manager");
langdefine("_ADMIN_HELP", "Help");
// CONFIGURATION
langdefine("_SET_CONFIGHEADER", "The module can be configured in its appearance and behavior. These settings apply globally to all competitions. ");
langdefine("_SET_VOTING_TEXT", "Here, the assessments are administered. <br/><b>WARNING: Deleting of reviews done here without asking!</b>");
// Grundeinstellungen
langdefine("_SETTINGS_ROOT", "Basis Settings");
langdefine("_SETTINGS_ROOT_TEXT", "Basis Settings");
langdefine("_SET_HEADER", "Name of the Modul");
langdefine("_SET_HEADERTEXT", "The name is displayed on the module home page and can be freely chosen.");
langdefine("_SET_CATEGORY", "user category-description");
langdefine("_SET_CATEGORY_TEXT", "If the competition category will be displayed? If NO, are then at the module home page, active competitions displayed appropriately, your status. If YES, the category selection on the module page is displayed.");
langdefine("_SET_RIGHTBLOCKS", "view right blocks");
langdefine("_SET_RIGHTBLOCKS_TEXT", "If the right blocks are displayed in this module?");
langdefine("_SET_SPAW", "use WYSIWYG - Editor");
langdefine("_SET_SPAW_TEXT", "If enabled, the text entries for SPAW WYSIWYG editor is used. Otherwise, generally displayed only a text entry box. The settings for the WYSIWYG editor comply with the guidelines of the PragmaMX settings see <a href='./admin.php?op=textarea'>WYSIWYG-Settings</a>.");
// Sicherheit
langdefine("_SETTINGS_SECURITY", "Security");
langdefine("_SETTINGS_SECURITY_TEXT", "Security settings");
langdefine("_SET_CAPTCHA", "use Captcha ?");
langdefine("_SET_CAPTCHA_TEXT", "If checked, a captcha image in the inputs, comments, polls, etc. displayed and uploads to prevent the spam etc.. It uses the settings of the captcha system from PragmaMX. see <a href='admin.php?op=captcha'>CAPCHA-Settings</a>");
langdefine("_SET_CAPTCHAUSER", "Captcha for User?");
langdefine("_SET_CAPTCHAUSER_TEXT", "If checked, a captcha image displayed on users");
langdefine("_SET_COOKIE_USER", "Cookie protection for guests");
langdefine("_SET_COOKIE_USER_TEXT", "When activated, it checks for undeclared users that cookies are accepted by the browser and if this is not possible, an error message. This is to ensure that the cookies during upload and the voting can also be set really.");
langdefine("_SET_DOWNLOADBARRIER", "Disable Right Mouseclick");
langdefine("_SET_DOWNLOADBARRIER_TEXT", "This option disables the context menu that appears after a right click on pictures (the picture is closed after a click). This prevents the saving dialog from popping up but it is no secure means to avert theft of pictures!");
// Bildmanipulationen
langdefine("_SETTINGS_GRAPHICS", "Image Processing");
langdefine("_SETTINGS_GRAPHICS_TEXT", "Image Processing");
langdefine("_SET_GDLIBARY_IO", "It appears that GD is installed and working properly. Your system seems to have GD version2. Thumbnails and resizing should work correctly.");
langdefine("_SET_GDLIBARY_ERR", "GD-Version 2 or higher is not installed. The generation of thumbnails and the size changes do not work! Change the PHP settings, so the GDLibary can be used.");

langdefine("_SET_SIZEREDUCTION", "Resizing");
langdefine("_SET_SIZEREDUCTION_TEXT", "Do you want the pictures to be resized? If you enable the resizing all uploaded pictures will be resized to the maximum dimensions you have specified (one setting below this one). Those downsized pictures will be be used for display in the detail view. To prevent bursting the template it is good advice to enable this feature and to specify values that suit the template. If the feature remains disabled the pictures will be displayed in the size they have been uploaded. The resizing applies to the detail view only. The pictures used for the popup remain untouched and are displayed in their original upload size. If you want to affect the size of the popup you need to do that before you upload the pictures.");
langdefine("_SET_IMAGESIZE_MAX", "Max Width and Height");
langdefine("_SET_IMAGESIZE_MAX_TEXT", "Maximum size of the pictures. This option works only if the resizing (one option above) is activated. The entered value (pixel) specifies the maximum dimensions of the picture and applies to both width and height. This means that the longest side will be taken to downsize the picture proportionally according to the entered value.");
langdefine("_SET_IMAGE_QUALITY", "Quality");
langdefine("_SET_IMAGE_QUALITY_TEXT", "Quality of the picture after resizing. This option works only if the resizing (two options above) is activated. The entered value (percent) specifies the quality of the generated downsized pictures - in relation to the original picture. Mind that higher quality will require more server space.");
langdefine("_SET_THUMB_KONVERT", "Thumbnail Conversion");
langdefine("_SET_THUMB_KONVERT_TEXT", "The purpose of the thumbnail conversion is to display all thumbs in either the same width or height without reference to the original picture format (portrait or landscape). Choosing 'by height' for example will generate thumbs of the same height provided that the width is adequate. Entering equal values in the two options below in order to generate thumbnails with untouched aspect ratio will void the value entered here.");
langdefine("_SET_THUMB_KONVERT_WIDTH", "by width");
langdefine("_SET_THUMB_KONVERT_HEIGH", "by height");
langdefine("_SET_THUMB_KONVERT_BOTH", "by both");

langdefine("_SET_THUMB_HEIGHT", "Thumbnail height");
langdefine("_SET_THUMB_HEIGHT_TEXT", "Height of thumbnails. This is the maximum height if conversion is made by width.");
langdefine("_SET_THUMB_WIDTH", "Thumbnail Width");
langdefine("_SET_THUMB_WIDTH_TEXT", "Width of thumbnails. This is the maximum width if conversion is made by height.");
langdefine("_SET_THUMB_QUALITY", "Thumbnail Quality");
langdefine("_SET_THUMB_QUALITY_TEXT", "Quality of the generated thumbnails. The entered value (percent) specifies the quality of the generated thumbnails - in relation to the original picture. Mind that higher quality will require more server space.");
// POPup-Einstellungen
langdefine("_SETTINGS_POPUP", "Popup Settings");
langdefine("_SETTINGS_POPUP_TEXT", "Popup-Settings");
langdefine("_SET_POPUP_LINK", "Link to original image?");
langdefine("_SET_POPUP_LINK_TEXT", "Do you want to display a link to the original picture and if so, who is permitted to see this link? Choosing this option will display a link to the original picture underneath the detail view of the picture. This reference is displayed only in case the original picture is larger than the detail picture.");
langdefine("_SET_POPUP", "Open Original Picture in");
langdefine("_SET_POPUP_NON", "no Popup");
langdefine("_SET_POPUP_WINDOW", "new Window");
langdefine("_SET_POPUP_SLIMBOX", "Slimbox");
langdefine("_SET_POPUP_JAVASCRIPT", "JavaScript-Window");
langdefine("_SET_POPUP_LIGHTBOX", "Lightbox");
langdefine("_SET_POPUP_TEXT", "This option controls how the original picture is displayed: <br /><ul>
           <li> bei 'new window' will open a new browser window that displays the detail picture</li>
           <li> bei 'JavaScript window' will display the detail picture in a popup of matching size. </li>
           <li> bei 'Slimbox' will display an animated box containing the picture. The background (the category view) will appear dimmed. It uses the mootools javascript library.</li>
           <li> bei 'Lightbox' shows the picture like the Slimbox with a dimmed background. The navigation links are here at the bottom left corner. It uses the jquery javascript-library.</li></ul>This function is only available in case you show the link to the original pictures at all. ");

langdefine("_SET_LIGHTBOX", "<b>Lightbox Settings</b>. These settings are only effective when it is activated as the <b> Lightbox Popup </ b>.");
langdefine("_SET_LIGHTBOX_BORDER", "Border");
langdefine("_SET_LIGHTBOX_BORDER_TEXT", "Width of the border around the DHTML container. (Pixel between 10 and 100) ");
langdefine("_SET_LIGHTBOX_TRANS", "Transparency");
langdefine("_SET_LIGHTBOX_TRANS_TEXT", "The background transparency is in there (range 0-1). 0 corresponds to a black background. The larger the value, the more apparent by the background around the image.");
langdefine("_SET_LIGHTBOX_SIZE", "Allow resizing");
langdefine("_SET_LIGHTBOX_SIZE_TEXT", "With huge images, the window is reduced to the browser window size. (Recommended = YES)");
langdefine("_SET_LIGHTBOX_SPEED", "speed of animation");
langdefine("_SET_LIGHTBOX_SPEED_TEXT", "speed of animation");
langdefine("_SET_LIGHTBOX_SPEED_FAST", "fast");
langdefine("_SET_LIGHTBOX_SPEED_SLOW", "slow");
langdefine("_SET_LIGHTBOX_SPEED_NORMAL", "normal");
langdefine("_SET_LIGHTBOX_TITLE", "Picture title");
langdefine("_SET_LIGHTBOX_TITLE_TEXT", "Do you want the title of the picture to be displayed above it in the lighbox view?");
langdefine("_SET_LIGHTBOX_THEME", "Design");
langdefine("_SET_LIGHTBOX_THEME_TEXT", "choose the design");
// Verzeichnisse
langdefine("_SETTINGS_PATH", "Path");
langdefine("_SETTINGS_PATH_TEXT", "Here you can specify the paths where your pictures ought to be saved. Although paths generally can be chosen without any restriction they should remain in the gallery folder. Otherwise you risk access problems. It is indicated whether a folder is writable for the gallery resp. whether the files are present (green) or not (red). The directory information must relate to the root directory of the site without the preceding slash '/'.");
langdefine("_SET_PATH_CONTEST", "Subdirectory for Contest?");
langdefine("_SET_PATH_CONTEST_TEXT", "for each competition should be a subdirectory to be created? The pictures for this competition are then stored in the respective subfolder.");
langdefine("_SET_PATH_IMAGES", "Path to where pictures");
langdefine("_SET_PATH_IMAGES_TEXT", "Path to where pictures are saved. This is where downsized pictures are stored - provided that the automatic resizing is activated (see 'Image' Processing). A copy of the original file will be saved if the automatic resizing is not activated. Images saved in this folder are used for display on the detail page.");
langdefine("_SET_PATH_ORIGINAL", "Originals Picture Path");
langdefine("_SET_PATH_ORIGINAL_TEXT", "Path to where originals are saved. This is where the original files are stored without resizing. Images saved in this folder are used for popup display provided that the popup option has been chosen. ");
langdefine("_SET_PATH_THUMBS", "Thumbnail path");
langdefine("_SET_PATH_THUMBS_TEXT", "Pfad zum Speicherort der Thumbnails. In dieses Verzeichnis werden die automatisch generierten Thumbnails abgelegt. Die Thumbnails werden sp&auml;ter zur Anzeige in den Contesten, den Ergebnislisten und f&uuml;r die Bl&ouml;cke verwendet.");
langdefine("_SET_PATH_AWARDS", "Awards path");
langdefine("_SET_PATH_AWARDS_TEXT", "Path to the location of the Award templates. The awards will be used later for display on the results page.");
langdefine("_SET_PATH_FTP", "FTP path");
langdefine("_SET_PATH_FTP_TEXT", "Path to the FTP upload folder. This folder is used for FTP uploads. Pictures that you choose to add to the Contest via FTP go into this folder.");
langdefine("_SET_PATH_ICON", "Icon path");
langdefine("_SET_PATH_ICON_TEXT", "Path to the location of the icons. The icons will be used later for display on the category page or contest page.");
// Frontend
langdefine("_SETTINGS_FRONTEND", "Frontend Settings");
langdefine("_SETTINGS_FRONTEND_TEXT", "Set here the appearance and behavior of the front end of the module.");
// Frontend-Startseite
langdefine("_SETTINGS_FRONTEND_STARTPAGE", "Frontend - Startpage");
langdefine("_SETTINGS_FRONTEND_STARTPAGE_TEXT", "Set here the appearance and behavior of the front end of the module.");
langdefine("_SET_FRONTPAGE_KAT", "view categorys");
langdefine("_SET_FRONTPAGE_KAT_TEXT", "When categories are created, a list of available categories will be displayed when this option is enabled.");
langdefine("_SET_FRONTPAGE_KAT_READMORE", "Intro Category");
langdefine("_SET_FRONTPAGE_KAT_READMORE_TEXT", "If YES, the category names also an introductory text is displayed. The length of the text depends on the next option.");
langdefine("_SET_FRONTPAGE_KAT_READLEN", "Intro Length");
langdefine("_SET_FRONTPAGE_KAT_READLEN_TEXT", "Length of the introductory text shown (in character). Only active if above option is enabled.");
langdefine("_SET_FRONTPAGE_SHOW_CONTEST", "On the home page can also be running competitions to display. The different blocks for <i> Join '</i>, <i> vote </i>' and <i> Results </i> (if enabled) is only shown if current competitions are available in this state. There will not be filtered by category, it will always appear all. If the option <i> Category Selection Show </i> is selected, the categories of the individual competitions will be displayed.");
langdefine("_SET_FRONTPAGE_SHOW_WINNER", "Show last winner");
langdefine("_SET_FRONTPAGE_SHOW_WINNER_TEXT", "if enabled, the last winning picture is displayed with information on the page.");
langdefine("_SET_FRONTPAGE_SHOW_UPLOAD", "Contest UPLOAD Show");
langdefine("_SET_FRONTPAGE_SHOW_UPLOAD_TEXT", "if activated, the contests with the status 'upload' is displayed sorted by the expiration date <u> ascending </u>.");
langdefine("_SET_FRONTPAGE_SHOW_VOTING", "Contest VOTING Show");
langdefine("_SET_FRONTPAGE_SHOW_VOTING_TEXT", "if enabled, contests with the status 'voting ' will be display sorted by <u> expiration date ascending </u>.");
langdefine("_SET_FRONTPAGE_SHOW_RESULT", "Contest RESULT Show");
langdefine("_SET_FRONTPAGE_SHOW_RESULT_TEXT", "When activated, the contests with the status 'results' is displayed sorted by the expiration date <u> descending </u>.");
langdefine("_SET_FRONTPAGE_SHOW_RESULT_LEN", "Number of results shown");
langdefine("_SET_FRONTPAGE_SHOW_RESULT_LEN_TEXT", "You see only the specified number of recently completed contests. ");
langdefine("_SET_FRONTPAGE_SHOW_LINKS", "In the bottom of the page other links can be displayed. They will be displayed only if there are contests that are already at least in the state 'result'. Otherwise nothing will appear.");
langdefine("_SET_FRONTPAGE_SHOW_ARCHIV", "show link to archive?");
langdefine("_SET_FRONTPAGE_SHOW_ARCHIV_TEXT", "If checked, a link to the competition archives then inserted if it contests the status of 'archive' there. ");
langdefine("_SET_FRONTPAGE_SHOW_HOF", "Link to 'show results'");
langdefine("_SET_FRONTPAGE_SHOW_HOF_TEXT", "If checked, a link is displayed to a page with all the winning pictures. This in turn will receive a link to each contest.");
langdefine("_SET_FRONTPAGE_SHOW_STAT", "Link to 'Statistics'?");
langdefine("_SET_FRONTPAGE_SHOW_STAT_TEXT", "if checked, a link is displayed to a page with detailed statistics.");

langdefine("_SET_FRONTPAGE_SHOW_MOSTVIEWED", "Link 'most viewed' ?");
langdefine("_SET_FRONTPAGE_SHOW_MOSTVIEWED_TEXT", "if checked, a link is displayed to a page with the most viewed pictures.");
langdefine("_SET_FRONTPAGE_SHOW_MOSTPOINTS", "Link 'most Points' ?");
langdefine("_SET_FRONTPAGE_SHOW_MOSTPOINTS_TEXT", "if checked, a link is displayed to a page with the most Points pictures.");

langdefine("_SET_SHOW_COPYRIGHT", "Show contestMX Copyright ");
langdefine("_SET_SHOW_COPYRIGHT_TEXT", "if activated, it appears the Copyright Logo");
// Frontend - Contest - Voting
langdefine("_SETTINGS_FRONTEND_VOTING", "Frontend cotest vote");
langdefine("_SETTINGS_FRONTEND_VOTING_TEXT", "Basic settings for the look of the Voting Page for a competition. Depending on the settings of the competition during the vote, various options may be hidden. The individual settings for the competitions / categories are unaffected.");
langdefine("_SET_FRONTEND_VOTING_COLS", "number of colums");
langdefine("_SET_FRONTEND_VOTING_COLS_TEXT", "Select the number of columns in which your thumbnails to be displayed. It should be chosen only as many columns can be accommodated as in the space allotted by the template.");
langdefine("_SET_FRONTEND_VOTING_ROWS", "Thumbnails pro Seite");
langdefine("_SET_FRONTEND_VOTING_ROWS_TEXT", "Anzahl der Thumbnails, die auf einer Seite angezeigt werden sollen. Die Anzahl sollte so gewählt werden, dass sie ein Vielfaches der unter \"Anzahl Spalten\" angegeben Zahl ist, um Leerzellen zu vermeiden. Bei der Angabe '0' werden immer alle Bilder auf der Seite angezeigt.");
langdefine("_SET_FRONTEND_VOTING_DETAIL_POPUP", "use picture-Popup");
langdefine("_SET_FRONTEND_VOTING_DETAIL_POPUP_TEXT", "If 'YES' proceed by clicking on the thumbnail according to the <i> pop-settings </i>. If 'NO' is opened by clicking on a thumbnail and the detailed view of the image.");
langdefine("_SET_FRONTEND_VOTING_NAV", "Show Navigation");
langdefine("_SET_FRONTEND_VOTING_NAV_TEXT", "Enthält die Kategorie mehr Bilder, als unter der Option \"Thumbnails pro Seite\" angegeben, werden die weiteren Thumbnails auf Folgeseiten angezeigt. Die Navigation für diese Seiten kann wahlweise nur oben angezeigt werden, oder - z.B. wenn viele Thumbnails pro Seite angezeigt werden - auch unterhalb der Thumbnails, um unnötiges Scrollen zu vermeiden.");
langdefine("_SET_FRONTEND_VOTING_NAV_TEXT_1", "above");
langdefine("_SET_FRONTEND_VOTING_NAV_TEXT_2", "below");
langdefine("_SET_FRONTEND_VOTING_NAV_TEXT_3", "both");
langdefine("_SET_FRONTEND_VOTING_SHOW_IMGCOUNT", "show number of picture");
langdefine("_SET_FRONTEND_VOTING_SHOW_IMGCOUNT_TEXT", "If the total number of images to be displayed above the navigation?");
langdefine("_SET_FRONTEND_VOTING_THUMB_ALIGN", "Guidance Thumbnails");
langdefine("_SET_FRONTEND_VOTING_THUMB_ALIGN_TEXT", "Orientation of the thumbnails or the details within the columns.");
langdefine("_SET_FRONTEND_VOTING_TITLE_ALIGN", "Position Picture-Details");
langdefine("_SET_FRONTEND_VOTING_TITLE_ALIGN_TEXT", "The following options are either displayed on the picture or below the image. ");
langdefine("_SET_FRONTEND_VOTING_TITLE", "show title");
langdefine("_SET_FRONTEND_VOTING_TITLE_TEXT", "Image title is displayed below the Thumbnail");
langdefine("_SET_FRONTEND_VOTING_AUTOR", "show author");
langdefine("_SET_FRONTEND_VOTING_AUTOR_TEXT", "Name of Author ist displayed");
// Frontend - Contest - Detailansicht
langdefine("_SETTINGS_FRONTEND_DETAIL", "Frontend Contest Detail");
langdefine("_SETTINGS_FRONTEND_DETAIL_TEXT", "Basic settings for the look of the detail view for a picture. Depending on the settings of the competition for what is the picture, while the vote may be several options to be hidden. All selected options are visible when the competition in the state 'result is'. The individual settings for the competitions / categories are not affected by these settings. <br />");

langdefine("_SETTINGS_FRONTEND_DETAIL_DATE", "show date");
langdefine("_SETTINGS_FRONTEND_DETAIL_DATE_TEXT", "date of Upload is displaed");
langdefine("_SETTINGS_FRONTEND_DETAIL_NAV", "show navigation");
langdefine("_SETTINGS_FRONTEND_DETAIL_NAV_TEXT", "It will display a navigation bar for the images of the contest");
langdefine("_SETTINGS_FRONTEND_DETAIL_NAV1", "show picture number");
langdefine("_SETTINGS_FRONTEND_DETAIL_NAV1_TEXT", "displayed the number of picture");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERNAME", "show user name");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERNAME_TEXT", "show the real user name ?");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERLINK", "Link to user profile");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERLINK_TEXT", "If checked, a link is displayed to the user profile. It depends on the preferences of PragmaMX whether in fact then the profile page is displayed.");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERPICS", "show link to overwiew");
langdefine("_SETTINGS_FRONTEND_DETAIL_USERPICS_TEXT", "If checked, a link is displayed, which leads to an overview of all images of the user.");
langdefine("_SETTINGS_FRONTEND_DETAIL_HOMEPAGE", "show Homepage");
langdefine("_SETTINGS_FRONTEND_DETAIL_HOMEPAGE_TEXT", "should be displayed a link to the privat homepage of the user?");
langdefine("_SETTINGS_FRONTEND_DETAIL_BBCODE", "show BBcode-Link");
langdefine("_SETTINGS_FRONTEND_DETAIL_BBCODE_TEXT", "If a text box with IMG and / or URL tags are displayed? The text can be copied and pasted by the users to link to forums the picture.");
langdefine("_SETTINGS_FRONTEND_DETAIL_DESCRIPTION", "show description");
langdefine("_SETTINGS_FRONTEND_DETAIL_DESCRIPTION_TEXT", "Do you want the description to be displayed?");
langdefine("_SETTINGS_FRONTEND_DETAIL_VIEWS", "show hits");
langdefine("_SETTINGS_FRONTEND_DETAIL_VIEWS_TEXT", " Do you want the number of hits to be displayed?");
langdefine("_SETTINGS_FRONTEND_DETAIL_POINTS", "show rating");
langdefine("_SETTINGS_FRONTEND_DETAIL_POINTS_TEXT", "Do you want the average rating and the points of ratings to be displayed?");
langdefine("_SETTINGS_FRONTEND_DETAIL_POPUP", "link to original pictur");
langdefine("_SETTINGS_FRONTEND_DETAIL_POPUP_TEXT", "If the link is displayed on the large original pictures? If this option is selected, is displayed below the image in detail view a text that contains a notice that can be opened when clicking on the detail screen, the original image. (See pop-up settings)");
langdefine("_SETTINGS_FRONTEND_DETAIL_COM", "show comments");
langdefine("_SETTINGS_FRONTEND_DETAIL_COM_TEXT", "If checked, votes Comments displayed when the competition is finished (status = 'result')");
langdefine("_SETTINGS_FRONTEND_DETAIL_COM_NAME", "Name with the comment ");
langdefine("_SETTINGS_FRONTEND_DETAIL_COM_NAME_TEXT", "If checked, the user name appear with each comment.");
// Frontend - Wettbewreb - Results
langdefine("_SETTINGS_FRONTEND_RESULT", "Frontend Contest Results");
langdefine("_SETTINGS_FRONTEND_RESULT_TEXT", "Basic settings for the look of the results page for a contest. The individual settings for the competitions / categories are unaffected.");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_POLLS", "Single reviews");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_POLLS_TEXT", "If checked, the number of voting indicated for the rank");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE", "show User Homepage ");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_TEXT", "If it is turned on (if specified) display a link to the website of the user.");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL", "show Homepage for all");
langdefine("_SETTINGS_FRONTEND_RESULT_VIEW_HOMEPAGE_ALL_TEXT", "When disabled the link is displayed only for the winners.");
langdefine("_SETTINGS_FRONTEND_RESULT_SHOW_WINNER", "show Winner separatly");
langdefine("_SETTINGS_FRONTEND_RESULT_SHOW_WINNER_TEXT", "above the results will be displayed the winning picture, if enabled");
// all Results
langdefine("_SETTINGS_FRONTEND_ALLRESULTS", "Frontend- results table");
langdefine("_SETTINGS_FRONTEND_ALLRESULTS_TEXT", "Here the results table is configured. These settings also have an impact on the charts for the user images");
langdefine("_SETTINGS_FRONTEND_ALLRESULTS_COLS", "Number of columns");
langdefine("_SETTINGS_FRONTEND_ALLRESULTS_COLS_TEXT", "indicate the Number of columns for the table ");
langdefine("_SETTINGS_FRONTEND_ALLRESULTS_NUM", "pictures / page");
langdefine("_SETTINGS_FRONTEND_ALLRESULTS_NUM_TEXT", "input the numbers of results of a page. If more results aviable, is displayed the navigation.");
// Frontend - Contest - ARCHIV
langdefine("_SETTINGS_FRONTEND_ARCHIV", "Frontend Archiv table");
langdefine("_SETTINGS_FRONTEND_ARCHIV_TEXT", "Preferences for the appearance of the Archive Page for a competition. The individual settings for the competitions / categories are unaffected.");
// Frontend - Contest - Statistics
langdefine("_SETTINGS_FRONTEND_STATISTIC", "Frontend Statistics");
langdefine("_SETTINGS_FRONTEND_STATISTIC_TEXT", "Basis settings for the statistic page ");
langdefine("_SET_STATISTICS_USERGROUP", "Who can see the statistics");
langdefine("_SET_STATISTICS_USERGROUP_TEXT", "Choose to see for whom the statistics page. For this group and the link is displayed on the homepage.");
langdefine("_SET_STATISTICS_EXT", "Advanced Statistics");
langdefine("_SET_STATISTICS_EXT_TEXT", "When enabled an extended statistics with pictures and user names is displayed. ");
// Settings Admin
langdefine("_SETTING_ADMINS", "Admin Settings");
langdefine("_SETTING_ADMINS_SELECT", "select administrators");
langdefine("_SETTING_ADMINS_SELECT_TEXT", "Select the administrators, who may access the module. Super Admins can always everything!");
// Kommentare
langdefine("_SETTINGS_COMMENTS", "Comment Settings");
langdefine("_SETTINGS_COMMENTS_TEXT", "In the contests and to the pictures, comments can be made.");
langdefine("_SET_COM_USER", "Allow comments");
langdefine("_SET_COM_USER_TEXT", "Registered users are allowed the submission of comments for the pictures. It displays a field in the detail view. Comments are available for the picture, these are also displayed.");
langdefine("_SET_COM_GUEST", "Guest comment");
langdefine("_SET_COM_GUEST_TEXT", "If this option is set, may also make comments unregistered ");
langdefine("_SET_COM_PUBLISHED", "Comments approve");
langdefine("_SET_COM_PUBLISHED_TEXT", "Normally delivered comments will be published immediately. This setting can be enforced, that comments are published only after approval by the admin (in this case, the administrator receives a corresponding mail via the backend). If yes, for which user group is to apply this restriction?");
// USER
langdefine("_USER_ALL", "all");
langdefine("_USER_GUEST", "Guest");
langdefine("_USER_REGISTRED", "registred User");
langdefine("_USER_ADMIN", "Admins");
langdefine("_USER_NO", "- none -");
langdefine("_USER_TEXT", "Setting user permissions. Super Administrators can, regardless of these settings, everything.");

langdefine("_USER_GUEST_ONLY", "guests only");
langdefine("_USER_AND_REGISTRED", "also for registered users");
// CSS anpassen
langdefine("_SETTINGS_CSS_TEXT", "Here, the module's own layout to be adjusted. Please make absolutely sure that the possible changes HTML / CSS-compliant, as no review took place!");
// Header anpassen
langdefine("_ADMIN_FRONTPAGE_TEXT", "Start Page settings. The configuration set here (except the home page text) is used for all new categories as basic settings.");
langdefine("_SET_FRONTPAGE_HEADER_TITLE", "Modul Description");
langdefine("_SET_FRONTPAGE_HEADER_TITLE_TEXT", "Modul Title");
langdefine("_SET_FRONTPAGE_HEADER", "This text is displayed on the home page of the module.");
langdefine("_SET_FRONTPAGE_HEADER_TEXT", "This introductory text is displayed on the home page of the module.");
langdefine("_SET_FRONTPAGE_RULES", "Global Conditions");
langdefine("_SET_FRONTPAGE_RULES2", "Hier kommen  die globalen Teilnahmebedingungen herein. Wenn angegeben, wird auf der Startseite ein Link zu diesen Teilnahmebedingungen angezeigt. ");
langdefine("_SET_FRONTPAGE_RULES_TEXT", "Title");
// Archive
langdefine("_ARCHIVE_TEXT", "Contest Archive");
langdefine("_ARCHIVE_HELP", "When you archive only placed pictures can be obtained. All other images of the competition will be deleted. Also deletes all votes and comments for the competition. It can only be filed will contests, which have already been completed.");
langdefine("_ARCHIVE_LISTCONTEST", "The following  contests are the selected for archiving");
langdefine("_ARCHIVE_WARNING", "CAUTION: This step can not be undone!");
langdefine("_ARCHIVE_RESULT", " Archives have been created.");
// Info
langdefine("_ADMIN_INFO_TEXT", "Modulinformationen");
// Category Settings
langdefine("_ADMIN_CATEGORY_TEXT", "Here, set the settings for the category");
langdefine("_SER_CAT_SETTINGS", "Category settings");
langdefine("_SET_CAT_HEADER_TITLE", "Category Title");
langdefine("_SET_CAT_HEADER_TITLE_TEXT", "Description of category:");
langdefine("_SET_CAT_RULES_TITLE", "Headline participation. WARNING: If field is empty, not see a link to the terms and conditions.");
langdefine("_SET_CAT_RULES", "Terms and condition");
langdefine("_SET_CAT_RULES_TITLE_TEXT", "Terms and condition");
langdefine("_SET_CAT_ICON", "Select Icon ");
langdefine("_SET_CAT_ICON_TEXT", "Select Icon for the Category. The icon is displayed on the home page of the contest to the left of the title.");
// Contest setting
langdefine("_ADMIN_CONTEST_TEXT", "Hier können vorgenommen werden die Einstellungen für den Contest.");
langdefine("_SET_CON_SETTINGS", "Contest settings");
langdefine("_SET_CON_HEADER_TITLE", "Contest Titel");
langdefine("_SET_CON_HEADER_TITLE_TEXT", "Contest description:");
langdefine("_SET_CON_RULES", "Contests terms and condition");
langdefine("_SET_CON_RULES_TITLE", "Headline participation. WARNING: If field is empty, not see a link to the terms and conditions.");
langdefine("_SET_CON_RULES_TITLE_TEXT", "Terms and condition");
langdefine("_SET_CON_STATUS", "Status");
langdefine("_SET_CON_STATUS_TEXT", "select status.");
langdefine("_SET_CON_DATE", "Expiry date indicate");
langdefine("_SET_CON_DATE_TEXT", "This indicates the end date up to which the contest is open for the user.");
langdefine("_SET_CON_CAT", "select Category");
langdefine("_SET_CON_CAT_TEXT", "Choose the category of the contest will be assigned. If changes are not automatically the Settings category. This needs to be made are made with the option 'Load Settings'.");
langdefine("_SET_CON_ALIAS", "Caption Award");
langdefine("_SET_CON_ALIAS_TEXT", "Here specify the text for the award. (See 'Award-settings') The field can be left blank if no automatic awards will be used.");
langdefine("_SET_CON_ICON", "choose Icon");
langdefine("_SET_CON_ICON_TEXT", "Select Icon for the contest. The icon is displayed on the home page of the contest to the left of the title.");
// Konfigulation Category und Contest
langdefine("_CONFIG_SETTING", "General Settings");
langdefine("_CONFIG_SETTING_TEXT", "General Settings");
langdefine("_CONFIG_PATH", "Picture path");
langdefine("_CONFIG_PATH_TEXT", "Path for storing the images. If not specified, the images are stored in the image directory (see <a href=admin.php?op=contest&act=setup>Modul settings</a>)");
langdefine("_CONFIG_PATH_EXT_TEXT", "Please indicate here ONLY the subpath (without Shlash's). The base path for the images will be added automatically.");
langdefine("_CONFIG_CAT_SETTING", "Category settings");
langdefine("_CONFIG_CONTEST_SETTING", "Contest settings");

langdefine("_CONFIG_UPLOAD", "Settings conditions");
langdefine("_CONFIG_UPLOAD_TEXT", "Settings conditions");
langdefine("_CONFIG_UPLOAD_USER", "who may participated");
langdefine("_CONFIG_UPLOAD_USER_TEXT", "");
langdefine("_CONFIG_VOTING_USER", "who may voted");
langdefine("_CONFIG_VOTING_USER_TEXT", "");
langdefine("_CONFIG_UPLOAD_COUNT", "max. Pictures of User");
langdefine("_CONFIG_UPLOAD_COUNT_TEXT", "Works reliably only when users logged on UserID. If guests will set a cookie.");
langdefine("_CONFIG_PIC_PUBLISH", "Images released immediately");
langdefine("_CONFIG_PIC_PUBLISH_TEXT", "if YES, then the images will be released immediately after the upload. If NO, the images must be released only by an admin. Non-approved images are not displayed in the vote. ");
langdefine("_CONFIG_AUTOR_PUBLISH", "Author publish");
langdefine("_CONFIG_AUTOR_PUBLISH_TEXT", "if YES, then the name of the author of the picture will be published in the vote. If NO, the name will be displayed only at the results. ");
langdefine("_CONFIG_ACCEPT_RULES", "Rules and conditions");
langdefine("_CONFIG_ACCEPT_RULES_TEXT", "If the participants agree to the terms and conditions?");
langdefine("_CONFIG_AUTOR_REQUIRED", "Real name required");
langdefine("_CONFIG_AUTOR_REQUIRED_TEXT", "if YES, then the entry is required of the correct name of the author.");

langdefine("_CONFIG_PICTURES", "Image settings");
langdefine("_CONFIG_PIC_FILESIZE", "max. Filesize");
langdefine("_CONFIG_PIC_FILESIZE_TEXT", "max Filsize in <b>kBytes!</b>.");
langdefine("_CONFIG_PIC_WIDTH", "max. Width");
langdefine("_CONFIG_PIC_WIDTH_TEXT", "Max. width in Pix");
langdefine("_CONFIG_PIC_HEIGHT", "max. Height");
langdefine("_CONFIG_PIC_HEIGHT_TEXT", "Max. height in Pix");
langdefine("_CONFIG_PIC_THUMB", "Thumbnail upload");
langdefine("_CONFIG_PIC_THUMB_TEXT", "If the participants can upload a thumbnail?");
langdefine("_CONFIG_PIC_EXTTEXT", "additional text box");
langdefine("_CONFIG_PIC_EXTTEXT_TEXT", "If the participant appears to be an additional text box? This could be used for additional information which will not appear on the detail page (eg. For parameter input, etc). This field is used only to review by the Administration, the caption of the text area will be given in the following field.");
langdefine("_CONFIG_PIC_EXTTEXT_TITLE", "description for additional text box");
langdefine("_CONFIG_PIC_EXTTEXT_TITLE_TEXT", "This may be the explanation given for the use of the box. This text is displayed above the additional text field on the upload page.");
langdefine("_CONFIG_PIC_META", "Metadata");
langdefine("_CONFIG_PIC_META_TEXT", "This can be deposited to the image search terms. Terms with ',' (comma).");

langdefine("_CONFIG_VOTING", "Settings vor Vote");
langdefine("_CONFIG_VOTING_P1", "1st Place");
langdefine("_CONFIG_VOTING_P1_TEXT", "Points for 1st Place");
langdefine("_CONFIG_VOTING_P2", "2nd Place");
langdefine("_CONFIG_VOTING_P2_TEXT", "Points for 2nd Place");
langdefine("_CONFIG_VOTING_P3", "3th Place");
langdefine("_CONFIG_VOTING_P3_TEXT", "Points for 3th Place");
langdefine("_CONFIG_VOTING_SO", "Special Prize");
langdefine("_CONFIG_VOTING_SO_TEXT", "If a special prize will be awarded.");
langdefine("_CONFIG_VOTING_PSO", "Points for special prize");
langdefine("_CONFIG_VOTING_PSO_TEXT", "Points for the special price. The special prize will be judged by the number of votes, not by points. It can, however, points are given, which are then added to the normal score.");
langdefine("_CONFIG_VOTING_NSO", "Name for special prize");
langdefine("_CONFIG_VOTING_NSO_TEXT", "here can be given the name for the special.");

langdefine("_CONFIG_MAIL", "Email-settings");
langdefine("_CONFIG_MAIL_ADMIN", "Admin-Email");
langdefine("_CONFIG_MAIL_ADMIN_TEXT", "be sent to this address all admin news.");
langdefine("_CONFIG_MAIL_SENDER", "Sende address");
langdefine("_CONFIG_MAIL_SENDER_TEXT", "Is used as sender address when User Notifications.");
langdefine("_CONFIG_MAIL_UPLOAD", "Info for Upload");
langdefine("_CONFIG_MAIL_UPLOAD_TEXT", "Administrator uploads information?");
langdefine("_CONFIG_MAIL_VOTING", "Info for voting");
langdefine("_CONFIG_MAIL_VOTING_TEXT", "Administrator voting infomation?");
langdefine("_CONFIG_MAIL_COMMENT", "Info for comments");
langdefine("_CONFIG_MAIL_COMMENT_TEXT", "Administrator comment information?");

langdefine("_CONFIG_AWARDS", "Award-Settings");
langdefine("_CONFIG_AWARDS_TEXT", "For the winner can be drawn Awards. These awards can be created automatically from a template or uploaded by the admin extra ");
langdefine("_CONFIG_AWARDS_ON", "Awards");
langdefine("_CONFIG_AWARDS_ON_TEXT", "When enabled, the following policy option must be specified.");
langdefine("_CONFIG_AWARDS_AUTO", "Automatic Awards ");
langdefine("_CONFIG_AWARDS_AUTO_TEXT", "If checked, must specify the following options. It created the awards to be automatic. If not checked, can also be uploaded to their own Awards contest on the back end upload feature.");
langdefine("_CONFIG_AWARDS_P1", "Award 1th Place");
langdefine("_CONFIG_AWARDS_P1_TEXT", "Please select award or presentation. If nothing is selected, no award will be displayed.");
langdefine("_CONFIG_AWARDS_P2", "Award 2nd Place");
langdefine("_CONFIG_AWARDS_P2_TEXT", "Please select award or presentation. If nothing is selected, no award will be displayed.");
langdefine("_CONFIG_AWARDS_P3", "Award 3th Place");
langdefine("_CONFIG_AWARDS_P3_TEXT", "Please select award or presentation. If nothing is selected, no award will be displayed.");
langdefine("_CONFIG_AWARDS_PSO", "Award Special Price");
langdefine("_CONFIG_AWARDS_PSO_TEXT", "select Template");
langdefine("_CONFIG_AWARDS_AUTO_TEXT2", "If automatic Awards has been selected, must be completed the following settings");
langdefine("_CONFIG_AWARDS_FONT", "Font");
langdefine("_CONFIG_AWARDS_FONT_TEXT", "Select Font");
langdefine("_CONFIG_AWARDS_FONTX", "Pos. X");
langdefine("_CONFIG_AWARDS_FONTX_TEXT", "Starting point for the title. Indicate the distance from the left edge of the Awards in px is relative to the lower left corner of the font.");
langdefine("_CONFIG_AWARDS_FONTY", "Pos. Y");
langdefine("_CONFIG_AWARDS_FONTY_TEXT", "Distance from the top in pixels. see also item x");
langdefine("_CONFIG_AWARDS_FONTSIZE", "Fontsize");
langdefine("_CONFIG_AWARDS_FONTSIZE_TEXT", "Select Fontsize 5-20.");
langdefine("_CONFIG_AWARDS_TITLE", "Award Title");
langdefine("_CONFIG_AWARDS_TITLE_TEXT", "This text is written to the Award.");
langdefine("_CONFIG_AWARDS_PIC", "embeded pictures");
langdefine("_CONFIG_AWARDS_PIC_TEXT", "If Yes, the images are optimally embedded with the following information in the award.");
langdefine("_CONFIG_AWARDS_PIC_X", "Position X");
langdefine("_CONFIG_AWARDS_PIC_X_TEXT", "Starting point for the embedded image. Enter the distance from the left side of the Awards in px is relative to the upper-left corner of the embed image.");
langdefine("_CONFIG_AWARDS_PIC_Y", "Position Y");
langdefine("_CONFIG_AWARDS_PIC_Y_TEXT", "distance from above in Px.");
langdefine("_CONFIG_AWARDS_PIC_WIDTH", "With");
langdefine("_CONFIG_AWARDS_PIC_WIDTH_TEXT", "Width in px. based on the starting point X");
langdefine("_CONFIG_AWARDS_PIC_HEIGHT", "Height");
langdefine("_CONFIG_AWARDS_PIC_HEIGHT_TEXT", "Height in px. based on the starting point Y");
// Config Refresh
langdefine("_SET_CONFIG_REFRESH_CAT", "The current settings will be overwritten of the default category settings!");
langdefine("_SET_CONFIG_REFRESH_CON", "The current contest settings will be overwritten of the category settings!");

langdefine("_CONTEST_SELECT_CAT", "Select Category");
langdefine("_CONTEST_SELECT_CAT_TEXT", "For selected category will be taken over the basic settings for the contest. If no category is selected, use the global settings. ");
langdefine("_CONTEST_HEADER_TITLE", "Contests Title");
langdefine("_CONTEST_HEADER_TITLE_TEXT", "Enter the title for a contest. This field should not be empty.");
langdefine("_CONTEST_PATH", "Picture Path ");
langdefine("_CONTEST_PATH_TEXT", "Tragen Sie hier den Namen für das Unterverzeichnis der Bilder ein (ohne Slash am Anfang und Ende). Das Verzeichnis wird automatisch angelegt. Dort werden alle Bilder zu dem Contest abgelegt. Wenn nichts angegeben wird, wird das Basisverzeichnis für Bilder verwendet. <b>Das Verzeichnis kann später NICHT (!!) mehr geändert werden! </b> ");
// Upload
langdefine("_ADMIN_UPLOAD_TEXT", "Here you can upload picture, Awards, and Icons.");
langdefine("_ADMIN_UPLOAD_TEXT2", "Please select the target folder.");
langdefine("_ADMIN_UPLOAD_TEXT3", "Icons and awards will be shared only in the folders. The term 'Contest' is not relevant here. <br /> images are uploaded, create thumbnails and intermediate size and assigned to the contest. The max. Dimensions and the max. File size must be correct for the selected contest. They are only allowed to JPG / JPEG images.");
langdefine("_ADMIN_UPLOAD_DEST1", "Pictures");
langdefine("_ADMIN_UPLOAD_DEST2", "Award");
langdefine("_ADMIN_UPLOAD_DEST3", "Icon");
langdefine("_DESTINATION", "Target Folder");
langdefine("_ADMIN_UPLOAD_FTP_TEXT", "This can only be uploaded Images");
langdefine("_IMPORT_PICTURE_FORCONTEST", "Choose a contest, in which the images are stored");
langdefine("_IMPORT_PICTURE", "Import Picture");
langdefine("_IMPORT_FTP_TEXT3", "to import pictures, highlight and click on Save");
langdefine("_IMPORT_FOLDER", "Import-Folder ");
langdefine("_IMPORT_DELETE", "Delete original images from the server after the upload?");
// Userpoints
langdefine("_SETTING_USERPOINTS", "User point settings");
langdefine("_SETTING_USERPOINTS_TEXT", "For different actions can be assigned user points. <br /> <i> WARNING: User Points can only be calculated correctly with the patch of contestMX userpoints.php! See 'Help' </i>");
langdefine("_CONFIG_USERPOINTS", "User points ");
langdefine("_CONFIG_USERPOINTS_TEXT", "User Points should be calculated?");
langdefine("_CONFIG_USERPOINTS_UPLOAD", "Points for upload");
langdefine("_CONFIG_USERPOINTS_UPLOAD_TEXT", "");
langdefine("_CONFIG_USERPOINTS_VOTING", "Points for voting");
langdefine("_CONFIG_USERPOINTS_VOTING_TEXT", "");
langdefine("_CONFIG_USERPOINTS_COMMENT", "Points for comments");
langdefine("_CONFIG_USERPOINTS_COMMENT_TEXT", "");
// statistics
// langdefine("_STATISTICS","Statistics");
langdefine("_STATISTICS_WE_HAVE", "We have ");
langdefine("_STATISTICS_ACTIV_KATEGORY", "active categories.");
langdefine("_STATISTICS_ACTIV_CONTESTS", "Contests have already been completed.");
langdefine("_STATISTICS_ACTIV_PICTURES", "images were sent.");
langdefine("_STATISTICS_ACTIV_PARTICIPAT", "participants have sent in pictures");
langdefine("_STATISTICS_BEST_USERS", "The most active participants are");
langdefine("_STATISTICS_COUNT_VOTINGS", "Number of Votes");
langdefine("_STATISTICS_COUNT_COMMENTS", "Number of comments");
langdefine("_STATISTICS_BEST_PICTURE", "Best Picture:");
// langdefine("_STATISTICS_BEST_USERS","The most active participants are");
langdefine("_STATISTICS_BEST_CONTEST", "The biggest Contests are");
langdefine("_STATISTICS_BEST_USER", "The most successful users");
// allgemein
langdefine("_WITH", "with");
// langdefine("_FROM", "from");
langdefine("_FOR", "for");
langdefine("_HALL_OF_FAME", "result table");
langdefine("_LINK_USERPIC", "all Pictures from");
langdefine("_ALL_PICTURES_FROM_USER", "Here you can see all the pictures with which the user has participated in the contests");
langdefine("_NO_PICTURES", "No Pictures");
// langdefine("_STATISTICS","Statistics");
langdefine("_WINNER", "Winner of Contest");
langdefine("_DATA", "Data");
langdefine("_PIC_SIZE_MAX", "max. Filesize ");
langdefine("_AWARDS", "Awards");
langdefine("_ADDITION_INFO", "Additional Info");
langdefine("_VOTE_EDIT", "Votings");
// langdefine("_IMAGES","Pictures");
langdefine("_IMAGES_RENUM", "Renum Pictures");
langdefine("_MORE", "more");
// langdefine("_ATTENTION","CAUTION ");
langdefine("_READMORE", "read more");
langdefine("_NEXT", "next");
langdefine("_BACK", "back");
langdefine("_PAGENOEXIST", "Sorry, Page does'nt exists!");
langdefine("_GOCPANEL", "<br /><a href=admin.php>Back to Admin-Menu</a>");
// langdefine("_AREYOUSURE","Are you sure?");
langdefine("_AREYOUSUREACTION", "Do you want to perform the action?");
langdefine("_CON_REFRESH", "Load Settings");
langdefine("_PLEASE_SELECT", "Please select");

langdefine("_INFO", "Info");
langdefine("_ACCEPT", "Accept");
langdefine("_REFRESH", "Refresh");

langdefine("_STATISTIC", "Statistics");
langdefine("_ACTION", "Action");
langdefine("_UPPER", "upper");
langdefine("_LOWER", "lower");
// langdefine("_YES","YES");
// langdefine("_NO","NO");
langdefine("_LEFT", "left");
langdefine("_RIGHT", "right");
langdefine("_CENTER2", "center");
langdefine("_DEFAULT", "default");
langdefine("_GOHOME", "upward");
// langdefine("_ADMIN","Administrator");
langdefine("_USER", "registered users");
// langdefine("_GUESTS","Guests");
// langdefine("_EDIT","edit");
// langdefine("_DEACTIVATE","deactivate");
// langdefine("_ACTIVATE","activate");
// langdefine("_DELETE","delete");
// langdefine("_FROM","from");
langdefine("_TO", "to");
langdefine("_ERROR", "Error");
// langdefine("_HELLO","Hallo ");
langdefine("_UNTIL", "until");
// langdefine("_DAYS","Days");
// langdefine("_DATE","Date");
langdefine("_TIME", "Time");
langdefine("_PICTURE", "Picture");
langdefine("_PICTURES", "Pictures");
langdefine("_TITLE", "Title");
if (!defined("_CATEGORY"))langdefine("_CATEGORY", "Category");
// langdefine("_NONE","none");
// langdefine("_SAVE","Save");
langdefine("_SETTINGS", "Settings");
langdefine("_EXT_SETTINGS", "extended Settings");
langdefine("_EDIT_TXT", "edit Text");
langdefine("_VOTING", "Voting");
// langdefine("_RESULTS","Results");
langdefine("_ARCHIVE", "Archiv");
langdefine("_FUNCTION", "Function");
// langdefine("_CHANGESAREOK","Changes are ok");
// langdefine("_CHANGESNOTOK","Changes not ok!");
// langdefine("_PREVIEW","Preview");
langdefine("_FINISHED", "finished");
langdefine("_CONVERT", "Convert");
langdefine("_CONVERTED", " are converted");
langdefine("_PUBLISH", "Publish");
langdefine("_UNPUBLISH", "Unpublish");
langdefine("_PUBLISHED", "published");
langdefine("_UNPUBLISHED", "unpublished");

langdefine("_NEW", "New");
// langdefine("_CANCEL", "Cancel");
langdefine("_VIEWS", "Views");
langdefine("_AUTHOR", "Author");
langdefine("_DATUM", "Date");
langdefine("_PICTURE_COUNT", "Number of Picture");
langdefine("_NUMMER", "Number");
// langdefine("_DESCRIPTION", "Description");
// langdefine("_HOMEPAGE", "Homepage");
langdefine("_ASSESSMENT", "Assessment");
// langdefine("_NAME","real Name");
langdefine("_PICTURE_INFORMATION", "Picture Information");
langdefine("_ASSESSMENT_INFO", "Assessment info");
langdefine("_BBCODE_TEXT", "This image in Forums (BBcode)");
langdefine("_BBCODE_DIREKTLINK", "Include image");
langdefine("_BBCODE_LINK1", "Link with Thumbnail");
langdefine("_BBCODE_LINK2", "Textlink to the Picture");
langdefine("_HOST", "Adress");
langdefine("_COMMENT", "Comment");
langdefine("_WROTE", "wrote");
langdefine("_INSTALL", "Installation Datenbases");
langdefine("_METATEXT", "Metadata");
langdefine("_EXPORTED", "exported to");
// langdefine("_CONTEST", "Contest");
langdefine("_NOCONTEST", "no Contest");
langdefine("_CONTESTMANAGER", "Contest Manager");
langdefine("_NEWCONTEST", "create Contest");
langdefine("_ADDANEWCONTEST", "create new Contest");
langdefine("_CONTESTTEXT", "Contest text");
langdefine("_CONDITIONS", "Conditions");

langdefine("_NO_FILTER", "- select -");
langdefine("_FILTER_REM", "Filter by:");
langdefine("_FILTER_ALL", "all");
langdefine("_FILTER_UPLOAD", "Upload");
langdefine("_FILTER_POLL", "Voting");
langdefine("_FILTER_RESULT", "Results");
langdefine("_FILTER_ARCHIVE", "Archive");

langdefine("_SORTED_BY_ORDER", "Order by");
langdefine("_SORT_ID_ASC", "ID asc");
langdefine("_SORT_ID_DESC", "ID desc");
langdefine("_SORT_TITLE_ASC", "Title asc");
langdefine("_SORT_TITLE_DESC", "Title desc");
langdefine("_SORT_DATE_ASC", "Date asc");
langdefine("_SORT_DATE_DESC", "Date desc");

langdefine("_ACT_UPLOAD", "Upload");
langdefine("_ACT_POLL", "Voting");
langdefine("_ACT_RESULT", "Results");
// Kategorie&uuml;bersicht
langdefine("_LISTOFCONTEST", "Category : ");
langdefine("_CONTESTCATEGORIES", "Contests category");
langdefine("_PAGESLIST", "Contest list");
langdefine("_PAGELIST_A", "Click on the title to go to the contest.");
langdefine("_PAGESLISTUPLOAD", "You can still participate in these contests :");
langdefine("_PAGESLISTPOLL", "Here you can vote :");
langdefine("_PAGESLISTRESULT", "Here are the latest contest results:");
langdefine("_CONDITIONS_LINK", "Here you can view the terms and conditions");
langdefine("_CONDITIONS_ACCEPT", "I accept the terms and conditions");
langdefine("_BACKTOPAGELIST", "Back to the list");
langdefine("_ALLRESULTS_TEXT", "Here is the list of all contest results");
langdefine("_MORE_LINKS", "more pages");
// Verzeichnismeldungen
langdefine("_ERR_FILE_NIO", "File not writable");
langdefine("_ERR_FILE_IO", "File writable");
langdefine("_ERR_DIR_NIO", "Folder not writable");
langdefine("_ERR_DIR_IO", "Folder writable");
langdefine("_ERR_NOACTIONLIST", "Please select from the list!");
langdefine("_ERR_NO_TITLE", "It must be given a title");
langdefine("_ERR_DIR_NOWRITABLE", "Directory is not present or not writable!");
// Bilder neu nummerieren
langdefine("_RENUM_TEXT", "The contest pictures can be renumbered. In the numerical order in which images are displayed in the vote. The image is number needed for the evaluation.");
langdefine("_RENUM_SORT_TEXT", "Choose a sort order");
langdefine("_RENUM_DATE_ASC", "receipt date ascending");
langdefine("_RENUM_DATE_DESC", "receipt date descending");
langdefine("_RENUM_AUTHOR", "sorted by Author");
langdefine("_RENUM_SHUFFLE", "random numbers");
// Contest copy
langdefine("_CONTEST_COPY_TEXT", "Create a New Contest with the settings of Contest:");
// Seitenansicht
langdefine("_COMMENT_BLANK", "There have not yet been submitted comments.");
langdefine("_COMMENTS_NEW", "Here you can enter your comment");
langdefine("_CLICK_POPUP", "Click on the image to view full size");
langdefine("_CTRL_COPY", "Click on a field and paste the contents with CTRL + C (CTRL + C)");
langdefine("_COMMENT_PUBLISHED_WAIT", "Your comment will only appear after being validated by the administrator");
// fehlermeldungen
langdefine("_DELETE_CATEGORY", "Do you want to delete the category?");
langdefine("_DELETE_CONTEST", "Do you want to delete the category? This will delete all comments for Contest. Possibly associated images and their comments are not deleted.");
langdefine("_DELETE_PICTURE", "Do you want to delete the image?");
langdefine("_DELETE_COMMENT", "Do you want to delete the comment?");
langdefine("_DELETE_VOTING", "Do you want to delete the vote?");

langdefine("_ERR_NAME", "Please enter a Name !");
langdefine("_ERR_NICKNAME", "Please enter a Nickname !");
langdefine("_ERR_MAIL", "Please enter a correct email-adress !");
langdefine("_ERR_EXTENSION", "Incorrect file extension! It will only be accepted images with the file extension JPG / JPEG!");
langdefine("_ERR_FILESIZE", "File too large! Max File Size =");
langdefine("_ERR_FILE", "You specify any file!");
langdefine("_ERR_PICTURESIZE", "The image exceeds the allowed maximum picture size!");
langdefine("_ERR_RULES", "You must agree to the terms and conditions!");
langdefine("_ERR_CAPTCHA", "Incorrect Captcha Code!");
langdefine("_ERR_THUMBNAIL", "Error creating thumbnail");
langdefine("_ERR_NOCONTEST", "No Contest specified!");

langdefine("_OOD_UPLOAD", "The upload is complete. It is no longer possible to participate.");
langdefine("_OOD_POLL", "The vote is completed. The results will be presented shortly.");
langdefine("_DATE_UPLOAD", "Participation is possible until ");
langdefine("_DATE_POLL", "The vote will run until ");

langdefine("_ERR_USER_UPLOAD", "You must be logged in to participate.");
langdefine("_ERR_USER_VOTING", "You must be logged in to vote");
langdefine("_ERR_USER_COMMENT", "You must be logged in to write a comment");
langdefine("_ERR_COM_NAME", "Pleas enter your name!");
langdefine("_ERR_COM_CAPTCHA", "Incorrect Captcha Code!");
langdefine("_ERR_UPLOAD_MAX", "You already sent max. Number of images!");
langdefine("_ERR_NO_PICTURES", "no pictures");
langdefine("_ERR_VOTING_MAX", "You have already voted. Only one vote is possible!");
langdefine("_ERR_SET_COOKIE", "Your browser does not allow cookies. These are necessary for participation. If there are any problems, please re-loading Page (Reload).");
// Upload Formular
langdefine("_UPLOAD_YOUCAN", "You can still send in ");
langdefine("_UPLOAD_PICTURES_UPLOAD", "pictures. ");
langdefine("_UploadPicture", "Here you can now submit your image.");
langdefine("_UPLOAD_REM", "Fill in all fields marked with '*' !! ");
langdefine("_CONTACTFIELD", "Contact");
langdefine("_PICINFO", "Picture data");
langdefine("_PICNAME", "Picture title");
langdefine("_USERNAME", "real Name");
langdefine("_USERMAIL", "User-Email");
langdefine("_USERURL", "Homepage");
langdefine("_USERNICK", "Nick name");
langdefine("_CREDITSINFO", "Credits ");
langdefine("_JPEGINFO", "only jpg-pictures will be accepted !! ");
langdefine("_INFO_UPLOAD_THUMB", "(Optional) if specified a thumbnail it automatically creates a thumbnail from the original image.");
langdefine("_INFO_UPLOADPICTURE", "Upload picture");
langdefine("_YOURACTION", "your action");
langdefine("_READRULES", "I accept ");
// langdefine("_CONDITIONS_LINK","participation conditions.");
langdefine("_UPLOAD_DATACHECK", "Data were processed..");
langdefine("_UPLOAD_THANKS", "Thank you for your participation. Good luck!");
langdefine("_UPLOAD_THANKS_MAIL", "Thank you for your participation. Good luck!");
langdefine("_YOURDATA", "Your Data");
langdefine("_YOURPICTURE", "your picture");
langdefine("_MAIL_HEADER_ADMIN", "The following was sent you by form:");
langdefine("_MAIL_HEADER_USER", "Thank you for your participation. Contest:");
langdefine("_MAIL_REM2", "The following picture was uploaded ");

langdefine("_PARTICIPATION", "Your participation in the Contest:");
langdefine("_NOREPLY", "DO NOT REPLY TO THIS MAIL!");
langdefine("_UPLOAD_DOUBLE", "You have submitted the maximum number of images.");
langdefine("_DOUBLE_UPLOAD_ERR", "You have submitted the maximum number of images!!");
// Voting-Formular
langdefine("_VOTING_TEXT", "Here you can vote for the images:");
langdefine("_VOTING_REM", "Enter the picture number in the destined fields, please. <br>You can only vote once for a picture.");
langdefine("_VOTING_RANK", "Place");
langdefine("_VOTING_PICNR", "Picture number");
langdefine("_VOTING_COMMENT", "Comment");
langdefine("_VOTING_MO", "Special Price");
langdefine("_VOTEING_MO_REM", "This image must not be the best picture!");
langdefine("_VOTE_ERR_PICNUM", "Image numbers is not correctly! Duplicate or missing entry!");
langdefine("_ERR_VOTE_OWN_IMAGE", "It is not allowed to vote for your own image!");
langdefine("_RANK_1", "1st Place");
langdefine("_RANK_2", "2nd Place");
langdefine("_RANK_3", "3th Place");
langdefine("_RANK_MO", "Special Price");
langdefine("_MAILADRESS", "Pleas enter your email-adress");
langdefine("_VOTING_SEND", "Send Vote");
langdefine("_IPADRES", "Your IP-Adress: ");
langdefine("_IPINFO", " will be stored for optionally checks!");
langdefine("_VOTING_THANKS", "Your vote has been counted. <br> Thank you.");
langdefine("_DOUBLE_VOTING_ERR", "You have already voted. No further vote possible!!");
langdefine("_VOTING_COMMENT_TEXT", "You can also write a comment ");
langdefine("_ERR_VOTING_SELF", "You may not vote for your own image!");
// Ergebnisse
langdefine("_CLICK_SHOW", "click to show a larger version of the picture");

langdefine("_RANK", "Place");
langdefine("_NUMBER", "No.");
langdefine("_VOTINGS", "Votes");
langdefine("_VOTINGCOUNT", "Results calculated from");
langdefine("_CONGRATULATIONS", "Thanks to all participators and congratulations to the winners!");
langdefine("_AWARDSPIC", "..and here you can get your award!");
langdefine("_PIC_COMMENTS", "Comments");
langdefine("_YOUR_COMMENT", "You can also write a comment :");
langdefine("_WROTE_DATE", "wrote: ");
langdefine("_EXT_COMMENTS", "Comments");
langdefine("_COMMENT_THANKS", "Thanks for comments.");
// texte f&uuml;r Bl&ouml;cke
// langdefine("_TITLE","Titel");
langdefine("_MAKE_AWARDS", "make Awards");
langdefine("_CHECKVOTING", "check Votings");
langdefine("_CONTEST_ALL_RESULTS", "all results");
langdefine("_LAST_WINNER", "Last Winner");
langdefine("_UPLOAD_CENTER_DATE", "upload possible until");
langdefine("_MOST_POINTS", "most points Images");
langdefine("_MOST_VIEWS", "most viewed Images");
langdefine("_UPLOAD_CENTER_VOTE", "voting possible until");
// Texte für Newseinträge
langdefine("_CON_NEWS_UPLOAD", "Join");
langdefine("_CON_NEWS_UPLOAD_TEXT1", "We have launched a new contest.");
langdefine("_CON_NEWS_VOTING", "vote now");
langdefine("_CON_NEWS_VOTING_TEXT1", "It has started voting for the contest : ");

langdefine("_CON_NEWS_RESULT", "the results are there.");
langdefine("_CON_NEWS_RESULT_TEXT1", "The Contest are closed. All results are determined.");
langdefine("_CONT_ADD_NEWS_INFO", "news entries added");
langdefine("_CON_NEWS_PAGEEND", "go to the Contest");
langdefine("_CON_EVENTLINK", "Calendar");
langdefine("_CONT_ADD_EVENT_INFO", "calendar entries added");
langdefine("_CONT_ADD_EVENT_INFO2", "Calendar entries in category");
langdefine("_CONT_ADD_EVENT_INFO3", "only create new calendar entries");

define("_ADMIN_LASTCHANGE", "last change at");

?>