<?php
/*
 * Copyright (c) 2009 by O.Herfurth 
 * http://www.terraproject.de
 * 
 * ContestMx 0.2
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/statistics.php,v $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */


// Hall of Fame - Ergebnisliste

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function statistics()
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;


    if (!is_view_statistics()) mxErrorscreen(_PAGENOEXIST);
	$pagetitle= readCategoryBaseName()." - "._STATISTICS;
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p class=\"tiny\">&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";	

    title(readCategoryBaseName()." - "._STATISTICS);
    
	OpenTable();
	    //echo "<p class=option>E N T WU R F </p>";
	   // Anzahl Kategorien
		$result = sql_query("SELECT catid from ".$prefix."_pmxContest_category where catid>'1' and published='1'") ;
		$cat_count=sql_num_rows($result);
		// Anzahl Wettbewerbe
		$result = sql_query("SELECT conid from ".$prefix."_pmxContest_contest where published='1'") ;
		$con_count=sql_num_rows($result);
		//Anzahl Bilder		
		$result = sql_query("SELECT * from ".$prefix."_pmxContest_picture where active='1' order by user_id asc") ;
		$pic_count=sql_num_rows($result);
		// Anzahl Teilnehmer

		if ($CONT_CFG['KAT_VIEW']==1) {
		   echo _STATISTICS_WE_HAVE." <b>".$cat_count."</b> "._STATISTICS_ACTIV_KATEGORY."<br/>";
		   echo " <b>".$con_count."</b> "._STATISTICS_ACTIV_CONTESTS."<br/>";
		   } else {
		   echo " <b>".$con_count."</b> "._STATISTICS_ACTIV_CONTESTS."<br/>";
		}
		echo " <b>".$pic_count."</b> "._STATISTICS_ACTIV_PICTURES."<br/>";
        
		// Beste Wettbewerbe

        // besten User
		$result = sql_query("SELECT count(user_id) as user_count from ".$prefix."_pmxContest_picture where active='1'  group by user_id ") ;
		$user_count=sql_num_rows($result);
		
		echo "<br /><b>".$user_count."</b> "._STATISTICS_ACTIV_PARTICIPAT."<br />";
		echo "<br />";
		echo "<u>"._STATISTICS_BEST_USERS."</u> <br />";
		$result = sql_query("SELECT user_nick, count(user_id) as user_count from ".$prefix."_pmxContest_picture where active='1' and user_id>'0' group by user_id order by user_count desc limit 10") ;
        
		while ($user=sql_fetch_assoc($result))
		{
			  $userlink="";
			  $linkend="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=Userinfo&amp;uname=".$user['user_nick']."'>";
			  }
		
		    echo "<b>$userlink".$user['user_nick']."$linkend</b> "._WITH." <b>".$user['user_count']."</b> "._PICTURES."<br/ >";
		}	
		
		$result = sql_query("SELECT cid from ".$prefix."_pmxContest_comment where active='1' ") ;
		$com_count=sql_num_rows($result);

		$result = sql_query("SELECT vid from ".$prefix."_pmxContest_voting where active='1' ") ;
		$vot_count=sql_num_rows($result);
		
		echo "<br />"._STATISTICS_COUNT_VOTINGS.": ".$vot_count."<br />";
		echo _STATISTICS_COUNT_COMMENTS.": ".$com_count."<br />";

        echo "<br /><u>"._STATISTICS_BEST_PICTURE."</u><br />";
		$result = sql_query("SELECT title,user_nick,points,pid,cid from ".$prefix."_pmxContest_picture where active='1' order by points desc limit 20") ;
		$i=0;
		while (list($title,$user_nick,$points,$pid,$cid)=sql_fetch_row($result))
		{
		  $picon=readContest($cid);
		  if ($picon['status']==2) {
		      $i++;
			  $imglink="";
			  $userlink="";
			  $linkend="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $imglink="<a href='modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$pid."'>";
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=Userinfo&amp;uname=".$user_nick."'>";
			  }
			  
			  if ($points>0) echo "<b> ".$points."</b>&nbsp;&nbsp; "._POINTS."&nbsp;&nbsp; "._FOR."&nbsp;&nbsp;$imglink<i>".$title."</i>$linkend  &nbsp;&nbsp;"._FROM."&nbsp;&nbsp;  <b>$userlink".$user_nick."$linkend</b> <br />";
		  }
		  if ($i==10) break;
		}
		
		// most viewed
		
        echo "<br /><u>"._MOST_VIEWS."</u><br />";
		$result = sql_query("SELECT title,user_nick,views,pid,cid from ".$prefix."_pmxContest_picture where active='1' order by views desc limit 20") ;
		$i=0;
		while (list($title,$user_nick,$points,$pid,$cid)=sql_fetch_row($result))
		{
		  $picon=readContest($cid);
		  if ($picon['status']==2) {
		      $i++;
			  $imglink="";
			  $linkend="";
			  $userlink="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $imglink="<a href='modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$pid."'>";
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=Userinfo&amp;uname=".$user_nick."'>";
			  }
			  
			  if ($points>0) echo "<b> ".$points."</b>&nbsp;&nbsp; "._VIEWS."&nbsp;&nbsp; "._FOR."&nbsp;&nbsp;  $imglink<i>".$title."</i> $linkend&nbsp;&nbsp;"._FROM."&nbsp;&nbsp;<b>$userlink".$user_nick."$linkend</b> <br />";
		  }
		  if ($i==10) break;
		}
		
		// erfolgreichste Teilnehmer
	if (MX_IS_ADMIN){	
		echo "<br /><u>"._STATISTICS_BEST_USER."</u><br />";
		$result = sql_query("SELECT user_id,user_nick,sum(points) as sum_points from ".$prefix."_pmxContest_picture where active='1' and  user_id>'0' group by user_id  order by sum_points desc limit 20") ;
		$i=0;
		while (list($id,$user_nick,$points)=sql_fetch_row($result))
		{
		      $i++;
			  $userlink="";
			  $linkend="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=Userinfo&amp;uname=".$user_nick."'>";
			  }
			  
			  if ($points>0) echo "<b> ".$points."</b>&nbsp;&nbsp; "._POINTS."  "._FOR."&nbsp;&nbsp; <b>$userlink".$user_nick."$linkend</b> <br />";
		  
		  if ($i==10) break;
		}
		
		echo "<br /><u>"._STATISTICS_BEST_USER."</u><br />";
		$result = sql_query("SELECT user_id,user_nick,count(rank) as sum_rank from ".$prefix."_pmxContest_picture where active='1' and  user_id>'0' and rank=1 group by user_id  order by sum_rank desc limit 20") ;
		$i=0;
		while (list($id,$user_nick,$points)=sql_fetch_row($result))
		{
		      $i++;
			  $userlink="";
			  $linkend="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=Userinfo&amp;uname=".$user_nick."'>";
			  }
			  
			  if ($points>1) echo "<b> ".$points."</b>&nbsp;x &nbsp; "._RANK_1."  "._FOR."&nbsp;&nbsp; <b>$userlink".$user_nick."$linkend</b> <br />";
		  
		  if ($i==10) break;
		}
		
		echo "<br /><u>"._STATISTICS_BEST_CONTEST."</u><br />";
		$result = sql_query("SELECT cid,count(cid) as sum_rank from ".$prefix."_pmxContest_picture where active='1'  group by cid order by sum_rank desc limit 20") ;
		$i=0;
		while (list($points,$contests)=sql_fetch_row($result))
		{
			  $userlink="";
			  $linkend="";
			  if ($CONT_CFG['SET_STATISTICS_EXT']==1) {
				 // Statistik erweitert
				 $linkend="</a>";
				 $userlink="<a href='modules.php?name=".$module_name."&amp;pid=".$points."'>";
			  }
			  
			  if (readContestStatus($contests)>1 and $contests>9) {
			     echo "<b> ".$contests."</b>&nbsp;&nbsp; "._PICTURES."  "._FOR."&nbsp;&nbsp; <b>$userlink".readContestName($points)."$linkend</b> <br />";
		        $i++;
		      }
		  if ($i==10) break;
		}
		
	}	
		
	CloseTable();

    OpenTable();
	  echo "<hr /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
	
}

function is_view_statistics()
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;

  switch($CONT_CFG['STATISTIC_USERGROUP'])
  {
    case 0:			// alle
	 return true;
	break;
    case 1:			// user
	  if (MX_IS_USER) return true;
	break;
    case 2:			// Admins
	  if (MX_IS_ADMIN) return true;
	break;
	
  }
  return false;
}

?>