<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */
// Anzahl der angezeigten Contests, 0 um alle anzuzeigen
$limit = 4; // Anzahl Bilder
$spalten = 4; // Anzahl Spalten
$tabborder = 1; //Rahmen 0=nein:1=breite

// Blockcache ermoeglichen
$mxblockcache = true;
// Modulname
$module_name = basename(dirname(dirname(__FILE__)));

defined('mxMainFileLoaded') or die('access denied');

mxGetLangfile($module_name . DS . "blocks");

global $prefix, $user_prefix, $bgcolor1, $bgcolor2, $bgcolor3, $txtcolor1, $txtcolor2;

$blockfiletitle = _BLOCK_MOST_VIEWS;

$limit = ($limit) ? ' LIMIT ' . intval($limit) : '';

$result_con = sql_query("SELECT conid from ${prefix}_pmxContest_contest where status>'1' and published=1 order by datum desc");
$econ = "";
while (list($ecid) = sql_fetch_row($result_con)) {
    $econ .= $ecid . ",";
}

/* falls keine Datensätze vorhanden, Block nicht anzeigen */
if (!$econ) {
    return true;
}

$econ = substr($econ, 0, -1);

$result = sql_query("Select * from ${prefix}_pmxContest_picture where
										cid in ($econ)  and
										active='1'
										Order by views desc " . $limit . " ");
// $result = sql_query("SELECT * FROM " . $prefix . "_pmxContest_picture WHERE active='1' ORDER BY views desc " . $limit . "");
$content .= "<table width=\"99%\" border=\"" . $tabborder . "\" cellspacing=\"2\" cellpadding=\"2\" background=\"" . $bgcolor2 . "\" bordercolor=\"" . $bgcolor1 . "\"><tr>";

$i = 0;
while ($result2 = sql_fetch_array($result)) {
    $cid = $result2['pid'];
    $title = $result2['title'];
    // $result3 = sql_query("SELECT * FROM " . $prefix . "_contest_picture WHERE cid='".$cid."' and rank='1' ");
    // $result4 = sql_fetch_array($result3) ;
    $content .= "<td class=\"align-center\" width=\"33%\"><b>";
    $content .= "" . $title . "<br>";
    $content .= "<a href=\"modules.php?name=" ;
    $content .= $module_name . "&amp;pa=contest_pic_show&amp;pid=" . $cid . "\"><img src=\"" . $result2['thumb_url'] . "\"></a><br>";
    $content .= "" . $result2['user_name'] . "<br>";
    $content .= "Views :" . $result2['views'] . "<br>";
    $content .= "</td>";
    $i++;
    if (($i / $spalten) == intval($i / $spalten)) $content .= "</tr>";
}
if (($i / $spalten) == intval($i / $spalten)) {
    $content .= "</table>";
} else {
    $content .= "</tr></table>";
}

?>