<?php
/*
 * Copyright (c) 2009 by O.Herfurth 
 * http://www.terraproject.de
 * 
 * ContestMx 0.2
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/hof.php,v $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */


// Hall of Fame - Ergebnisliste

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function all_results($cid=0,$start=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;
    $pcid="";
    if ($cid>0) $pcid=" cid='".$cid."' and";
	$result6 = sql_query("SELECT cid from ${prefix}_pmxContest_contest where $pcid status='2' and published='1'" );
    $numresults=sql_num_rows($result6);
	
	$limit=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_NUM'];
	$blimit=$limit;
	if ($start>$numresults) $start=$numresults-$limit;
	if ($start<0) $start=0;
	if (($start+$limit)<$numresults) {
	  $pagenext=true;
	} else {
	  $pagenext=false;
	}
	if ($start>0) {
	  $pageback=true;
	  } else {
	  $pageback=false;
	}
	
	if ((intval($start)+intval($limit))> intval($numresults)) {
	   $limit=$numresults-$start;
	}
	
	$pagetitle= readCategoryBaseName()." - "._RESULTS;
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p class='tiny'>&raquo;<a href='modules.php?name='.$module_name.''>&nbsp; ".readCategoryBaseName()."</a></p>";	
	
	
	$pcid="";
     if ($cid>0) {
	    $pcid=" cid='".$cid."' and";
	     title(readCategoryName($cid)." - "._ALL." "._RESULTS);
	 } else {
	     title(readCategoryBaseName()." - "._ALL." "._RESULTS);
     }
	 $navlink="";
	if ($pagenext or $pageback) {
	   $nextstart=$start+$blimit;
	   $backstart=$start-$blimit;
	   if ($cid>0) {
	     $cpa="result&amp;cid=$cid";
		 } else {
		 $cpa="list_results";
		}
	   $navlink = "<div class=\"align-center\">"._CONTEST." <b>". ($start+1) ." "._TO." ".($start+$limit)."</b> "._FROM." ".$numresults."</div>";	
	   $navlink.= "<div class=\"align-center\"><table width=\"100%\"><tr><td class=\"align-center\">";
	   if ($pageback) $navlink.="<a href='modules.php?name=".$module_name."&amp;pa=$cpa&amp;start=$backstart'>&laquo; "._BACK."</a>";
	   $navlink.="</td><td></td>";
	   $navlink.="<td class=\"align-right\">";
	   if ($pagenext) $navlink.="<a href='modules.php?name=".$module_name."&amp;pa=$cpa&amp;start=$nextstart'>"._NEXT."&raquo;</a>";
	   $navlink.="</td></tr></table></div>";
	  OpenTable();
	    echo $navlink;
	  CloseTable();
	}
     OpenTable();
	    
		$result = sql_query("SELECT * from ${prefix}_pmxContest_contest where $pcid status='2' order by datum desc limit $start,$limit" );
		
		echo "<div class=\"align-center content\">"._ALLRESULTS_TEXT."</div>";
		echo "<table width=\"100%\" class=\"align-center\" >";
		echo "<tr>";
		$i=0;
		$imax=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'];
		while ($mypage = sql_fetch_assoc($result))
		{
		  $result5 = sql_query("SELECT thumb_url from ".$prefix."_pmxContest_picture where pid='". intval($mypage['place1'])."' ") ;
 	      list($img1)=sql_fetch_row($result5);

		  echo "<td width='".intval(100/$imax)."%' class=\"align-center\" >";
		  echo "<a href='modules.php?name=".$module_name."&amp;pid=".$mypage['conid']."'>";
		  echo "<img src='".$img1."' class=\"img-border align-center\" />";
		  echo "<br /><span class=\"node\">".$mypage['cattitle']."</span></a><br />";
		    if ($CONT_CFG['KAT_VIEW']==1 and $cid==0) echo "<i><a href='modules.php?name=".$module_name."&amp;cid=".$mypage['cid']."'>".readCategoryName($mypage['cid'])."</a></i>";
		  echo "<p class=\"tiny\">[".langDate($mypage['datum'])."]</p>";
		  echo "</td>";		
		  $i++;
		  if ($i==$imax) {
		    echo "</tr><tr>";
			$i=0;
		  }
		
		}
	    echo "<td>&nbsp;</td></tr></table>";
	
	
	CloseTable();
    if ($navlink>"") {
	  OpenTable();
	  echo $navlink;	
	  CloseTable();
	}
    OpenTable();
	  echo "<hr /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
	

}

function all_userpictures($cid=0,$start=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;
    
	$userdata=mxGetUserDataFromUid($cid);
	if ($userdata['uid']==$cid) 
	{
	 // ok 
	}

			$result_con = sql_query("SELECT conid from ${prefix}_pmxContest_contest where status>'1' and published=1 order by datum desc" );
			$econ="";
			while (list($ecid)=sql_fetch_row($result_con)) {
			  $econ .=$ecid.",";
			}
			$econ=substr($econ,0,-1);
			
			        $result=sql_query("Select * from ${prefix}_pmxContest_picture where 
										cid in ($econ)  and 
										user_id='".$cid."' and
										active='1'
										order by datetime desc ");//user_id='".$userdata['uid']."' and
			
 
		$piccount=sql_num_rows($result);
    
	$numresults=$piccount;
	
	$limit=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_NUM'];
	$blimit=$limit;
	if ($start>$numresults) $start=$numresults-$limit;
	if ($start<0) $start=0;
	if (($start+$limit)<$numresults) {
	  $pagenext=true;
	} else {
	  $pagenext=false;
	}
	if ($start>0) {
	  $pageback=true;
	  } else {
	  $pageback=false;
	}
	
	if ((intval($start)+intval($limit))> intval($numresults)) {
	   $limit=$numresults-$start;
	}
	

	$pagetitle= readCategoryBaseName()." - "._LINK_USERPIC." ".$userdata['uname'];
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p align=\"tiny\">&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";	
	
	title(readCategoryBaseName()." - "._LINK_USERPIC." ".$userdata['uname']);


    OpenTable();
	
		
		if ($piccount>0) {
		
			echo "<p class=\"content\">"._ALL_PICTURES_FROM_USER." </p>";
			echo "<table width=\"100%\" class=\"table\" >";
			echo "<tr>";
			$i=0;
			$numpic=0;
			$imax=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'];
			while ($mypage = sql_fetch_assoc($result))
			{
			  $conid=$mypage['cid'];
			  $myconstatus=readContestStatus($conid);
			  $cattitle=readContestName($conid);
			  if ($myconstatus>1) {	
				  echo "<td></td><td width='".intval(100/$imax)."%' class=\"align-center\">";
				  echo "<a href='modules.php?name=".$module_name."&pa=contest_pic_show&amp;pid=".$mypage['pid']."'>";
				  echo "<img class=\"img-border align-center\" src='".$mypage['thumb_url']."' />";
				  echo "<p><b>".$mypage['title']."</b></p></a>";
				  echo "<p class=\"content\" ><a href='modules.php?name=".$module_name."&amp;pid=".$conid."'>".substr($cattitle,0,25)."..</a>";
				  echo "<br/>["._RANK." : ".$mypage['rank']."]</p>";
					
				  echo "</td>";		
				  $i++;
				  if ($i==$imax) {
					echo "</tr><tr>";
					$i=0;
				  }
			  }
			   
			}
			echo "</tr></table>";
	    } else { // keine Bilder
		  echo _NO_PICTURES;
		}
	
	CloseTable();
	
    OpenTable();
	  echo "<hr /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
	

}
function all_archive($cid=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;


	$pagetitle= readCategoryBaseName()." - "._ARCHIVE;
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p align=tiny>&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";	
	
	$pcid="";
     if ($cid>0) {
	    $pcid=" cid='".$cid."' and";
	     title(readCategoryName($cid)." -  "._ARCHIVE);
	 } else {
	     title(readCategoryBaseName()." -  "._ARCHIVE);
     }
     OpenTable();
	    
		$result = sql_query("SELECT * from ${prefix}_pmxContest_contest where status='3' order by datum desc" );
		
		echo "<p class=\"note\">"._ALLRESULTS_TEXT."</p>";
		echo "<table width=\"100%\" class=\"table\" >";
		echo "<tr>";
		$i=0;
		$imax=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'];
		while ($mypage = sql_fetch_assoc($result))
		{
		  $result5 = sql_query("SELECT thumb_url from ".$prefix."_pmxContest_picture where pid='". intval($mypage['place1'])."' ") ;
 	      list($img1)=sql_fetch_row($result5);

		  echo "<td width='".intval(100/$imax)."%' class=\"align-center\">";
		  echo "<a href='modules.php?name=".$module_name."&pid=".$mypage['conid']."'>";
		  echo "<img src='".$img1."' class=\"img-border\" />";
		  echo "<p class=\"node\">".$mypage['cattitle']."</p></a>";
		    if ($CONT_CFG['KAT_VIEW']==1 and $cid==0) echo "<p class=\"node\" ><a href='modules.php?name=".$module_name."&amp;cid=".$mypage['cid']."'>".readCategoryName($mypage['cid'])."</p></a>";
		  echo "<p class=\"tiny\">[".langDate($mypage['datum'])."]</p>";
		  echo "</td><td></td>";		
		  $i++;
		  if ($i==$imax) {
		    echo "</tr><tr>";
			$i=0;
		  }
		
		}
	    echo "</tr></table>";
	
	   
	CloseTable();
	
    OpenTable();
	  echo "<br /><hr /><br /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
}

function all_most_view($cid=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;


	$pagetitle= _MOST_VIEWS;
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p class=\"tiny\">&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";	
	$limit=20;
    $spalten=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'];
	$taborder=1;
	title($pagetitle);
     OpenTable();
	    

			$limit = ($limit) ? ' LIMIT ' . intval($limit) : '';
			
			$content="";
			
			$result_con = sql_query("SELECT conid from ${prefix}_pmxContest_contest where status>'1' and published=1 order by datum desc" );
			$econ="";
			while (list($ecid)=sql_fetch_row($result_con)) {
			  $econ .=$ecid.",";
			}
			$econ=substr($econ,0,-1);
			
			        $result=sql_query("Select * from ${prefix}_pmxContest_picture where 
										cid in ($econ)  and 
										active='1'
										Order by views desc ".$limit." ");
			
			        $count=sql_num_rows($result);
					$content .= "<table width=\"99%\"  border=\"".$taborder."\" style=\"cellspacing='2'; cellpadding='2'; backgroundcolor='".$bgcolor2."' ;\"><tr>";
			
				$i=0;
				while(	$result2 = sql_fetch_array($result) ){
					$cid=$result2['pid'];
					$title=$result2['title'];
			
					$content .=  "<td class=\"align-center\" width=\"33%\">";
					$content .= "".$title."<br />";
					$content .= "<a href=\"modules.php?name=" ;
					$content .= $module_name . "&amp;pa=contest_pic_show&amp;pid=" . $cid . "\"><img src=\"" .$result2['thumb_url']. "\" class=\"img-border align-center\" />";
					$content .= "".$result2['user_name']."<br>";
					$content .= _VIEWS." : ".$result2['views']."<br></a>";
					$content .= "</td>";
					$i++;
					if (($i/$spalten)==intval($i/$spalten)) {
						if ($i>=$count) {
						   $content .="</tr>";
						} else { 
					       $content .= "</tr><tr>";
						}
					}
			
				}
					$content .= "</table>";
			echo $content;	
	
	CloseTable();
	
    OpenTable();
	  echo "<br /><hr /><br /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
	

}
function all_most_points($cid=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG, $bgcolor, $bgcolor1, $bgcolor2, $bgcolor3;


	$pagetitle= _MOST_POINTS;
	
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
    echo "<p class=\"tiny\">&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";	
    $spalten=$CONT_CFG['SETTINGS_FRONTEND_ALLRESULTS_COLS'];
    $taborder=1; 
	title($pagetitle);
	$limit=6 * $spalten;
	$content="";
	 OpenTable();
	    

			$limit = ($limit) ? ' LIMIT ' . intval($limit) : '';
			
			$result_con = sql_query("SELECT conid from ${prefix}_pmxContest_contest where status>'1' and published=1 order by datum desc" );
			$econ="";
			while (list($ecid)=sql_fetch_row($result_con)) {
			  $econ .=$ecid.",";
			}
			$econ=substr($econ,0,-1);
			
			        $result=sql_query("Select * from ${prefix}_pmxContest_picture where 
										cid in ($econ)  and 
										active='1'
										Order by points desc ".$limit." ");
			        $count=sql_num_rows($result);
			
					$content .= "<table width=\"99%\"  border=\"".$taborder."\" style=\"cellspacing='2'; cellpadding='2'; backgroundcolor='".$bgcolor2."' ;\"><tr>";
			
				$i=0;
				while(	$result2 = sql_fetch_array($result) ){
					$cid=$result2['pid'];
					$title=$result2['title'];
			
					$content .=  "<td class=\"align-center\" width=\"33%\">";
					$content .= "".$title."<br />";
					$content .= "<a href=\"modules.php?name=" ;
					$content .= $module_name . "&amp;pa=contest_pic_show&amp;pid=" . $cid . "\"><img src=\"" .$result2['thumb_url']. "\" class=\"img-border align-center\" />";
					$content .= "".$result2['user_name']."<br>";
					$content .= _POINTS." : ".$result2['points']."<br></a>";
					$content .= "</td>";
					$i++;
					if (($i/$spalten)==intval($i/$spalten)) {
						if ($i>=$count) {
						   $content .="</tr>";
						} else { 
					       $content .= "</tr><tr>";
						}
					}
			
				}
						$content .="</table>";
				
	    echo $content;
		
	CloseTable();
	
    OpenTable();
	  echo "<hr /><br />";
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");
	

}

?>