<?php
/**
 * This file is part of ContestMX2
 * pragmaMx - Web Content Management System.
 * Copyright by TerraProject (c)2009
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function LoadCategoryConfig ($cat=1) {
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;
			$config=array();
			$result = sql_query("SELECT * from ".$prefix."_pmxContest_category where catid ='".$cat."'") ;
			if (sql_num_rows($result)==1) {
				$mycat = sql_fetch_assoc($result);
				$config = unserialize($mycat['config']);
			}
	return $config;		

}


function SetupConfig($config){
    global $mxConf;
	
	        $config['CONFIG_UPLOAD_GUEST_TEXT']=(isset($_POST['CONFIG_UPLOAD_GUEST_TEXT']))?$_POST['CONFIG_UPLOAD_GUEST_TEXT']:0;
	        $config['CONFIG_PATH']=(isset($_POST['CONFIG_PATH']))?$_POST['CONFIG_PATH']:"";
	        $config['CONFIG_UPLOAD_COUNT']=(isset($_POST['CONFIG_UPLOAD_COUNT']))?$_POST['CONFIG_UPLOAD_COUNT']:1;
	        $config['CONFIG_UPLOAD_USER']=(isset($_POST['CONFIG_UPLOAD_USER']))?$_POST['CONFIG_UPLOAD_USER']:1;
	        $config['CONFIG_VOTING_USER']=(isset($_POST['CONFIG_VOTING_USER']))?$_POST['CONFIG_VOTING_USER']:1;
	        $config['CONFIG_PIC_PUBLISH']=(isset($_POST['CONFIG_PIC_PUBLISH']))?$_POST['CONFIG_PIC_PUBLISH']:0;
	        $config['CONFIG_AUTOR_PUBLISH']=(isset($_POST['CONFIG_AUTOR_PUBLISH']))?$_POST['CONFIG_AUTOR_PUBLISH']:0;
	        $config['CONFIG_AUTOR_REQUIRED']=(isset($_POST['CONFIG_AUTOR_REQUIRED']))?$_POST['CONFIG_AUTOR_REQUIRED']:0;
	        $config['CONFIG_ACCEPT_RULES']=(isset($_POST['CONFIG_ACCEPT_RULES']))?$_POST['CONFIG_ACCEPT_RULES']:1;
	        $config['CONFIG_PIC_FILESIZE']=(isset($_POST['CONFIG_PIC_FILESIZE']))?$_POST['CONFIG_PIC_FILESIZE']:100000;
	        $config['CONFIG_PIC_WIDTH']=(isset($_POST['CONFIG_PIC_WIDTH']))?$_POST['CONFIG_PIC_WIDTH']:800;
	        $config['CONFIG_PIC_HEIGHT']=(isset($_POST['CONFIG_PIC_HEIGHT']))?$_POST['CONFIG_PIC_HEIGHT']:600;
	        $config['CONFIG_VOTING_P1']=(isset($_POST['CONFIG_VOTING_P1']))?$_POST['CONFIG_VOTING_P1']:0;
	        $config['CONFIG_VOTING_P2']=(isset($_POST['CONFIG_VOTING_P2']))?$_POST['CONFIG_VOTING_P2']:0;
	        $config['CONFIG_VOTING_P3']=(isset($_POST['CONFIG_VOTING_P3']))?$_POST['CONFIG_VOTING_P3']:0;
	        $config['CONFIG_VOTING_SO']=(isset($_POST['CONFIG_VOTING_SO']))?$_POST['CONFIG_VOTING_SO']:0;
	        $config['CONFIG_VOTING_PSO']=(isset($_POST['CONFIG_VOTING_PSO']))?$_POST['CONFIG_VOTING_PSO']:0;
	        $config['CONFIG_VOTING_NSO']=(isset($_POST['CONFIG_VOTING_NSO']))?$_POST['CONFIG_VOTING_NSO']:0;
	        $config['CONFIG_MAIL_ADMIN']=(isset($_POST['CONFIG_MAIL_ADMIN']) and $_POST['CONFIG_MAIL_ADMIN']!="")?$_POST['CONFIG_MAIL_ADMIN']:$mxConf['adminmail'];
	        $config['CONFIG_MAIL_SENDER']=(isset($_POST['CONFIG_MAIL_SENDER'])and $_POST['CONFIG_MAIL_SENDER']!="")?$_POST['CONFIG_MAIL_SENDER']:$mxConf['adminmail'];
	        $config['CONFIG_MAIL_UPLOAD']=(isset($_POST['CONFIG_MAIL_UPLOAD']))?$_POST['CONFIG_MAIL_UPLOAD']:0;
	        $config['CONFIG_MAIL_VOTING']=(isset($_POST['CONFIG_MAIL_VOTING']))?$_POST['CONFIG_MAIL_VOTING']:0;
	        $config['CONFIG_MAIL_COMMENT']=(isset($_POST['CONFIG_MAIL_COMMENT']))?$_POST['CONFIG_MAIL_COMMENT']:0;
			
	        $config['CONFIG_AWARDS_ON']=(isset($_POST['CONFIG_AWARDS_ON']))?$_POST['CONFIG_AWARDS_ON']:0;
	        $config['CONFIG_AWARDS_AUTO']=(isset($_POST['CONFIG_AWARDS_AUTO']))?$_POST['CONFIG_AWARDS_AUTO']:0;
	        $config['CONFIG_AWARDS_P1']=(isset($_POST['CONFIG_AWARDS_P1']))?$_POST['CONFIG_AWARDS_P1']:-1;
	        $config['CONFIG_AWARDS_P2']=(isset($_POST['CONFIG_AWARDS_P2']))?$_POST['CONFIG_AWARDS_P2']:-1;
	        $config['CONFIG_AWARDS_P3']=(isset($_POST['CONFIG_AWARDS_P3']))?$_POST['CONFIG_AWARDS_P3']:-1;
	        $config['CONFIG_AWARDS_PSO']=(isset($_POST['CONFIG_AWARDS_PSO']))?$_POST['CONFIG_AWARDS_PSO']:-1;
	        $config['CONFIG_AWARDS_FONT']=(isset($_POST['CONFIG_AWARDS_FONT']))?$_POST['CONFIG_AWARDS_FONT']:1;
	        $config['CONFIG_AWARDS_FONTSIZE']=(isset($_POST['CONFIG_AWARDS_FONTSIZE']))?$_POST['CONFIG_AWARDS_FONTSIZE']:5;
	        $config['CONFIG_AWARDS_TITLE']=(isset($_POST['CONFIG_AWARDS_TITLE']))?$_POST['CONFIG_AWARDS_TITLE']:"Special";
	        $config['CONFIG_AWARDS_PIC_X']=(isset($_POST['CONFIG_AWARDS_PIC_X']))?$_POST['CONFIG_AWARDS_PIC_X']:5;
	        $config['CONFIG_AWARDS_PIC_Y']=(isset($_POST['CONFIG_AWARDS_PIC_Y']))?$_POST['CONFIG_AWARDS_PIC_Y']:5;
	        $config['CONFIG_AWARDS_PIC_WIDTH']=(isset($_POST['CONFIG_AWARDS_PIC_WIDTH']))?$_POST['CONFIG_AWARDS_PIC_WIDTH']:5;
	        $config['CONFIG_AWARDS_PIC_HEIGHT']=(isset($_POST['CONFIG_AWARDS_PIC_HEIGHT']))?$_POST['CONFIG_AWARDS_PIC_HEIGHT']:5;
	        $config['CONFIG_AWARDS_FONTX']=(isset($_POST['CONFIG_AWARDS_FONTX']))?$_POST['CONFIG_AWARDS_FONTX']:5;
	        $config['CONFIG_AWARDS_FONTY']=(isset($_POST['CONFIG_AWARDS_FONTY']))?$_POST['CONFIG_AWARDS_FONTY']:5;
	        $config['CONFIG_PIC_THUMB']=(isset($_POST['CONFIG_PIC_THUMB']))?$_POST['CONFIG_PIC_THUMB']:0;
	        $config['CONFIG_PIC_EXTFILE']=(isset($_POST['CONFIG_PIC_EXTFILE']))?$_POST['CONFIG_PIC_EXTFILE']:0;
	        $config['CONFIG_PIC_EXTTEXT']=(isset($_POST['CONFIG_PIC_EXTTEXT']))?$_POST['CONFIG_PIC_EXTTEXT']:0;
	        $config['CONFIG_PIC_EXTTEXT_TITLE']=(isset($_POST['CONFIG_PIC_EXTTEXT_TITLE']))?$_POST['CONFIG_PIC_EXTTEXT_TITLE']:"";
		
			
return $config;
}

function gdVersion($user_ver = 0)
{
    if (! extension_loaded('gd')) { return; }
    static $gd_ver = 0;
    // Just accept the specified setting if it's 1.
    if ($user_ver == 1) { $gd_ver = 1; return 1; }
    // Use the static variable if function was called previously.
    if ($user_ver !=2 && $gd_ver > 0 ) { return $gd_ver; }
    // Use the gd_info() function if possible.
    if (function_exists('gd_info')) {
        $ver_info = gd_info();
        preg_match('/\d/', $ver_info['GD Version'], $match);
        $gd_ver = $match[0];
        return $match[0];
    }
    // If phpinfo() is disabled use a specified / fail-safe choice...
    if (preg_match('/phpinfo/', ini_get('disable_functions'))) {
        if ($user_ver == 2) {
            $gd_ver = 2;
            return 2;
        } else {
            $gd_ver = 1;
            return 1;
        }
    }
    // ...otherwise use phpinfo().
    ob_start();
    phpinfo(8);
    $info = ob_get_contents();
    ob_end_clean();
    $info = stristr($info, 'gd version');
    preg_match('/\d/', $info, $match);
    $gd_ver = $match[0];
    return $match[0];
}


?>