<?php
/**
 * This file is part of ContestMX2
 * pragmaMx - Web Content Management System.
 * Copyright by TerraProject (c)2009
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * $Source : functions.mail.php $
 * $Revision: 6 $
 * $Author: PragmaMx $
 * $Date: 2015-07-08 09:07:06 +0200 (Mi, 08. Jul 2015) $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

/*
 mail bei :
 - Upload an Teilnehmer und Admin
 - kommentare für Freischaltung an Admin
 
*/

function contest_mail_upload ($con,$pic)
{
    global $prefix,$sitename, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;

    $mypage=readContest($con);
    $config=unserialize($mypage['config']);
	
	$contest=$mypage['cattitle'];
	
    $result = sql_query("SELECT * from ${prefix}_pmxContest_picture where pid=" . intval($pic) );
    $picdata=sql_fetch_assoc($result);
	
	
	if ( $config['CONFIG_MAIL_UPLOAD'] == 1) {
	   // Kopf der E-Mail an admin
	   
		   $recipient = $config['CONFIG_MAIL_ADMIN']; 
		   $betreff =  "Contest-" .$contest. " : " . $picdata["title"];

		   $mailheaders = "From: \"".stripslashes($picdata["user_nick"])."\" <".$picdata["user_email"].">\n";
		   $mailheaders .= "Reply-To: <".$picdata["user_email"].">\n";
		   $mailheaders .= "X-Mailer: PHP/" . phpversion();
		
		// Darstellung der E-Mail
		   $msg  = _MAIL_HEADER_ADMIN." DATE: ". $picdata["datetime"] ."\n\n ->Contest: " . $contest ."\n\n"; 
		   $msg .= "-------------------------------------------------------------------------\n\n";
		   $msg .= "Name: " . $picdata["user_name"] . "\n";
		   $msg .= "E-Mail: " . $picdata["user_email"] . "\n";
		   $msg .= "Nickname: " . $picdata["user_nick"] . "\n";
		   $msg .= "Homepage: " . $picdata["user_homepage"] . "\n";		   
		   $msg .= "\nBildname: " . $picdata["title"] . "\n";
		   $msg .= "Credits:\n" . $picdata["description"] . "\n\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
			$msg .= ' Picture:'."\n";
			$msg .= ' '.$picdata["pic_origname"]."\n\n";
			$msg .= ' as - http://'.$_SERVER['HTTP_HOST']."/" .$picdata["pic_url"]."\n\n";
			$msg .= " http://".$_SERVER['HTTP_HOST']."/admin.php?op=".$module_name."&act=picture-edit&pid=".intval($pic)."\n\n";
			   
		 
		   $msg .= "IP Adresse: " . $picdata["IP"] . "\n";
		   $msg .= "Date-Time: " . $picdata["datetime"] . "\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
	
		   $msg = strip_tags ($msg);
		   
         // @mail($recipient,$betreff,$msg,$mailheaders);
		 mxmail($recipient,$betreff,$msg,$picdata['user_email']);  	
	 }
	 	
		   // Dankes E-Mail an Teilnehmer
		   
		   $recipient = $picdata["user_email"]; 
		   $betreff =  _PARTICIPATION . "  '".$contest. "'  " ;
		   // "".$_POST["betreff"]."";
		   $mailheaders = "From: \"".stripslashes($sitename)."\" <".$config['CONFIG_MAIL_SENDER'].">\n";
		   $mailheaders .= "Reply-To: <".$config['CONFIG_MAIL_SENDER'].">\n";
		   $mailheaders .= "X-Mailer: PHP/" . phpversion();
		
		// Darstellung der E-Mail
		   $msg = _HELLO . " " . $picdata["user_nick"].",\n\n";
		   $msg .= _MAIL_HEADER_USER . " : " . $contest."\n\n" . _YOURDATA .":\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
		   $msg .= _USERNAME .": " . $picdata["user_name"] . "\n";
		   $msg .= _USERMAIL .": " . $picdata["user_email"] . "\n";
		   $msg .= _USERNICK .": " . $picdata["user_nick"] . "\n";
		   $msg .= _USERURL .": " . $picdata["user_homepage"] . "\n";		   
		   $msg .= "\n" ._PICNAME .": " . $picdata["title"] . "\n";
		   $msg .= _CREDITSINFO .":\n" . $picdata["description"] . "\n\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
			$msg .= _MAIL_REM2 .": \n";
			$msg .= _PICTURE.": ".$picdata["pic_origname"]."\n\n";
			   
		 
		   $msg .= "IP Adresse: " . $picdata["IP"] . "\n";
		   $msg .= "Date-Time: " . $picdata["datetime"] . "\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
	       $msg .=_UPLOAD_THANKS_MAIL ."\n\n";
		   $msg .= "Team " . $sitename;
		   $msg .= "\n\n-------------------------------------------------------------------------\n\n";
	       $msg .=_NOREPLY ."\n\n";
		   $msg = strip_tags ($msg);
		   
		  // @mail($recipient,$betreff,$msg,$mailheaders);
		 mxmail($recipient,$betreff,$msg,$config['CONFIG_MAIL_SENDER']);  	
		   
 return;
}

function contest_mail_voting ($con,$username)
{
    global $prefix,$sitename, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;

    $mypage=readContest($con);
    $config=unserialize($mypage['config']);
	
	$contest=$mypage['cattitle'];
	
	
	
	if ( $config['CONFIG_MAIL_VOTING'] ==1) {
	   // Kopf der E-Mail an admin
			$date = date("d.m.Y | H:i");
			$ip = $_SERVER['REMOTE_ADDR']; 
			$UserAgent = $_SERVER['HTTP_USER_AGENT'];
			$remote = getenv('REMOTE_ADDR');
			$host = getHostByAddr($remote);
	   
	   
		   $recipient = $config['CONFIG_MAIL_ADMIN']; 
		   $betreff =  "New vote for Contest - " .$contest;

		   $mailheaders = "From: \"".stripslashes($sitename)."\" <".$config['CONFIG_MAIL_ADMIN'].">\n";
		   $mailheaders .= "Reply-To: <".$config['CONFIG_MAIL_ADMIN'].">\n";
		   $mailheaders .= "X-Mailer: PHP/" . phpversion();
		
		// Darstellung der E-Mail
		   $msg  = _MAIL_HEADER_ADMIN." DATE: ". $date ."\n\n ->Voting for contest: " . $contest ."\n\n"; 
		   $msg .= "Contest http://".$_SERVER['HTTP_HOST']."/modules.php?name=".$module_name."&pid=".$con."\n\n"; 
		   
		   $msg .= "-------------------------------------------------------------------------\n\n";
		   $msg .= "Name: " . $username . "\n\n";	
		   $msg .= "Link http://".$_SERVER['HTTP_HOST']."/admin.php?op=".$module_name."&act=voting \n\n";
		   $msg .= "IP Adress: " . $ip . " - User Agent : ".$UserAgent." - ".$host."\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
	
		   $msg = strip_tags ($msg);
		   
         @mail($recipient,$betreff,$msg,$mailheaders);
		   	
	 }
return;	 	 
}

function contest_mail_comment ($con,$commid,$pid,$username,$comm,$active)
{
    global $prefix,$sitename, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $CONT_CFG;

    $mypage=readContest($con);
    $config=unserialize($mypage['config']);
	$contest=$mypage['cattitle'];
	
	if (($config['CONFIG_MAIL_COMMENT']==1) or ($active==0)){
	   // Kopf der E-Mail an admin
			$date = date("d.m.Y | H:i");
			$ip = $_SERVER['REMOTE_ADDR']; 
			$UserAgent = $_SERVER['HTTP_USER_AGENT'];
			$remote = getenv('REMOTE_ADDR');
			$host = getHostByAddr($remote);
			$pidlink="";
	       if ($pid>0) {
		      $pidlink="http://".$_SERVER['HTTP_HOST']."/modules.php?name=".$module_name."&pa=contest_pic_show&pid=".$pid."#comment".$commid." \n\n";
			  } else {
		      $pidlink="http://".$_SERVER['HTTP_HOST']."/modules.php?name=".$module_name."&pid=".$con."#comment".$commid." \n\n";
		   }
	   
		   $recipient = $config['CONFIG_MAIL_ADMIN']; 
		   $betreff =  "Contest ".$contest." - new Comment ";

		   $mailheaders = "From: \"".stripslashes($sitename)."\" <".$config['CONFIG_MAIL_ADMIN'].">\n";
		   $mailheaders .= "Reply-To: <".$config['CONFIG_MAIL_ADMIN'].">\n";
		   $mailheaders .= "X-Mailer: PHP/" . phpversion();
		
		// Darstellung der E-Mail
		   $msg  = _MAIL_HEADER_ADMIN." DATE: ". $date ."\n\n ->New Comment \n\n"; 
		   $msg .= "-------------------------------------------------------------------------\n\n";
		   $msg .= "Name: " . $username . "\n\n";	
		   $msg .= "Comment: " . stripslashes($comm) . "\n\n";	
		   $msg .= "link ".$pidlink;
		   if ($active==0) $msg .= "Adminlink for published comment \n http://".$_SERVER['HTTP_HOST']."/admin.php?op=".$module_name."&act=comment-publish&cid=".$commid." \n\n";
		   if ($active==1) $msg .= "Adminlink for unpublished comment \n http://".$_SERVER['HTTP_HOST']."/admin.php?op=".$module_name."&act=comment-unpublish&cid=".$commid." \n\n";
		   $msg .= "IP Adress: " . $ip . " - User Agent : ".$UserAgent." - ".$host."\n";
		   $msg .= "-------------------------------------------------------------------------\n\n";
	
		   $msg = strip_tags ($msg);
		   
         @mail($recipient,$betreff,$msg,$mailheaders);
		   	
	 }
return;	 	 
}


?>