<?php
/*
 * Copyright (c) 2009 by O.Herfurth 
 * http://www.terraproject.de
 * 
 * ContestMx 0.2
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/index.php,v $
 * $Revision: 207 $
 * $Author: PragmaMx $
 * $Date: 2016-09-13 09:20:26 +0200 (Di, 13. Sep 2016) $
 */


if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);

//include('spaw/spaw_control.class.php');
require('modules/' . $module_name . '/config.php');
include('modules/' . $module_name . '/inc/functions.php');
include('modules/' . $module_name . '/upload.php');
include('modules/' . $module_name . '/voting.php');
include('modules/' . $module_name . '/result.php');
include('modules/' . $module_name . '/hof.php');
include('modules/' . $module_name . '/statistics.php');

/**
 * rechte Bloecke anzeigen?
 *       0 = nein, 1 = ja
*/
 
$index = $CONT_CFG['RIGHTBLOCKS'];

if (empty($ok)) $ok = 0;
if (empty($cid)) $cid=0;
if (empty($pid)) $pid=0;


// Sprungverzeichnis
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++


if (empty($_REQUEST['pa']) ) {
    if ($cid<>0) $pa="contest";
	if ($pid<>0) $pa="contest_show";
	if (empty($pa)) $pa='contest';
	 
} else {
    $pa = $_REQUEST['pa'];
}
if (empty($_REQUEST['cid'])) $cid=1;
if (empty($_REQUEST['pid'])) $pid=0;
if (empty($_REQUEST['start'])) $start=0;

loadConfig();

switch ($pa) {
    case "contest_list":
        contest_catlist();
        break;
    case "contest_show":
        contest_show($pid);
        break;
    case "contest_pictures_show":
	    $cid=$pid;
        contest_show($pid);
        break;
    case "contest_show_rules":
        contest_show_rules ($con);
        break;
	case "contest_list":	
		contest_list($cid);
		break;
    case "contest_rules":
        contest_rules ($cid);
        break;
	case "contest_upload":
	    contest_upload_save ($cid);
		break;
    case "contest_pic_show":
        contest_picshow ($pid);
        break;
    case "pictures-comment-save":
    case "comment-save":
        pictures_comment_save ($pid);
        break;
    case "voting-save":
        contest_voting_save ();
        break;
    case "all_user_pictures":
        all_userpictures ($cid,$start);
        break;
    case "list_results":
        all_results (0,$start);
        break;
    case "result":
        all_results ($cid,$start);
        break;
    case "archive":
        all_archive ();
        break;
    case "statistics":
        statistics ();
        break;
    case "mostviewed":
        all_most_view ();
        break;
    case "mostpoints":
        all_most_points ();
        break;
    default:   
        contest($cid);
        break;
}

function contest($cat=1)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
	

	IsCategory($cat);
	
	$katview=$CONT_CFG['KAT_VIEW'];
	if ($cat>1) $katview=0;
	
	$result = sql_query("SELECT * from ".$prefix."_pmxContest_category where catid ='".$cat."'") ;
	$mycat = sql_fetch_assoc($result);
	
	if ($cat==1) {
		$img_contest  = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", $mycat['cattitle']);
		$katfilter="";
	} else {
	    if (!$mycat['thumb_url']=="") {
	       $img_contest=mxCreateImage($CONT_CFG['ICON_FOLDER'].$mycat['thumb_url'], $mycat['cattitle']);
		} else {
		   $img_contest="";
		}	    
		$katfilter=" and cid='".$cat."' ";
	}
	    $pagetitle=$mycat['cattitle'];
		
	$adminlink="<div class=\"align-center tiny\"><a href='admin.php?op=".$module_name."&amp;act=category-edit&amp;cat=".$mycat['catid']."' >["._EDIT."]</a></div>";

	
    include("header.php");
    isHome();
	title($img_contest . "  " .$mycat['cattitle']);	
	
	if (MX_IS_ADMIN) echo $adminlink;	
	
	if ($cat>1) echo "<p class='tiny'>&raquo;<a href='modules.php?name=".$module_name."'>".readCategoryBaseName()."</a></p>";

    OpenTable();
	    echo mxPrepareToDisplay($mycat['cattext']);
	
		if  (strlen(trim($mycat['rulestext']))>0) {
			$acat="";
		    $acat="&amp;cid=$cat";			  
		    echo "<p class=\"note align-right\"><a href='modules.php?name=".$module_name."&amp;pa=contest_rules$acat'>&raquo;".$mycat['rulestitle']."</a></p>";
		}   else {
			$result3 = sql_query("SELECT rulestitle from ".$prefix."_pmxContest_category where catid ='1'") ;
			$mycatrules = sql_fetch_assoc($result3);
		    echo "<p class='note align-right'><a href='modules.php?name=".$module_name."&amp;pa=contest_rules&amp;cid=1'>&raquo;".$mycatrules['rulestitle']."</a></p>";
		
		}
	CloseTable(); 
	

	if ($katview==1) {			//Kategorien anzeigen
	     		 
		 $result=sql_query("SELECT * from ".$prefix."_pmxContest_category where published='1' and catid >'1' order by catid") ;
		 if (sql_num_rows($result)>0) {
	       OpenTable();	
			 echo "<div class='align-center'><b>"._CONTESTCATEGORIES."</b></div><br />";
			 while ($ckats=sql_fetch_assoc($result)) {
				    $ctitle=title_replace($ckats['cattitle']);			 
				  echo "<div class='align-center'><b><a href='modules.php?name=".$module_name."&amp;cid=".$ckats['catid']."'>";
				  if ($ckats['thumb_url']!="") echo "<img src='".$CONT_CFG['ICON_FOLDER'].$ckats['thumb_url']."' height='16' class='img-border'/>&nbsp;&nbsp;";
				  echo $ckats['cattitle']."</a></b></div>";
					 if ($CONT_CFG['KAT_READMORE']==1) {	// Kategorietext einblenden
					    echo "<p class='content'>".substr(trim($ckats['cattext']),0,$CONT_CFG['KAT_READLEN']-1);
						if (strlen($ckats['cattext'])>$CONT_CFG['KAT_READLEN']) echo "...<p class=\"align-right\"><a href='modules.php?name=".$module_name."&amp;cid=".$ckats['catid']."'> &raquo;"._READMORE."&laquo;</a></p>";
						echo "</p>";
					 }
				  echo "<br /><hr />";	 
			 }
			 echo "<br />";
			CloseTable(); 
		 }
	}
	
	if ($CONT_CFG['FRONT_SHOW_WINNER']==1 ) {			// letzten Gewinner anzeigen
	        $catfilter="";
 			if ($cat>1) {
			  $catfilter =" cid='".$cat."' and ";
			}
			$content="";
			$result = sql_query("SELECT * FROM " . $prefix . "_pmxContest_contest WHERE ".$catfilter."published='1' and status='2' ORDER BY datum desc limit 1");		
					$result2 = sql_fetch_array($result) ;
				if ($result2) {
					$cid=$result2['conid'];
					$title=$result2['cattitle'];
					$result3 = sql_query("SELECT * FROM " . $prefix . "_pmxContest_picture WHERE cid='".$cid."' and rank='1' ");
					$result4 = sql_fetch_array($result3) ;
			
				  $content .= "<br><div class=\"align-center\"><table width=\"100%\" class=\"align-center\" style=\"border='1';  backgroundcolor='$bgcolor1'; cellspacing='2'; cellpadding='2'; \" ><tr >";
				  $content .="<td class=\"align-center\"><b>".$result4['user_name']."</b></td>";			//$title
				  $content .="";
				  $content .= "</tr><tr>";
				  $content .=  "<td class=\"align-center\">";
				  $content .= "<a href=\"modules.php?name=" ;
				  $content .= $module_name . "&amp;pid=" . $cid . "\"><img class=\"img-border\" src=\"" .$result4['thumb_url']. "\" /></a></td></tr>";
				  $content .= "<tr><td class=\"align-center\"><b>".$result4['title']."</b>";   //"".$result4['name'].
				  $content .= "</td></tr>";
				  
				  $content .="</table></div><br />";
				  
			      $blockfiletitle = _LAST_WINNER . " :  ".$title;
			   
					OpenTable();
					echo "<div class=\"align-center\"><b>".$blockfiletitle."</b>";
					echo $content."</div><br />";
					$content="";
					CloseTable();
	            }
	}
	
	
	if ($CONT_CFG['FRONT_SHOW_UPLOAD']==1 OR $cat>1) {		// aktive Uploads anzeigen
	     
		 $result2=sql_query("SELECT * from ".$prefix."_pmxContest_contest where published='1' and status='0' ".$katfilter ."order by datum asc") ;
		 if (sql_num_rows($result2)>0) {
	      OpenTable();
		    echo "<hr><p class='align-center strong'>"._PAGESLISTUPLOAD."</p>";
			echo "<table width=\"100%\" class='list align-center'>";
			echo "<thead>";
			echo "<tr style=\"border='1';  backgroundcolor=$bgcolor1;\">";
			echo "<th class='align-center' >"._CONTEST."</th>";
			if ($katview==1) echo "<th class='align-center' width=\"30%\">"._CATEGORY."</th>";
			echo "<th class='align-center' width=\"30%\">"._UPLOAD_CENTER_DATE."</th>";
			echo "</tr>";
			echo "</thead>";
			 while ($ckons=sql_fetch_assoc($result2)) {
			      $ctitle=title_replace($ckons['cattitle']);
				  echo "<tr><td class='align-center' ><a href='modules.php?name=".$module_name."&amp;pid=".$ckons['conid']."'><b>".$ckons['cattitle']."</b></a></td>" ;
					 if ($katview==1) {	// Kategorietext einblenden
					    echo "<td class='align-center' >".readCategoryName($ckons['cid'])."</td>"; //kategorie anzeigen
					 }
  				  echo "<td class='align-center' >".langDate($ckons['datum'])."</td></tr>";
			 }
			 echo "</table>";	
			 CloseTable();
	     } 
	}
	if ($CONT_CFG['FRONT_SHOW_VOTINGS']==1 OR $cat>1) {		// aktive Vorings anzeigen
		 $result2=sql_query("SELECT * from ".$prefix."_pmxContest_contest where published='1' and status='1' ".$katfilter." order by datum asc") ;
		 if (sql_num_rows($result2)>0) {
		 OpenTable();
		    echo "<p class='align-center strong'>"._PAGESLISTPOLL."</p>";
			echo "<table width=\"100%\" class='list align-center'>";
			echo "<thead>";
			echo "<tr style=\"border='1';  backgroundcolor=$bgcolor1;\">";
			echo "<th class='align-center' >"._CONTEST."</th>";
			if ($katview==1) echo "<th class='align-center' width=\"30%\">"._CATEGORY."</th>";
			echo "<th class='align-center' width=\"30%\">"._UPLOAD_CENTER_VOTE."</th>";
			echo "</tr>";
			echo "</thead>";
			 while ($ckons=sql_fetch_assoc($result2)) {
			     
				  echo "<tr><td class='align-center' ><a href='modules.php?name=".$module_name."&pid=".$ckons['conid']."'><b>".$ckons['cattitle']."</b></a></td>" ;
					 if ($katview==1) {	// Kategorietext einblenden
					    echo "<td class='align-center' >".readCategoryName($ckons['cid'])."</td>"; //kategorie anzeigen
					 }
  				  echo "<td class='align-center' >".langDate($ckons['datum'])."</td></tr>";
			 }
			 echo "</table>";
			 CloseTable();	
	     }
	
	}
	if ($CONT_CFG['FRONT_SHOW_RESULTS']==1 OR $cat>1) {		// aktive Ergebnisse anzeigen
	     if ($CONT_CFG['FRONT_SHOW_RESULTS_LEN']>0) $limit=" limit ".intval($CONT_CFG['FRONT_SHOW_RESULTS_LEN']);
		 $result2=sql_query("SELECT * from ".$prefix."_pmxContest_contest where published='1' and status='2' ".$katfilter." order by datum desc".$limit) ;
		 $result_count=sql_num_rows($result2);
		 if ($result_count>0) {
		 OpenTable();
		    echo "<p class='align-center strong'>"._PAGESLISTRESULT."</p>";
			echo "<table width=\"100%\" class='list align-center'>";
			echo "<thead>";
			echo "<tr style=\"border='1';  backgroundcolor=$bgcolor1;\">";
			echo "<th class='align-center' >"._CONTEST."</th>";
			if ($katview==1) echo "<th class='align-center' width=\"30%\">"._CATEGORY."</th>";
			echo "<th class='align-center' width=\"30%\">"._DATE."</th>";
			echo "</tr>";
			echo "</thead>";
			 while ($ckons=sql_fetch_assoc($result2)) {
			     
				  echo "<tr><td class='align-center' ><a href='modules.php?name=".$module_name."&amp;pid=".$ckons['conid']."'><b>".$ckons['cattitle']."</b></a></td>" ;
					 if ($katview==1) {	// Kategorietext einblenden
					    echo "<td class='align-center' >".readCategoryName($ckons['cid'])."</td>"; //kategorie anzeigen
					 }
  				  echo "<td class='align-center' >".langDate($ckons['datum'])."</td></tr>";
			 }
             echo "<tr><td colspan='3' class='align-right'>";
			 if ($cat>1) echo "<a href='modules.php?name=".$module_name."&amp;pa=result&amp;cid=".$cat."'> &raquo;"._MORE."</a>";
			 if ($cat==1) echo "<a href='modules.php?name=".$module_name."&amp;pa=list_results'> &raquo;"._MORE."</a>";
			 echo "</td></tr>";
			 echo "</table>";	
			CloseTable();
	     }
	
	
	}
	if ( $cat==1) {		// link zu anderen Seiten (alle ergebnisse) anzeigen
		 $acat="";
		 if ($cat>1) $acat="&cid=$cat";			  
			 $result2=sql_query("SELECT * from ".$prefix."_pmxContest_contest where published='1' and status>'1' ".$katfilter." ") ;
			 if (sql_num_rows($result2)>0) {
				OpenTable();

				echo "<table width=\"90%\" class='table align-center'>";
				echo "<thead>";
				echo "<tr style=\"border='1';  backgroundcolor=$bgcolor1;\">";
				//echo "<th></th>";
				echo "<th class='align-center' colspan='2'>"._MORE_LINKS."</th>";
				//echo "<th></th>";
				echo "</tr>";
				echo "</thead>";
				
				echo "<tr><td>";
				
				if ($CONT_CFG['FRONT_HOF_LINK']==1) 
				   echo "<a href='modules.php?name=".$module_name."&amp;pa=list_results'>"._HALL_OF_FAME."</a><br />";
				
				if ($CONT_CFG['FRONT_ARCHIVE_LINK']==1) {
						$result2=sql_query("SELECT * from ".$prefix."_pmxContest_contest 
						      where published='1' and status='3' ".$katfilter." ") ;
						if (sql_num_rows($result2)>0)
				        echo "<a href='modules.php?name=".$module_name."&amp;pa=archive'>"._ARCHIVE."</a><br />";
				}

				if ($CONT_CFG['SET_FRONTPAGE_SHOW_STAT']==1 and is_view_statistics())
				   echo "<a href='modules.php?name=".$module_name."&amp;pa=statistics'>"._STATISTICS."</a>";
				   
				echo "</td><td>";				   
				
				if ($CONT_CFG['SET_FRONTPAGE_SHOW_MOSTPOINTS']==1 )
				   echo "<a href='modules.php?name=".$module_name."&amp;pa=mostpoints'>"._MOST_POINTS."</a><br />";
				
				if ($CONT_CFG['SET_FRONTPAGE_SHOW_MOSTVIEWED']==1 )
				   echo "<a href='modules.php?name=".$module_name."&amp;pa=mostviewed'>"._MOST_VIEWS."</a>";
				
				echo "</td></tr>";
				echo "</table>";
			
				CloseTable();
			}
	}

	//OpenTable();
	goHome(1);
    cmx_copy();
	//CloseTable();
	echo "<div class='clear'></div>";
    include("footer.php");
	
}

function contest_rules ($cat=1)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
	
	checkCategory($cat);
	
	$result = sql_query("SELECT * from ".$prefix."_pmxContest_category where catid ='".$cat."'") ;
	$mycat = sql_fetch_assoc($result);
	
	
	$img_contest  = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", $mycat['cattitle']);
	
	$pagetitle=$mycat['cattitle']." - ".$mycat['rulestitle'];
    include("header.php");
    isHome();
	echo "<p class='tiny'>&raquo;<a href='modules.php?name=".$module_name."'>&nbsp; ".readCategoryBaseName()."</a></p>";
	title($img_contest . "  " .$mycat['cattitle']." - ".$mycat['rulestitle']);

    OpenTable();
	    echo $mycat['rulestext'];
	
        echo "<br /><br />";
    
	CloseTable();
	
	OpenTable();
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");

}

function contest_show_rules ($con)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
	
	checkCategory($con);
	
	$result = sql_query("SELECT * from ".$prefix."_pmxContest_contest where conid ='".$con."'") ;
	$mycat = sql_fetch_assoc($result);
	
	
	$img_contest  = mxCreateImage("modules/" . $module_name . "/style/images/header/contest.png", $mycat['cattitle']);
	
	
	$pagetitle=$mycat['cattitle']." - ".$mycat['rulestitle'];
    include("header.php");
    isHome();
		echo "<div class='tiny'>&raquo;<a href='modules.php?name=".$module_name."'>&nbsp;".readCategoryBaseName()."</a>";
		
		if ($CONT_CFG['KAT_VIEW']==1) {
		      echo "&nbsp;<a href='modules.php?name=".$module_name."&amp;cid=".$mycat['cid']."'>&raquo;".readCategoryName(intval($mycat['cid']))."</a>";
		}
		
		echo "</div>";
	
	title($img_contest . "  " .$mycat['cattitle']." - ".$mycat['rulestitle']);

    OpenTable();
	    echo $mycat['rulestext'];
	
        echo "<br /><br />";
    
	CloseTable();
	
	OpenTable();
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");

}
function contest_show ($cid) {

    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
    //cpxGetConfig($cid);	// konfiguration für die Kategorie holen.....
    
    $result = sql_query("SELECT * from ${prefix}_pmxContest_contest where conid=" . intval($cid) );
    $mypage = sql_fetch_assoc($result);
	addCSS();
	
	// Abfrage Aktiv
    if (!$mypage['published'] && !MX_IS_ADMIN) {
        mxErrorScreen("Sorry... This page doesn't exist.");
		
    }
	$adminlink="<div class='align-center tiny'><a href='admin.php?op=".$module_name."&amp;act=contest-edit&amp;con=".$mypage['conid']." '>["._EDIT."]</a></div>";
	$pagetitle= $mypage['cattitle'];
   	pmxHeaderAdd2('<style type="text/css" media="all">@import "modules/'.$module_name.'/style/style.css";</style>');
    include('header.php');
    isHome();
	OpenTable();
	if (MX_IS_ADMIN) echo $adminlink;

	
		echo "<p class='tiny'>&raquo;<a href='modules.php?name=".$module_name."'>".readCategoryBaseName()."</a>";
		if ($CONT_CFG['KAT_VIEW']==1)  {
		      if (intval($mypage['cid']>1)){
			      $rlink=readCategoryName(intval($mypage['cid']));
		          echo "&nbsp;&raquo;<a href='modules.php?name=".$module_name."&amp;cid=".$mypage['cid']."'>".$rlink."</a>";
			  } 
		}
		echo "</p>";
	
	    if (!$mypage['thumb_url']=="") {
	       $img_contest=mxCreateImage($CONT_CFG['ICON_FOLDER'].$mypage['thumb_url'], $mypage['cattitle']);
		} else {
		   $img_contest="";
		}	    


	
    $ptitle = $img_contest."   ".$mypage['cattitle'] ;
	
	$pagetitle=$mypage['cattitle'];
	title($ptitle);
    OpenTable();
	echo mxPrepareToDisplay($mypage['cattext']);
	CloseTable();
	switch ($mypage['status']) {
		 case -1 :		// evtl. Poll
	       break;
         case 0	:		// Upload
		   contest_upload($cid);
		   break;
         case 1	:		// Voting
		   contest_voting($cid);
		   break;
         case 2	:		// Results
         case 3	:		// Archive
		   contest_result($cid);
		   break;		   
    }
	
	if ($mypage['status']==2) {
	
			if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM']==1) {		// Kommentare anzeigen
			 $comres=sql_query("SELECT * from ${prefix}_pmxContest_comment where conid='" . intval($cid)."' 
			 					and  picid='0' and active='1'");
			 OpenTable();
			 if (sql_num_rows($comres)>0){
				  echo "<p class=\"option\"><b>"._COMMENTS."</b></p>";
				  echo "";
				  $img_com="<img src='modules/".$module_name."/style/images/site/comment.png' />";
				  while ($com=sql_fetch_assoc($comres))
				  {
					 OpenTable();
 					 echo "<a name=\"comment".$com['cid']."\"></a>";
					 echo "<p class=\"note\">$img_com<b> ".mxPrepareToDisplay($com['user_name'])."</b> "._WROTE." : ".$com['timestamp']."</p>";
					 echo "<p class=\"content\">".mxPrepareToDisplay($com['comment'])."</p>";
					 CloseTable();
				  }
			 } else {
			     echo "<p class=\"option\">"._COMMENT_BLANK."</p>";
			 }
			 CloseTable();
			}
			
			
			if ($CONT_CFG['COMMENT_ON']==1) {			// ja, kommentare erlauben
			  
			  if (!MX_IS_USER && ($CONT_CFG['COMMENT_GUEST']==0)) {
			    echo "<div class='align-center'><p class='warning'>"._ERR_USER_COMMENT."</p></div>";
				OpenTable();
				  echo "<hr><br>";
				
				goHome();
				cmx_copy();
				CloseTable();
				include("footer.php");
				return;
			  } else {
			  
			  require_once("modules/".$module_name."/inc/functions.adminforms.php");
			  OpenTable();
			 
			   if (MX_IS_USER) {
				$userdata = mxGetUserData();
				$username=$userdata['uname'];
				$userid=$userdata['uid'];
				$usermail=$userdata['email'];
				$homepage=$userdata['url'];
				$readonlyname=true;
				} else {
				$username="";
				$nickname="";
				$usermail="";
				$homepage="";
				$readonlyname=false;
				}

				
				
				adminFormOpen("modules.php?name=".$module_name."&amp;pa=comment-save");
				echo "<input type=\"hidden\" name=\"pa\" value=\"pictures-comment-save\" />";
				echo "<input type=\"hidden\" name=\"conid\" value=\"".$cid."\" />";
				echo "<input type=\"hidden\" name=\"picid\" value=\"0\" />";
				echo "<input type=\"hidden\" name=\"ok\" value=\"1\" />";
				  echo "<p class='option'><b>"._COMMENTS_NEW."</b></p>";
				  echo '<p class="tiny">'._UPLOAD_REM.'</p>';
					echo "<table class='form'>";
					   inputText(_USERNICK,'com_name',"*",$username,40,40,$readonlyname) ;
					   inputText(_EMAIL,'com_email',"*",$usermail,40,40,$readonlyname) ;
					   echo "<tr><td colspan='4'>";
					   inputTextarea('com_text',"","100%",100);
					   echo "</td></tr>";
					echo "</table>";
					$captchauser= (($CONT_CFG['SET_CAPTCHA']==1) and ($CONT_CFG['SET_CAPTCHAUSER']==0) 
					             and MX_IS_USER)?true:false; 			 	
					if ($CONT_CFG['SET_CAPTCHA']==1 and $captchauser==false) {
						echo "<hr />";
						addCaptcha();
						echo "<br />";		
				 	}				   

					echo "<div class='align-center'><button type='submit' name='submit' value='"._SUBMIT."' >"._SUBMIT."</button></div>";
				 adminFormClose();
				 
				 if (($CONT_CFG['COMMENT_PUBLISHED']==2 and MX_IS_USER) or ($CONT_CFG['COMMENT_PUBLISHED']>0 and !MX_IS_USER))
				 echo '<br><div class="align-center strong">'._COMMENT_PUBLISHED_WAIT.'</div><br>';
				 $ip = $_SERVER['REMOTE_ADDR']; 
				 echo '<br><div class="align-center"><i>'._IPADRES.' ['.$ip.'] '._IPINFO.'</i></div><br>';
				//CloseTable();
			 } // Userabfrage
			  CloseTable();
			} // Ende Kommentarblock	
	} 

	CloseTable();
    OpenTable();
	  echo "<hr><br>";
	
	goHome();
    cmx_copy();
	CloseTable();
	
    include("footer.php");
}

 
function contest_picshow($pid=0)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
    
    $result = sql_query("SELECT * from ${prefix}_pmxContest_picture where pid=" . intval($pid) );
	$mypic = sql_fetch_assoc($result);
	
	if (!$mypic['pid']) mxErrorScreen("Picture not exists!!");
    
    $result2 = sql_query("SELECT * from ${prefix}_pmxContest_contest where conid=" . intval($mypic['cid']) );
	$mypage = sql_fetch_assoc($result2);
	$config=unserialize($mypage['config']);
	addCSS();
	
	switchPopup();
	
	if ($CONT_CFG['DOWNLOADBARRIER']==1) onClick(); //rechte Maustaste sperren
	
	// Abfrage Aktiv
    if (($mypage['status']==0 or $mypic['active']==0) and !MX_IS_ADMIN) {
        mxErrorScreen("Sorry... This page doesn't exist.");
		
    }
	// adminlink
	$adminlink="<div class='align-center'><a href='admin.php?op=".$module_name."&amp;act=picture-edit&amp;pid=".$mypic['pid']."' >["._EDIT."]</a></div>";
	$pagetitle= mxPrepareToDisplay($mypic['title']);
    include('header.php');
    isHome();
	if (MX_IS_ADMIN) echo $adminlink;

	// breadcrumb
		echo "<p class='tiny'>&nbsp;&raquo; <a href='modules.php?name=".$module_name."'>".readCategoryBaseName()."</a>";
		if ($CONT_CFG['KAT_VIEW']==1)  {
		      if (intval($mypage['cid']>1)){
			      $rlink=readCategoryName(intval($mypage['cid']));
		          echo "&nbsp;&raquo; <a href='modules.php?name=".$module_name."&amp;cid=".$mypage['cid']."'>".$rlink."</a>";
			  } 
		}
		echo "&nbsp;&raquo; <a href='modules.php?name=".$module_name."&amp;pid=".$mypage['conid']."'>".mxPrepareToDisplay($mypage['cattitle'])."</a></p>";
	
	
    $ptitle = $mypic['title'] ;
	
	$pagetitle=$mypic['title'] ;
	title($ptitle);
	
	$result1=sql_query("SELECT pid from ${prefix}_pmxContest_picture where cid=" . intval($mypic['cid']) );
	$nav1 = sql_fetch_assoc($result1);
	$nav1count=sql_num_rows($result1);
	$result3=sql_query("SELECT pid from ${prefix}_pmxContest_picture where nummer='" . intval($mypic['nummer']-1)."' and cid='".$mypic['cid']."'" );
	list($linkback)=sql_fetch_row($result3);
	$result4=sql_query("SELECT pid from ${prefix}_pmxContest_picture where nummer='" . intval($mypic['nummer']+1)."' and cid='".$mypic['cid']."'"  );
	list($linknext)=sql_fetch_row($result4);
	
	// update Views
	sql_query("update ${prefix}_pmxContest_picture set views=views+1 where pid='" . intval($mypic['pid'])."'");
	
    OpenTable();

	
	       $img_contest=mxCreateImage($mypic['pic_url'], mxPrepareToDisplay($mypic['title']));
		   $alt="<img src=\"".$mypic['pic_url']."\" class='img-border align-center' title=\"".mxPrepareToDisplay($mypic['title'])."\" />";
		
		if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV1']==1 and $mypage['status']<3) {
		     echo "<div class='align-center'>"._PICTURE." ".$mypic['nummer']."/".$nav1count."</div><br>";
		}
		
		if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_POPUP']==1 and $CONT_CFG['SIZEREDUCTION']==1) {
		    echo popupWindow($mypic['orig_url'], mxPrepareToDisplay($mypic['title']), $alt , "", mxPrepareToDisplay($mypic['title']));
			echo "<div class='align-center'><p class=\"tiny\">"._CLICK_POPUP."</p></div>";
		} else {
			echo "<div class='align-center'><p ><img  src=\"".$mypic['pic_url']."\" class=\"img-border align-center\" /></p></div>";
		}
	    // navigation
		if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_NAV']==1 and $mypage['status']<3 ) {
		     $nav2="<div class='align-center'>";
			 $imgback=mxCreateImage("modules/" . $module_name . "/style/images/action/arrow_left.png", _BACK);
			 $imgnext=mxCreateImage("modules/" . $module_name . "/style/images/action/arrow_right.png", _NEXT);
			 if ($mypic['nummer']>1) $nav2 .="<a href='modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$linkback."' >".$imgback." "._BACK."</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";		
			 if ($mypic['nummer']<$nav1count) $nav2 .="<a href='modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$linknext."' >"._NEXT." ".$imgnext."</a>";
			 echo $nav2."</div>";		
		}
		
		// content
		
		echo "<br /><div class='align-center'>".mxPrepareToDisplay($mypic['title'])."</div><br />";
        $ahref="";
		$aend="";
		$phref="";

		echo "<table class='form' style='width:100%; padding:5px; margin:5px; border:none;'>";
        if ($mypage['status']>1) echo "<tr><th colspan=\"2\"><b>"._PICTURE_INFORMATION."</b><br /></th></tr>";
		if ($config['CONFIG_AUTOR_PUBLISH']==1 or $mypage['status']>1) {
		    if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERLINK']==1) {
			   $ahref="<a href='modules.php?name=Userinfo&amp;uname=".$mypic['user_nick']."'>";
			   $aend="</a>";
			}
			if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERPICS']==1) {
			   $userarray=mxGetUserDataFromUsername($mypic['user_nick']);
			   $userid=$userarray['uid'];
			   if (empty($userid)) $userid=0;
			   $phref="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&raquo;<a href='modules.php?name=".$module_name."&amp;pa=all_user_pictures&amp;cid="
			            .$userid."' >"._LINK_USERPIC." ".$mypic['user_nick']."</a>";		  
			}
		    echo "<tr><td width='120'>"._USERNICK." : </td><td><b> $ahref".$mypic['user_nick']."$aend &nbsp;</b>".$phref."<br /></td></tr>";
		}
		if ($mypage['status']>1) {
				if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_USERNAME']==1) echo "<tr><td width='120'>"._USERNAME." : </td><td><b>&nbsp;".mxPrepareToDisplay($mypic['user_name'])."</b><br /></td></tr>";
		
				if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_HOMEPAGE']==1 and trim($mypic['user_homepage']) != "" ) echo "<tr><td width='120'>"._HOMEPAGE." : </td><td><a href='".mxPrepareToDisplay($mypic['user_homepage'])."'>".mxPrepareToDisplay($mypic['user_homepage'])."</a><br /></td></tr>";
				if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_DESCRIPTION']==1 and trim($mypic['description']) != "" ) echo "<tr><td width='120'>"._DESCRIPTION." : </td><td><b>".mxPrepareToDisplay($mypic['description'])."</b><br /></td></tr>";
		
				if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_VIEWS']==1 or $CONT_CFG['SETTINGS_FRONTEND_DETAIL_POINTS']==1) {
					 echo "<tr><td colspan='2' ><b>"._ASSESSMENT_INFO."</b><br /></td></tr>";
				
					if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_VIEWS']==1) echo "<tr><td width=\"120\">"._VIEWS." : </td><td>".$mypic['views']."<br /></td></tr>";
		
		$award_icon="";
		$award_iconso="";
		if ($mypage['placeso']==$mypic['pid'] and $config['CONFIG_VOTING_SO']==1)	$award_iconso= mxCreateImage("modules/" . $module_name . "/style/images/site/award_star_bronze_2.png", $config['CONFIG_VOTING_NSO']);
		switch ($mypic['rank'])
		{
			case 1:
			$award_icon= mxCreateImage("modules/" . $module_name . "/style/images/site/award_star_gold_1.png", _RANK_1);
			break;
			case 2:
			$award_icon= mxCreateImage("modules/" . $module_name . "/style/images/site/award_star_silver_1.png", _RANK_2);
			break;
			case 3:
			$award_icon= mxCreateImage("modules/" . $module_name . "/style/images/site/award_star_bronze_1.png", _RANK_3);
			break;
			
		}


		if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_POINTS']==1) echo "<tr><td width=\"120\">"._ASSESSMENT." : </td><td>".$award_icon.$award_iconso."  ".$mypic['points']." "._POINTS."</td></tr>";
		}
		
				if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_BBCODE']==1) {
				echo "<tr><td height=\"30\"></td><td>&nbsp;</td></tr>";
				echo "<tr><td colspan=\"2\" ><b>"._BBCODE_TEXT."</b></td></tr>";
					$thumblink="http://".$_SERVER['HTTP_HOST']."/".$mypic['pic_url'];
					$thumbimage="http://".$_SERVER['HTTP_HOST']."/".$mypic['thumb_url'];
					$sitelink="http://".$_SERVER['HTTP_HOST']."/modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$mypic['pid'];
					echo "<tr><td width='150'>"._BBCODE_DIREKTLINK." : </td><td class=\"success tiny\">
					<input type='text' name='link1' value='[IMG]". $thumblink."[/IMG]' size='80'  readonly onfocus=\"if (this.select) this.select();\"/></td></tr>";
					echo "<tr><td></td><td class='tiny'>"._CTRL_COPY."</td></tr>";
					echo "<tr><td width='150'>"._BBCODE_LINK1." : </td><td class=\"success tiny\" >
					<input type='text' name='link1' value='[URL=". $sitelink."][IMG]".$thumbimage."[/IMG][/URL]' size='80' readonly  onfocus=\"if (this.select) this.select();\"/>
					</td></tr>";
					echo "<tr><td width='150'>"._BBCODE_LINK2." : </td><td class='success tiny' >
					<input type='text' name='link1' value='[URL]". $sitelink."[/URL]' size='80' readonly  onfocus=\"if (this.select) this.select();\"/>
					</td></tr>";
		        }
		}
		echo "</table>";


	echo "<br /><br />";
	CloseTable();
	
	// Kommentarbereich
	
	// nur anzeigen, wenn status Wettbewerb=ergebnis(2)
	if ($mypage['status']>1) {
	   OpenTable();
			if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM']==1) {		// Kommentare anzeigen
			 $comres=sql_query("SELECT * from ${prefix}_pmxContest_comment where picid='" . intval($pid)."' and  active='1'");
			 if (sql_num_rows($comres)>0) {
				 OpenTable();
				  echo "<p class='option'><b>"._PIC_COMMENTS."</b></p>";
				  echo "";
				  $img_com="<img src='modules/".$module_name."/style/images/site/comment.png' />";
				  while ($com=sql_fetch_assoc($comres))
				  {
					 OpenTable();
					 echo "<a name='comment".$com['cid']."'></a>";
					 if ($CONT_CFG['SETTINGS_FRONTEND_DETAIL_COM_NAME']==1) 
					         echo "<p class='note'>$img_com <b>".$com['user_name']."</b> "._WROTE." : ".$com['timestamp']."</p>";
							 
					 echo "<p class='content'>".$com['comment']."</p>";
					 CloseTable();
				  }
				 CloseTable();
			 } else {
			  OpenTable();
			  echo "<p class='option'>"._COMMENT_BLANK."</p>";
			  CloseTable();
			 }
			}
			
			
			if ($CONT_CFG['COMMENT_ON']==1) {			// ja, kommentare erlauben
			  
			  if (!MX_IS_USER && ($CONT_CFG['COMMENT_GUEST']==0)) {
			    echo "<div class=\"align-center\"><p class='warning'>"._ERR_USER_COMMENT."</p></div>";
			  } else {
			  
			  require_once("modules/".$module_name."/inc/functions.adminforms.php");
			  OpenTable();
			 
			   if (MX_IS_USER) {
				$userdata = mxGetUserData();
				$username=$userdata['uname'];
				$userid=$userdata['uid'];
				$usermail=$userdata['email'];
				$homepage=$userdata['url'];
				$readonlyname=true;
				} else {
				$username="";
				$nickname="";
				$usermail="";
				$homepage="";
				$readonlyname=false;
				}

				
				
				adminFormOpen("modules.php?name=".$module_name."");
				echo "<input type=\"hidden\" name=\"pa\" value=\"pictures-comment-save\" />";
				echo "<input type=\"hidden\" name=\"conid\" value=\"".$mypage['conid']."\" />";
				echo "<input type=\"hidden\" name=\"picid\" value=\"".$mypic['pid']."\" />";
				echo "<input type=\"hidden\" name=\"ok\" value=\"1\" />";
				  echo "<p class='option'><b>"._COMMENTS_NEW."</b></p>";
				  echo '<p class="tiny">'._UPLOAD_REM.'</p>';
					echo "<table class='form'>";
					   inputText(_USERNICK,'com_name',"*",$username,40,40,$readonlyname) ;
					   inputText(_EMAIL,'com_email',"*",$usermail,40,40,$readonlyname) ;
					   echo "<tr><td colspan='4'>";
					   inputTextarea('com_text',"","100%","100");
					   echo "</td></tr>";
					echo "</table>";
					$captchauser= (($CONT_CFG['SET_CAPTCHA']==1) and ($CONT_CFG['SET_CAPTCHAUSER']==0) 
					             and MX_IS_USER)?true:false; 			 	
					if ($CONT_CFG['SET_CAPTCHA']==1 and $captchauser==false) {
						echo "<hr />";
						addCaptcha();
						echo "<br />";		
				 	}				   

					echo "<div class='align-center'><button type='submit' name='submit' value='"._SUBMIT."' >"._SUBMIT."</button></div>";
				 adminFormClose();
				 if (($CONT_CFG['COMMENT_PUBLISHED']==2 and MX_IS_USER) or ($CONT_CFG['COMMENT_PUBLISHED']>0 and !MX_IS_USER))
				 echo "<br/><div class='align-center strong'>"._COMMENT_PUBLISHED_WAIT."</div>";
				     
				 $ip = $_SERVER['REMOTE_ADDR']; 
				 echo "<br><div class='align-center tiny'><i>"._IPADRES." [".$ip."] "._IPINFO."</i></div><br>";

			  CloseTable();
			 } // Userabfrage
			} // Ende Kommentarblock	
			CloseTable();
	} 
	OpenTable(); 
	goHome();
    cmx_copy();
	CloseTable();
    include("footer.php");

}
     
function pictures_comment_save($pid)
{
       global $prefix, $module_name, $CONT_CFG;
	   
   // mxErrorScreen('no commemts');
	   $fehler="";
		$ip = $_SERVER['REMOTE_ADDR']; 
		$UserAgent = $_SERVER['HTTP_USER_AGENT'];
		$remote = getenv('REMOTE_ADDR');
		$host = getHostByAddr($remote);
        $conid=$_POST['conid'];
		$pid=$_POST['picid'];
		$active=1;
		if (MX_IS_USER) {
				$userdata = mxGetUserData();
				$username=$userdata['uname'];
				$userid=$userdata['uid'];
				$usermail=$userdata['email'];
				if ($CONT_CFG['COMMENT_PUBLISHED']==2) $active=0;
		} else {
				$username=$_POST['com_name'];
				$userid="";
				$usermail=$_POST['com_email'];
				if ($CONT_CFG['COMMENT_PUBLISHED']>0) $active=0;
		}
		
		$comment=mxPrepareCensored($_POST['com_text']);
		if ($_POST['spaw']==0) $comment=strip_tags($comment);

	 $captchauser= (($CONT_CFG['SET_CAPTCHA']==1) and ($CONT_CFG['SET_CAPTCHAUSER']==0) and MX_IS_USER)?true:false; 
	 if ($CONT_CFG['SET_CAPTCHA']==1 and $captchauser==false) {
	    if (!IsCaptchaok() ) $fehler .=_ERR_CAPTCHA. "<br />";
	 }				   
     if ($username=="") $fehler .=_ERR_NAME. "<br />";
	 if ($usermail=="") $fehler .=_ERR_MAIL. "<br />";
		
	 if ($fehler=="") {
	  if (trim($comment)!="") 
	  {
		$result=sql_query("insert into " . $prefix . "_pmxContest_comment set  
				 conid='".$conid."',
				 picid='".$pid."',
				 user_name='".mxAddSlashesForSQL($username)."',
				 user_mail='".mxAddSlashesForSQL($usermail)."',
				 user_id='".$userid."',
				 hostname='".$host."',
				 ip='".$ip."',
				 comment='".$comment."',
				 active='".$active."'
				 ");
		 // Mail senden
		 $commid=sql_insert_id();

		 require("modules/".$module_name."/inc/functions.mail.php");
		 contest_mail_comment ($conid,$commid,$pid,$username,$comment,$active);
				 
		 cmxAddUserPoints ($CONT_CFG['CONFIG_USERPOINTS_COMMENT']);
       				 
	    if ($pid!=0) {
		  mxRedirect("modules.php?name=".$module_name."&pa=contest_pic_show&pid=$pid",_COMMENT_THANKS);
		  } else {
 	      mxRedirect("modules.php?name=".$module_name."&pid=$pid",_COMMENT_THANKS);
		} 
	   } else {
	    mxErrorScreen("kein kommentar");
	   }
	  } else {
	    mxErrorScreen($fehler);
	  }
	
}

?>