<?php
/*
 * Copyright (c) 2009 by O.Herfurth 
 * http://www.terraproject.de
 * 
 * ContestMx 0.2
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps44a1/home/cvsroot/pragmamx/pmx/modules/Contest/voting.php,v $
 * $Revision: 98 $
 * $Author: PragmaMx $
 * $Date: 2015-11-24 13:11:27 +0100 (Di, 24. Nov 2015) $
 */


if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function contest_voting($cid)
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
	include_once('modules/'.$module_name.'/inc/functions.adminforms.php');
    
    $result = sql_query("SELECT * from ${prefix}_pmxContest_contest where conid=" . intval($cid)."" );
    $mypage = sql_fetch_assoc($result);
	$config=unserialize($mypage['config']);
	$piccount=sql_num_rows($result);
	$ablaufdatum=$mypage['datum'];
	switchPopup();		
	
    // erst mal schauen, ob nicht die Zeit schon abgelaufen ist
		OpenTable();
		if ($ablaufdatum < date("Y-m-d")) {
		  echo "<div class=\"align-center\"><b>". _OOD_POLL . "</b></div>" ;	
		  CloseTable();	 
		  return;
		} else {
		  echo "<div class=\"align-center\"><b>". _DATE_POLL . " " .langDate($ablaufdatum) ."</b></div>" ;
		}
		CloseTable();	
	
	// User ermitteln

		$ip = $_SERVER['REMOTE_ADDR']; 
		$UserAgent = $_SERVER['HTTP_USER_AGENT'];
		$remote = getenv('REMOTE_ADDR');
		$host = getHostByAddr($remote);

       if (MX_IS_USER) {
            $userdata = mxGetUserData();
            $userid=$userdata['uid'];
            $nickname=$userdata['name'];
            $username=$userdata['uname'];
			$usermail=$userdata['email'];
			$homepage=$userdata['url'];
			$usermd5="";
			$readonlyname=" readonly='readonly'";
	        $userresult=sql_query("select * from " . $prefix . 
			  "_pmxContest_voting where cid='".$cid."' and user_id='".$userid."'");
			$user_votecount=sql_num_rows($userresult);
			
			
        } else 
		{   //also Gast
			$readonlyname="";          
            $username="";
			$nickname="";
			$usermail="";
			$homepage="";
			$usermd5=md5(uniqid(rand(), TRUE));
			$user_votecount=0;
			
			if (isset($_COOKIE['mx-contest2-voting-'.$cid])) {
			   $usermd5=$_COOKIE['mx-contest2-voting-'.$cid];
				$userresult=sql_query("select vid from " . $prefix . 
				  "_pmxContest_voting where cid='".$cid."' and user_md5='".$usermd5."'");
				$user_votecount=sql_num_rows($userresult);			   
 			}
       }
	 // Admin abfragen
	 
	  if ($config['CONFIG_VOTING_USER']>1 and !MX_IS_ADMIN) {
	      echo "<div class=\"align-center warning\">"._MODULESADMINS."</div>";
		  return;	
	  }
	 // User abfragen	  
	  if ($config['CONFIG_VOTING_USER']==1 and !MX_IS_USER) {
	      echo "<div class=\"align-center warning\">"._ERR_USER_VOTING."</div>";
		  return;	
	  }	

	  
	$autor=$config['CONFIG_AUTOR_PUBLISH'];
	
	OpenTable();
		 echo '<div class="align-center content"><b>' . _VOTING_TEXT .'</b></div>';
		 echo '<div class="align-center tiny">'._CLICK_SHOW.'</div>';
		 $cols=$CONT_CFG['FRONTEND_VOTING_COLS'];
		 $c=0;
		 $r=0;
		 $wi=" width=".intval(100/$cols)."%";
		 switch ($CONT_CFG['FRONTEND_VOTING_THUMB_ALIGN']){
		    case 1:			// left
			$talign="left";
			break;
		    case 2:			// right
			$talign="right";
			break;
		    case 3:			// center
			$talign="center";
			break;
			default:
			$talign="center";
			break;
			
		 }
		 echo "<table width=\"100%\"><tr>";
		 $result2=sql_query("SELECT * from ${prefix}_pmxContest_picture where active='1' and cid=" . intval($cid)." order by nummer asc" );
         $piccount=sql_num_rows($result2);
         $picnummer=array();
		 $i=0;
		 while($mypic = sql_fetch_assoc($result2)) {
		   $tob="";
		   $tun="";
		   $c++;
		   $i++;
		   echo "<td class=\"align-$talign\" $wi>";
		   $ptitel=($autor==1)?$mypic['title']."  [".mxPrepareToDisplay($mypic['user_nick'])."]":mxPrepareToDisplay($mypic['title']);
			 if ($CONT_CFG['FRONTEND_VOTING_TITLE_ALIGN']==1) {
					$tob="<b>".$ptitel."</b><br/>";
					$tun=_PICTURE." ".$mypic['nummer'];
					} else {
					$tob=_PICTURE." ".$mypic['nummer'];
					$tun="<b>".$ptitel."</b><br/><br/>";
			 }
			   if ($CONT_CFG['FRONTEND_VOTING_DETAIL_POPUP']==1) {
				  echo popupWindow($mypic['orig_url'], $ptitel, $tob."<img  src=\"".$mypic['thumb_url']."\" class=\"img-border align-center\" />".$tun,"picgalery",$ptitel);
				 } else {
				  echo "<a href='modules.php?name=".$module_name."&amp;pa=contest_pic_show&amp;pid=".$mypic['pid']."'>";
				  echo $tob."<img  src=\"".$mypic['thumb_url']."\" class=\"img-border align-center\" />".$tun."</a>";
			   } 
			   echo "</td>";
			   $picnummer[$i]=$mypic['pid'];
			   $picnummer2[$i]=$mypic['nummer'];
			   if ($c==$cols) {
				  $c=0;
				  echo "</tr>";
			   }
		 }
         echo "</table>";
	
	CloseTable();
	  // test auf Mehrfachvoting
	  if ($user_votecount>1 and !MX_IS_ADMIN) {
	      echo "<div class=\"align-center warning\">"._ERR_VOTING_MAX."</div>";
		  return;	
	  }
	 if (!isSetCookie() and $CONT_CFG['SET_COOKIE']==1 and !MX_IS_USER) {
	      echo "<div class=\"align-center warning\">"._ERR_SET_COOKIE."</div>";
 	    return;
	 }
	    
	  // Abstimmformular
	  
	 OpenTable();
	 
 		 echo '<p class="option align-center"><b>' . _VOTING .'</b></p>';
		 echo '<p class="tiny">'._VOTING_REM. ' ' . _UPLOAD_REM . '</p>';
 		 echo '<p class="content">' . _VOTING_COMMENT_TEXT .'</p>';

		adminFormOpen("modules.php?name=".$module_name."");
		
			echo "<input type=\"hidden\" name=\"pa\" value=\"voting-save\" />";
			echo "<input type=\"hidden\" name=\"pid\" value=\"".$mypage['conid']."\" />";

		 if (!MX_IS_USER) {
		 echo ' <fieldset class="form">';
			echo '    <legend>'._CONTACTFIELD .'</legend>';
			echo '    <label>'._NAME.'*</label>';
			echo "<input type=\"text\" name=\"username\" value=\"".$username."\" size=30 maxsize=50/><br />";
			echo '    <label>'._EMAIL.'*</label>';
			echo "<input type=\"text\" name=\"usermail\" value=\"".$usermail."\" size=30 maxsize=50/>";
		 echo '</fieldset>';
		 }
		
		 echo ' <fieldset class="form">';
			
			echo '    <legend>'._VOTING_RANK .' "1"</legend>';
			echo '    <label>'._VOTING_PICNR.'*</label>';
		 
			echo  '<select name="pic1" size="1"><optgroup label="'._PICTURE .'">';
					  echo '<option value="0">0</option>';
				for ( $x = 1; $x <= $piccount; $x++ )
					{
					  echo '<option value="'.$picnummer[$x].'">'.$picnummer2[$x].'</option>';
					}
			  	echo '</optgroup>';
		 	echo'</select>';
	 		    inputTextarea("comment1","","100%","100");
		 echo '</fieldset>';
         //Platz2
		 if ($piccount>1) {
			 echo ' <fieldset class="form">';
		 
				echo '    <legend>'._VOTING_RANK .' "2"</legend>';
				echo '    <label>'._VOTING_PICNR.'*</label>';
			 
				echo  '<select name="pic2" size="1"><optgroup label="'._PICTURE .'">"';
						  echo '<option value="0">0</option>';
					for ( $x = 1; $x <= $piccount; $x++ )
						{
						  echo '<option value="'.$picnummer[$x].'">'.$picnummer2[$x].'</option>';
						}
					echo '</optgroup>';
				echo'</select>';
					inputTextarea("comment2","","100%","100");
			 echo '</fieldset>';
		 } else {
		    echo "<input type='hidden' name='pic2' value='-1' />";
		    echo "<input type='hidden' name='comment2' value='' />";
		 }
         //Platz3
		 if ($piccount>2) {
			 echo ' <fieldset class="form">';
		 
				echo '    <legend>'._VOTING_RANK .' "3"</legend>';
				echo '    <label>'._VOTING_PICNR.'*</label>';
			 
				echo  '<select name="pic3" size="1"><optgroup label="'._PICTURE .'">"';
						  echo '<option value="0">0</option>';
					for ( $x =1 ; $x <= $piccount; $x++ )
						{
						  echo '<option value="'.$picnummer[$x].'">'.$picnummer2[$x].'</option>';
						}
					echo '</optgroup>';
				echo'</select>';
					inputTextarea("comment3","","100%","100");
			 echo '</fieldset>';
		 }else {
		    echo "<input type='hidden' name='pic3' value='-1' />";
		    echo "<input type='hidden' name='comment3' value='' />";
		 }
         //Platz SO
				
	      if ($config['CONFIG_VOTING_SO']==1) {
			 echo ' <fieldset class="form">';
				echo '    <legend>'._VOTING_RANK .' "'.$config['CONFIG_VOTING_NSO'].'" </legend>';
				echo '    <label>'._VOTING_PICNR.'*</label>';
			 
				echo  '<select name="picSO" size="1"><optgroup label="'._PICTURE .'">"';
						  echo '<option value="0">0</option>';
					for ( $x = 1; $x <= $piccount; $x++ )
						{
						  echo '<option value="'.$picnummer[$x].'">'.$picnummer2[$x].'</option>';
						}
					echo '</optgroup>';
				echo'</select>';
					inputTextarea("commentso","","100%","100");
			 echo '</fieldset>';
	      } else {
		    echo "<input type='hidden' name='picSO' value='0' />";
		    echo "<input type='hidden' name='commentso' value='' />";
		  }
		    echo "<input type='hidden' name='piccount' value='".$piccount."' />";
		  
		$captchauser= (($CONT_CFG['SET_CAPTCHA']==1) and ($CONT_CFG['SET_CAPTCHAUSER']==0) 
					 and MX_IS_USER)?true:false; 			 	
		if ($CONT_CFG['SET_CAPTCHA']==1 and $captchauser==false) {
			echo "<hr />";
			addCaptcha();
			echo "<br />";		
		}				   
		  
		  // submit
		 echo "<div class=\"align-center\"><input type=\"submit\" value=\"" . _VOTING_SEND . "\"></div>";
	   adminFormClose();
		// echo '</form>';
		 echo "<br /><div class=\"align-center\"><i>"._IPADRES." [".$ip."] "._IPINFO."</i></div><br />";
	 CloseTable();
  return;
}

function contest_voting_save()
{
    global $prefix, $sitename, $module_name, $pagetitle, $server, $CONT_CFG;
	   $fehler="";
		$ip = $_SERVER['REMOTE_ADDR']; 
		$UserAgent = $_SERVER['HTTP_USER_AGENT'];
		$remote = getenv('REMOTE_ADDR');
		$host = getHostByAddr($remote);
		$pid=$_POST['pid'];
		$active=1;
		$piccount=intval($_POST['piccount']);
		if (MX_IS_USER) {
				$userdata = mxGetUserData();
				$username=$userdata['uname'];
				$userid=$userdata['uid'];
				$usermail=$userdata['email'];
				$usermd5="";
	            $userresult=sql_query("select * from " . $prefix . 
			  "_pmxContest_voting where cid='".$pid."' and user_id='".$userid."'");
				
				if ($CONT_CFG['COMMENT_PUBLISHED']==2) $active=0;
		} else {
		   if (isset($_COOKIE['mx-contest2-upload-'.$cid])) {
			    $usermd5=$_COOKIE['mx-contest2-upload-'.$cid];
		   } else {
				$usermd5=md5(uniqid(rand(), TRUE));
		   }
				$username=$_POST['username'];
				$userid=0;
				$usermail=$_POST['usermail'];
				if ($CONT_CFG['COMMENT_PUBLISHED']>0) $active=0;
				$userresult=sql_query("select vid from " . $prefix . 
				  "_pmxContest_voting where cid='".$pid."' and user_md5='".$usermd5."'");
		}
	$user_votecount=sql_num_rows($userresult);	
  	if ($user_votecount>1 and !MX_IS_ADMIN) mxRedirect("modules.php?name=".$module_name."");

		
        if ($username=="") $fehler .= _ERR_COM_NAME."<br />";
        if ($usermail=="") $fehler .= _ERR_MAIL."<br />";
		
        if (isset($_POST['pic1'])) {
		   $rank1=intval($_POST['pic1']);
		   $rank2=intval($_POST['pic2']);
		   $rank3=intval($_POST['pic3']);
		   $rankmo=intval($_POST['picSO']);
		   $comment1=mxPrepareCensored($_POST['comment1']);
		   $comment2=mxPrepareCensored($_POST['comment2']);
		   $comment3=mxPrepareCensored($_POST['comment3']);
		   $commentmo=mxPrepareCensored($_POST['commentso']);
		}   
	    if ($_POST['spaw']==0) {
		  $comment1=strip_tags($comment1);
		  $comment2=strip_tags($comment2);
		  $comment3=strip_tags($comment3);
		  $commentmo=strip_tags($commentmo);
		}
		   
		if (($rank1==$rank2) or ($rank1==$rank3) or (($rank2==$rank3) and ($rank2> -1)) or 
		    ($rank1=='0') or ($rank2=='0') or ($rank3=='0')) $fehler .=_VOTE_ERR_PICNUM."<br />";
		
		// Nachsehen, ob ein user/Gast für das eigene Bild abstimmt	
		if (MX_IS_USER) {
		   $usersql="user_id";
		   $usersqlid=$userid;
		} else {
		   $usersql="user_md5";
		   $usersqlid=$usermd5;
		}
		
		$result1=sql_query("SELECT pid from ".$prefix."_pmxContest_picture where cid='".$pid."' and ".$usersql."='".$usersqlid."'") ;
		while ($mypic=sql_fetch_assoc($result1)) 
		{
		   if (($mypic['pid']==$rank1) or ($mypic['pid']==$rank2) or ($mypic['pid']==$rank2) or ($mypic['pid']==$rankmo))
			  if (!MX_IS_ADMIN) $fehler.=_ERR_VOTING_SELF."<br />"; //
		}
		


	 $captchauser= (($CONT_CFG['SET_CAPTCHA']==1) and ($CONT_CFG['SET_CAPTCHAUSER']==0) and MX_IS_USER)?true:false; 
	 if ($CONT_CFG['SET_CAPTCHA']==1 and $captchauser==false) {
	    if (!IsCaptchaok() ) $fehler .=_ERR_CAPTCHA. "<br />";
	 }				   
     
	 if ($fehler=="") {
	    $mypage=readContest($pid);	
		 $config=unserialize($mypage['config']);
		 $punkte1=$config['CONFIG_VOTING_P1'];
		 $punkte2=$config['CONFIG_VOTING_P2'];
		 $punkte3=$config['CONFIG_VOTING_P3'];
		 $punkteso=$config['CONFIG_VOTING_PSO'];
		 
		
       // wenn ok, dann cookie setzen
           $hh=explode("-",$mypage['datum']);		
  		 setcookie("mx-contest2-voting-".$pid,$usermd5,mktime(0,0,0,$hh[1],$hh[2]+6,$hh[0])); //if (!MX_IS_USER) 
		 
		 sql_query("insert into ".$prefix."_pmxContest_voting SET   
		                cid='".$pid."',
						pic_id='".$rank1."',
						user_id='".$userid."',
						user_name='".mxAddSlashesForSQL($username)."',
						user_mail='".mxAddSlashesForSQL($usermail)."',
						user_md5='".$usermd5."',
						ip='".$ip."',
						hostname='".$host."',
						rank='1',
						active='1'
						");
		 sql_query("insert into ".$prefix."_pmxContest_voting SET   
		                cid='".$pid."',
						pic_id='".$rank2."',
						user_id='".$userid."',
						user_name='".mxAddSlashesForSQL($username)."',
						user_mail='".mxAddSlashesForSQL($usermail)."',
						user_md5='".$usermd5."',
						ip='".$ip."',
						hostname='".$host."',
						rank='2',
						active='1'
						");
		 sql_query("insert into ".$prefix."_pmxContest_voting SET   
		                cid='".$pid."',
						pic_id='".$rank3."',
						user_id='".$userid."',
						user_name='".mxAddSlashesForSQL($username)."',
						user_mail='".mxAddSlashesForSQL($usermail)."',
						user_md5='".$usermd5."',
						ip='".$ip."',
						hostname='".$host."',
						rank='3',
						active='1'
						");
		 if ($rankmo>0) {
		 sql_query("insert into ".$prefix."_pmxContest_voting SET   
		                cid='".$pid."',
						pic_id='".$rankmo."',
						user_id='".$userid."',
						user_name='".mxAddSlashesForSQL($username)."',
						user_mail='".mxAddSlashesForSQL($usermail)."',
						user_md5='".$usermd5."',
						ip='".$ip."',
						hostname='".$host."',
						rank='999',
						active='1'
						");
		 }
		// Kommentare speichern
		if ($_POST['spaw']==0 ) {
		   $comment1=mxAddSlashesForSQL($comment1);
		   $comment2=mxAddSlashesForSQL($comment2);
		   $comment3=mxAddSlashesForSQL($comment3);
		   $commentmo=mxAddSlashesForSQL($commentmo);		
		}
		if (trim($comment1)<>"")
			sql_query("insert into " . $prefix . "_pmxContest_comment set  
					 conid='".$pid."',
					 picid='".$rank1."',
					 user_id='".$userid."',
					 user_name='".mxAddSlashesForSQL($username)."',
					 user_mail='".mxAddSlashesForSQL($usermail)."',
					 hostname='".$host."',
					 ip='".$ip."',
					 comment='".$comment1."',
					 voting='1',
					 active='".$active."'
					 ");
		if (trim($comment2)<>"")
			sql_query("insert into " . $prefix . "_pmxContest_comment set  
					 conid='".$pid."',
					 picid='".$rank2."',
					 user_id='".$userid."',
					 user_name='".mxAddSlashesForSQL($username)."',
					 user_mail='".mxAddSlashesForSQL($usermail)."',
					 hostname='".$host."',
					 ip='".$ip."',
					 comment='".$comment2."',
					 voting='1',
					 active='".$active."'
					 ");
		if (trim($comment3)<>"")
			sql_query("insert into " . $prefix . "_pmxContest_comment set  
					 conid='".$pid."',
					 picid='".$rank3."',
					 user_id='".$userid."',
					 user_name='".mxAddSlashesForSQL($username)."',
					 user_mail='".mxAddSlashesForSQL($usermail)."',
					 hostname='".$host."',
					 ip='".$ip."',
					 comment='".$comment3."',
					 voting='1',
					 active='".$active."'
					 ");
		if (trim($commentmo)<>"")
			sql_query("insert into " . $prefix . "_pmxContest_comment set  
					 conid='".$pid."',
					 picid='".$rankmo."',
					 user_id='".mxAddSlashesForSQL($userid)."',
					 user_name='".mxAddSlashesForSQL($username)."',
					 user_mail='".mxAddSlashesForSQL($usermail)."',
					 hostname='".$host."',
					 ip='".$ip."',
					 comment='".$commentmo."',
					 voting='1',
					 active='".$active."'
					 ");
			
		 cmxAddUserPoints ($CONT_CFG['CONFIG_USERPOINTS_VOTING']);
		 // Mail senden
		 
		 require("modules/".$module_name."/inc/functions.mail.php");
		 contest_mail_voting ($pid,$username);
				 
		 mxRedirect("modules.php?name=".$module_name."",_VOTING_THANKS);
	 } else {
	    // Fehler
		mxErrorScreen($fehler);
	 }
  
  unset($_POST);
}



?>